== Changelog ==

= 4.16.5: July 22nd, 2026 =
* Fix: Resolved an issue where selecting a donation amount level would also select other levels with the same value.
* Fix: Resolved an issue where extra separators could render in the donation confirmation page header when line breaks were present in the header text.
* Fix: Resolved an issue where refunding a donation made with a per-form Stripe account would fail because the refund request used the default account instead of the form-specific account.

= 4.16.4: July 14th, 2026 =
* Security: Added additional validation to the core settings importer.
* Security: Added additional escaping to donor information displayed in the admin.
* Security: Added additional escaping to the Sequoia (Multi-Step Form) template output. (CVE-2026-14987)

= 4.16.3: July 6th, 2026 =
* Security: Added additional validation to ensure donation gateway selection respects the enabled payment gateway settings.
* Security: Improved escaping of donation form template output.
* Security: Improved the security of the recurring donation REST API.

= 4.16.2: July 1st, 2026 =
* Security: Added additional escaping and sanitization to the Sequoia (Multi-Step Form) template settings and donation form markup (CVE-2026-13704).

= 4.16.1: June 29th, 2026 =
* Security: Standardized email access confirmation AJAX responses to prevent distinguishable server responses.
* Security: Added additional escaping and sanitization to the Campaign Comments block and shortcode attributes (CVE-2026-13246).

= 4.16.0: June 24th, 2026 =
* Feature: Added an optional donation ID parameter to gateway webhook event handlers, allowing gateways to locate donations when the transaction ID is only available in the webhook payload.
* Fix: Resolved an issue where multi-step donation forms could be incorrectly rejected as spam because Akismet was checked on every form step; the spam check now runs once on final submission.

= 4.15.5: June 22nd, 2026 =
* Security: Improved the security of the Donor Dashboard login process.

= 4.15.4: June 15th, 2026 =
* Security: Added additional protection to the email notification settings.

= 4.15.3: May 28th, 2026 =
* Fix: Resolved a user role permission conflict with The Events Calendar Pro
* Fix: Resolved an issue when using multiple Stripe accounts, recurring donations, and webhook API 2026-02-25.clover

= 4.15.2: May 13th, 2026 =
* Tweak: Update Harbor to 1.2.0, removing the Liquid Web Products page when there are no premium plugins present.

= 4.15.1: May 12th, 2026 =
* Tweak: Moved the Liquid Web menu item to Settings -> Liquid Web Products.
* Tweak: The Settings -> Liquid Web Products page now requires a opt-in to communicate with external servers.

= 4.15.0: May 11th, 2026 =
* Feature: Integrate with Nexcess Licensing and Portal.
* Tweak: Updated branding references from StellarWP to Nexcess.
* Fix: Resolved issue with separator style for title on donation-form thanks message.

= 4.14.6: April 22nd, 2026 =
* Security: Added additional sanitization to the Donation Form.
* Security: Added additional access control checks to the REST API.

= 4.14.5: April 8th, 2026 =
* Security: Added additional escaping to the Donation Form Block attributes.
* Fix: Resolved an issue with donation level labels not displaying correctly for multi-currency donations.

= 4.14.4: April 2nd, 2026 =
* Security: Added additional validation to PayPal Commerce requests.

= 4.14.3: March 11th, 2026 =
* Security: Added additional sanitization to the Donation Form.

= 4.14.2: February 25th, 2026 =
* Enhancement: Added form migration and campaign compatibility for P2P.
* Fix: Resolved an accessibility issue with the Form Grid Block where screen readers announced all nested content as a single links
* Fix: Resolved an accessibility issue with buttons on the View Subscription screen on Donor Dashboard page
* Fix: Resolved an issue with the Donation Form modal when opened in a mobile device
* Fix: Resolved an issue with emailTags not being assigned to block fields
* Fix: Resolved an issue with the Donor Confirmation header and description colors on changing text
* Fix: Resolved an issue where campaign default form title didn’t match campaign name

= 4.14.1: February 11th, 2026 =
* Fix: Resolved an issue with the Stripe refunded webhook
* Fix: Resolved an issue with importing Subscriptions without a donor_id
* Fix: Resolved an issue when using additional Stripe accounts and recurring donations
* Fix: Resolved an issue with custom visibility conditions on donation forms when initially rendering
* Fix: Resolved several PHP deprecated warnings on the donor dashboard

= 4.14.0: January 28th, 2026 =
* New: Added failed donation email notifications to keep you informed when donations don't go through
* New: Added default country field setting for the billing address block to streamline the donation process
* Enhancement: Improved compatibility with legacy user roles for sites upgrading from older versions of GiveWP
* Fix: Resolved a conflict with the Paid Membership Subscriptions plugin
* Fix: Resolved inconsistencies with the currency switcher display and functionality
* Fix: Resolved an issue where revenue entries were not being properly removed when donations were deleted
* Fix: Resolved schema mismatches for donors and donor subresources in the REST API V3
* Fix: Resolved an issue with the admin fee recovery upgrade notice display

= 4.13.2: December 8th, 2025 =
* Fix: Resolved block compatibility with WordPress 6.9
* Security: Added additional sanitization to the donor wall and campaign blocks (CVE-2025-66533)
* Security: Added additional CSRF protection to PayPal onboarding settings (CVE-2025-67467)

= 4.13.1: November 18th, 2025 =
* Enhancement: Added Caribbean guilder (XCG) as a currency option
* Enhancement: Added Curaçao as a country option (open-source contribution by @Genevieve-K)
* Security: Added additional escaping to the donor wall (CVE-2025-13206)
* Fix: Resolved a validation issue with some custom form fields using conditional logic
* Fix: Resolved an issue that was causing REST API console log errors in the browser for not being logged in
* Fix: Resolved an issue with Donor REST API and sorting by totalAmountDonated
* Fix: Resolved an issue with merging campaigns and cached campaign goal data

= 4.13.0: November 5th, 2025 =
* Enhancement: Updated the date and time formatting throughout the new admin screens to respect WordPress settings for timezone, date format, and time format
* Fix: Resolved an issue with form field manager checkboxes and conditional logic
* Fix: Resolved an issue with the legacy future status of donations
* Fix: Resolved a compatibility issue with the Divi color pickers default palette setting
* Fix: Resolved an issue with Loco Translate that was preventing custom translation files from being loaded properly
* Dev: Updated the schema for Campaigns and Donations in the v3 REST API
* Dev: Updated MCP server to be compatible with Angie 1.0.2

= 4.12.0: October 29th, 2025 =
* New: The admin subscription list table has been upgraded to a new design with additional sorting, filters and statistics
* New: Updated the new admin donor list table with additional filters and sorting
* New: Updated the new admin donation list table with additional filters
* Fix: Subscriptions that were transferred to a form using the visual form builder are now referencing the correct form ID
* Fix: Resolved an issue with sorting by revenue on the Campaigns list table
* Fix: Resolved MCP server console errors with Angie v1.0.1
* Fix: Resolved a migration issue that was causing the cache campaign data migration to be incomplete in some cases

= 4.11.0: October 16th, 2025 =
* New: Added a new csv subscriptions importer tool for the ability to import recurring donations into GiveWP
* New: The admin donor list table now displays quick stats
* New: The new admin subscription details screen now has record fields for status, gateway subscription ID, campaign, form, and associated donor
* Fix: Resolved conflict from composer with some plugins like KestrelWP

= 4.10.1: October 2nd, 2025 =
* Security: Improved REST endpoint permissions for campaigns and forms (CVE-2025-11227, CVE-2025-11228)

= 4.10.0: October 1st, 2025 =
* New: The admin list tables have been upgraded to a new design with various enhancements!
* New: The admin donations list table now displays quick stats
* Enhancement: Improved the currency validation for donation forms
* Fix: Resolved an issue where editing an option-based form was resetting various settings
* Fix: Resolved various issues with deactiving and deleting GiveWP
* Fix: Resolved occasional 404 console log errors in the new subscription detail screen
* Dev: Added a sidebar slot fill to the donor details screen

= 4.9.0: September 17th, 2025 =
* New: Added MCP server integration with compatibility for Angie by Elementor
* Enhancement: Updated GiveWP for PHP 8.3 compatibility
* Fix: Updated various strings that were missing translations (open-source contribution by @DAnn2012)
* Fix: Resolved schema registration issues in V3 REST endpoints


= 4.8.1: September 15th, 2025 =
* Fix: Resolved an issue with the campaign field in the new donation detail screen not saving properly

= 4.8.0: September 10th, 2025 =
* New: The subscription admin details screen has been upgraded to a new design and experience!
* Enhancement: Improved the loading performance of the campaign list table and grid
* Enhancement: Added Stripe webhook compatibility with their latest version 2025-03-31.basil
* Enhancement: Improved the performance and experience of the associated donor field in the donation details screen
* Fix: Resolved an issue with some campaign blocks not rendering option-based forms

= 4.7.1: September 4th, 2025 =
* Fix: Resolved an issue with the legacy form widget for Elementor not displaying a preview in the builder
* Fix: Resolved an issue with the Elementor GiveWP category not showing up as intended

= 4.7.0: August 20th, 2025 =
* New: Elementor support for widgets and campaign landing pages have been added to GiveWP without the need for a separate add-on
* Enhancement: Stripe Payment Element and PayPal Donations have been updated to support refunding
* Fix: Resolved an issue with donation form goal progress when using custom date ranges
* Fix: Resolved an issue with some campaign shortcodes not loading properly
* Dev: Added support for custom REST API fields for donation and donor endpoints

= 4.6.1: July 29th, 2025 =
* Security: Addressed an issue with donor information visibility (CVE-2025-47444)

= 4.6.0: July 23rd, 2025 =
* New: The donation admin details screen has been upgraded to a new design and experience!
* Fix: Resolved an issue with the bulk actions selector on the campaign forms list
* Fix: Resolved an issue with PayPal donations and zero decimal currencies like Japanese Yen
* Fix: Resolved an issue with some form migrations using different goal formats and PHP 8.1+
* Security: Added additional sanitization and escaping to donor notes (CVE-2025-7205)
* Security: Added additional auth checks for certain Give user roles (CVE-2025-7221)
* Security: Removed PayPal donations client token when not being used

= 4.5.0: July 9th, 2025 =
* New: Added a new PayPal setting to optionally accept credit cards when using Smart Buttons
* New: Added shortcodes for givewp_campaign_donations, givewp_campaign_donors, and givewp_campaign_comments
* New: Added support for the gateway transaction ID to the donation importer
* Enhancement: Added core Stripe gateway support for customers in countries BR, IN, MY, MX, SG, TH
* Fix: Resolved a Divi compatibility issue
* Fix: Ensure campaign overview and goal statistics are calculated in the base currency
* Fix: Resolved a style issue causing a double border around the custom amount field
* Fix: Resolved an issue with translations that use ajax (Open-source contribution  @Genevieve-K)
* Fix: Resolved PHP 8.1+ compatibility issues with Form Goal Settings
* Fix: Resolved an issue with the global css form setting where some characters were being encoded
* Fix: Resolved an issue with the terms and conditions modal not working properly in Firefox
* Dev: Added API for gateway webhook events

= 4.4.0: June 18th, 2025 =
* New: The donor admin details screen has been upgraded to a new design and experience!
* Enhancement: When using the the visual form builder with recurring donations, the gateway options will now only display the ones that support recurring donations
* Fix: Resolved an issue with recurring donation email templates in the visual form builder settings
* Fix: Resolved an issue with the campaign page donate button and option-based forms


= 4.3.2: June 11th, 2025 =
* Enhancement: Improved accessibility across form modal and new tab display styles
* Enhancement: Added focus border to donation confirmation donor-dashboard link
* Enhancement: Added aria-support to donation confirmation secure badge
* Enhancement: Replaced definition list tags in donation confirmation field lists for better semantic structure
* Fix: Resolved an issue with additional keyboard focus on new donor wall items
* Fix: Resolved accessibility issues with event ticket elements
* Fix: Resolved an issue with aria labels in form-grid progress bar
* Fix: Resolved an issue with campaign colors for grid and block goal progress
* Fix: Resolved backwards compatibility issues for campaign_id in legacy objects and gateways
* Fix: Resolved an issue where the Campaign Grid block does not show any Campaigns when the Campaign filter is used
* Fix: Resolved an issue with the visual form builder route user roles
* Fix: Resolved an issue with error focus on Date and File fields
* Fix: Resolved an issue where some servers were experiencing a "Missing PayPal webhook header" error
* Fix: Resolved a conflict with custom text fields that use the same name as the billing address block field names

= 4.3.1: May 30th, 2025 =
* Fix: Resolved an issue with the Donor wall when filtering by multiple form IDs
* Security: Updated permissions for various endpoints (CVE-2025-4571)

= 4.3.0: May 21st, 2025 =
* New: Added a new Campaign form block and shortcode
* Enhancement: Improved the performance of the campaign form list table
* Enhancement: Updated the donation list table to include it's associated Campaign
* Enhancement: Recurring donation renewals using Stripe will now include meta data
* Enhancement: Made various improvements to the accessiblity of our donation forms
* Enhancement: Updated our advanced migration system to offer the ability to rollback a failed migration
* Enhancement: Updated the campaign admin screen with a sticky header UI
* Fix: Updated the form to campaign migration to take into account the possibility of multiple upgraded forms which would sometimes cause it to fail
* Fix: Resolved remaining WP 6.8 _load_textdomain_just_in_time notice for GiveWP core
* Fix: Updated campaigns admin screen to be translatable
* Fix: Resolved an issue with sites in subdirectories that are using visual form builder forms were producing an error
* Fix: Resolved an issue where some custom fields were not showing up on the donor dashboard

= 4.2.1: May 7th, 2025 =
* Fix: Resolved an issue with PayPal Donations and Fee Recovery when using the global option for donor forced opt-in

= 4.2.0: April 30th, 2025 =
* New: Added shortcodes for the Campaign Block and Campaign Grid Block
* New: Added the ability to associate orphaned campaign forms to a campaign
* New: Added the ability to duplicate a campaign
* Enhancement: Improved the campaign archiving functionality
* Fix: Resolved an issue with goal progress amounts not calculating correctly throughout Campaigns and Forms
* Fix: Resolved an issue with the Stripe Credit Card gateway and utm tags
* Fix: Resolved an issue with Stripe Payment Element not showing accurate total amount when using Fee Recovery and Apple/Google Pay
* Fix: Resolved an issue where some donations were not storing currency exchange rates correctly

= 4.1.0: April 16th, 2025 =
* New: Added the ability for donation forms to inherit Campaign goals and colors
* New: Added a campaign filter to the donation list table
* New: Added a global setting to apply custom css to all donation forms
* New: Added a notice to the campaigns overview that lets your know when the landing page is in draft
* New: Added the ability to update the associated campaign for a donation within the donation details screen
* Enhancement: Updated the PayPal Donations gateway to use the new PayPal Card Fields API
* Enhancement: Improved the donation form modal experience
* Fix: Fixed an issue where a Form Field Manager upgrade notice was still showing with an active license
* Fix: Resolved an issue with the cancel/pause subscription modal in the donor dashboard

= 4.0.0: March 31st, 2025 =
* New: Introducing Campaigns! Manage all of your fundraising efforts seamlessly.
* New: The Campaign overview dashboard provides donation data and goal progress monitoring for all forms under the same fundraising campaign.
* New: Campaign pages give you a landing page for each campaign to tell your story and engage with donors.
* New: All donation forms belong to a campaign, and each campaign can have multiple forms.
* Enhancement: Improved the processing of PayPal donations to be more reliable on forms using the visual form builder

= 3.22.2: March 19th, 2025 =
* Fix: Resolved an issue with PayPal hiding the donate button when hosted fields are available
* Security: Improved the permission check for a GiveWP reporting request (CVE-2025-2331)

= 3.22.1: March 7th, 2025 =
* Security: Added a permission check to a GiveWP reporting request (CVE-2025-2025)

= 3.22.0: February 26th, 2025 =
* New: Added initial WPML and Polylang multilingual translation support to visual form builder forms that currently excludes custom fields
* Fix: Resolved a validation issue with PayPal donations when using Akismet
* Fix: Resolved an issue with the custom amount block input behaving unexpectedly with some currencies and languages
* Fix: Prevent recording donation status change if no modification (Open-source contribution by @yiedpozi)
* Fix: Provide message for the donor when card is declined via Stripe (Open-source contribution by @Genevieve-K)

= 3.21.1: February 14th, 2025 =
* Fix: Resolved an issue that was preventing WordPress plugins from being updated

= 3.21.0: February 13th, 2025 =
* Enhancement: Added support for the future ability to bundle and auto-activate add-on licenses for maximum convenience
* Enhancement: Added title attribute to Donation Form block to improve accessibility
* Fix: Added missing form ID to multistep form design template

= 3.20.0: February 3rd, 2025 =
* Enhancement: Updated Event list table to truncate long event descriptions
* Enhancement: Updated Event description field with placeholder text
* Enhancement: Updated Events block to display a “sold out” message when all tickets have been sold
* Enhancement: Updated Events block to display an “Ended” message when the event date has passed
* Enhancement: Updated Event list table to display correct revenue based on the number of tickets and price at the time of the purchase
* Enhancement: Updated donation form to hide gateway options when donation amount is zero
* Change: Due to Stripe API changes, we have removed the usage of the statement_descriptor attribute from the Stripe Payment Element Gateway
* Security: Updated our meta persistence in donor and donation repositories for safer data exchange
* Fix: Resolved an issue where the donor profile picture in donor list was not correct
* Fix: Resolved an issue with the donation form archive page not displaying all forms
* Fix: Restored keyboard accessibility in the donation amount field
* Fix: Explicitly execute script with PHP for Windows compatibility
* Fix: Prevent duplicated column error in Event Tickets migration
* Fix: Set content for missing title in event tickets template
* Fix: Display donation receipt in Form Grid modal after offline gateway redirect
* Fix: Updated the donor dashboard to use the date timestamp with the proper timezone
* Fix: Check if the form goal is enabled before calling the goal stats function
* Dev: Added a CSS class for each form design
* Dev: Updated Strauss installer script to auto download and use latest release
* Dev: Added renewal methods to the subscription model

= 3.19.4: January 7th, 2025 =
* Security: Added additional sanitization to the donation form request to prevent malicious encoded data
* Security: Added additional validation to the company field

= 3.19.3: December 24th, 2024 =
* Security: Added additional sanitization to the donation form request to prevent malicious serialized data (CVE-2024-12877)

= 3.19.2: December 17th, 2024 =
* Fix: Resolved an issue with the custom donation amount field where using certain languages like Swedish were resulting in additional zero values being added

= 3.19.1: December 17th, 2024 =
* Fix: Resolved an issue with PayPal where some fields were not being validated properly before processing the donation
* Fix: Resolved an issue with PayPal and emails with a plus sign trying to connect to GiveWP
* Fix: Updated the format of the donation count in the multi form goal progress stats
* Change: Updated subdivision ISO code for Odisha, India to OD (Open source submission by @sorensd)

= 3.19.0: December 5th, 2024 =
* New: Added support to the donor dashboard for managing recurring donations from our Blink Payment Gateway add-on
* Fix: Resolved a compatability issue with loading translations on WordPress 6.7
* Security: Added sanitization to the manual migrations parameters


= 3.18.0: November 20th, 2024 =
* New: Added support to our form migration process for our upcoming Constant Contact add-on 3.0.0 version
* New: The donor wall now shows the donor's uploaded image avatar when available
* New: Added a global setting to enable or disable the Option-Based Form Editor and settings.
* Fix: Resolved an issue with multi-step form designs growing extra space outside the form
* Fix: Resolved an issue where some people were not able to connect to PayPal
* Fix: Resolved an issue that was preventing the form migration process from completing
* Fix: Resolved an issue with the donation confirmation email sending the wrong donation description for visual form builder forms
* Dev: Addressed PHP 8.2 depreciation warnings in the Donation Session Object

= 3.17.2: November 6th, 2024 =
* Fix: Resolved an issue with the Donor Wall shortcode and block filtering by only_comments
* Fix: Resolved a WordPress 6.7 styling compatibility issue with the visual form builder
* Fix: Resolved an issue where Stripe Payment Element was causing an error when donation amount is zero
* Security: Removed Faker PHP library from production to prevent malicious direct access
* Security: Further improved our data sanitization and validation across all of GiveWP to prevent malicious serialized data
* Dev: Resolved php 8.1 compatibility warnings for Give_Addon_Activation_Banner, Give_License, and CurrencySwitcherSetting classes

= 3.17.1: October 22nd, 2024 =
* Fix: Resolved an issue with PayPal donation buttons where clicking the GiveWP donate button was causing an error.
* Fix: Resolved an issue where the donation amount level descriptions option was not visible in the form builder.
* Fix: Resolved an issue with the "Update Subscription" button being always disabled for Stripe in the donor dashboard.
* Fix: Resolved a styling issue in the donor dashboard with Stripe subscription amount fields.

= 3.17.0: October 16th, 2024 =
* New: Added new security tab with option to enable a honeypot field for visual builder forms
* Fix: Resolved an issue with the donor name prefix block not saving correctly
* Dev: Resolved php 8.1 compatability conflict with MyCLabs\Enum\Enum::jsonSerialize()
* Dev: Added gateway api updates for pausing subscriptions

= 3.16.5: October 15th, 2024 =
* Fix: Resolved a PHP v8+ fatal error on option-based forms when the Tributes add-on was enabled
* Fix: Resolved an issue with the donor dashboard menu not opening on mobile devices

= 3.16.4: October 10th, 2024 =
* Security: Added additional protection against serialized data in the option-based donation form request (CVE-2024-9634)

= 3.16.3: October 7th, 2024 =
* Security: Added additional validation to the donor title field, further protecting the option-based donation form request

= 3.16.2: September 25th, 2024 =
* Enhancement: Updated the visual builder header description field to use the rich text editor
* Enhancement: Updated the strings in the form builder onboarding buttons to be translatable (Open source submission by @DAnn2012)
* Enhancement: Updated strings in give settings to be translatable (Open source submission by @DAnn2012)
* Security: Added additional prevention for serialized data in the option-based donation form request
* Security: Added additional security measures to the legacy donor list table request (CVE-2024-9130)
* Fix: Resolved a styling issue with some text fields not respecting error border styling
* Fix: Resolved a styling issue with the anonymous block for WP 6.6 compatibility
* Dev: Removed defaultProps in favor of ES6 default parameters for React 19 compatibility

= 3.16.1: September 10th, 2024 =
* Security: Added additional protection to the option-based donation form request (CVE-2024-8353)

= 3.16.0: Aug 28th, 2024 =
* New: Added support for form taxonomy tags and categories in the visual form builder settings
* New: Added a setting to the visual form builder to enable redirecting to an individual donation confirmation page
* Enhancement: Multi-step form designs now scroll to the top of the form on step change
* Enhancement: Added individual form migration links to the donation form list table
* Enhancement: Updated various strings throughout GiveWP to be translatable (Open-source contribution by @DAnn2012)
* Security: Resolved security issues related to file paths and permissions (CVE-2024-6551)
* Security: Resolved security issue related to the PayPal disconnect button
* Fix: Added prevention of subscription renewals with gateway transaction IDs already used previously
* Fix: Resolved an issue where the donation form list table and form grid not loading properly on sites with a large number of forms and donations
* Fix: Resolved an issue with the form grid not showing header images and link previews
* Fix: Resolved an issue with the subscription payment failed email not saving the supported gateways information

= 3.15.1: Aug 22nd, 2024 =
* Fix: Resolved an issue with the Akismet integration preventing form submissions when settings are not yet configured

= 3.15.0: Aug 14th, 2024 =
* New: Added Akismet integration support to forms using the visual form builder
* New: Updated the onboarding wizard to create a new form with the visual form builder
* Changed: Updated the "Add Form" buttons to use the visual form builder by default
* Fix: Resolved an issue with Give Subscribers accessing their donor dashboard history

= 3.14.2: Aug 7th, 2024 =
* Security: Added additional security measures to the option-based donation form and the donor dashboard (CVE-2024-37099)

= 3.14.1: July 24th, 2024 =
* Fix: Resolved an error with the give_totals shortcode when using multiple form IDs

= 3.14.0: July 17th, 2024 =
* Enhancement: Updated the visual donation form builder with various UI design improvements
* Enhancement: Updated the form builder design tab preview to be more responsive
* Enhancement: Improved the design of single active gateways on forms
* Enhancement: Improved the login block design
* Enhancement: Improved the Terms & Conditions block UI
* Enhancement: Improved the donate button hover state & secure donation tag
* Enhancement: Improved the donor title prefix setting styles
* Enhancement: Improved the checkbox style for form builder Build & Design screens
* Enhancement: Improved the Consent block by removing "Link Text" option when "Show terms in form" display type is selected
* Enhancement: Improved the File Upload field interactivity to limit the button scope
* Fix: Resolved an issue with the drag and drop block placement in the form builder
* Fix: Resolved an issue where the Give Goal and Multi-Form Goal blocks and shortcodes were displaying the wrong donation amount
* Fix: Resolved an issue when exporting donations that use Razorpay gateway
* Fix: Resolved an issue in the form builder where recurring donations descriptions were not always matching frequency selection
* Fix: Resolved an issue with custom donor columns in csv exports and revive filter give_export_donors_get_default_columns
* Security: Resolved various security issues related to user permissions

= 3.13.0: June 26th, 2024 =
* New: Added option to PayPal settings to keep webhooks when disconnecting account
* Enhancement: Updated donor comment block active state border color to be the primary color
* Enhancement: Updated form builder global settings links to open in new tabs
* Fix: Resolved an issue with some validation errors using Stripe Payment Element Gateway not displaying information correctly
* Fix: Resolved an issue with Stripe accounts using API keys and the Stripe Payment Element Gateway

= 3.12.3: June 19th, 2024 =
* Fix: Resolved an issue where PayPal was not processing donations due to missing billing address fields

= 3.12.2: June 11th, 2024 =
* Fix: Resolved an issue where only the donation amount was sent to PayPal, ignoring event ticket values for one-time donations.
* Fix: Resolved an issue where donations were processed on PayPal but not recorded in GiveWP due to missing city, state, and zip fields.

= 3.12.1: June 5th, 2024 =
* Fix: Resolved an issue where the Donor Phone field was not included in the donor export
* Fix: Resolved an issue where the Billing Address field was not saved in Stripe
* Security: Added additional escaping to Stripe onboarding
* Dev: Added a new filter `givewp_log_source_view` to allow customization of the log source column

= 3.12.0: May 15th, 2024 =
* New: Updated the donation amount block with options for donation amount level description in the visual form builder
* New: Updated form goal settings with options for start and end dates in the visual form builder

= 3.11.0: May 7th, 2024 =
* New: Added pre-requisite form builder compatibility for upcoming ConvertKit add-on release
* New: Added ability to customize alt tags for header images in the visual form builder
* Security: Added additional escaping to the give_form shortcode
* Security: Added additional sanitization to the custom css field in the form builder

= 3.10.0: April 30th, 2024 =
* New: Added pre-requisite form builder compatibility for upcoming ActiveCampaign add-on release
* Enhancement: Updated PayPal support phone number
* Enhancement: Updated various strings to be translatable (open-source contribution by @DAnn2012)
* Security: sanitize additional give_form shortcode args
* Fix: Resolved styling issues with recurring labels in the form builder

= 3.9.0: April 24th, 2024 =
* New: Added a donor phone number block to the form builder to collect donor phone numbers on donation forms
* Enhancement: Updated form field inputs to have a single border color when selected

= 3.8.0: April 17th, 2024 =
* New: Added pre-requisite form builder compatibility for upcoming double the donation add-on release
* Enhancement: Updated the form builder tour to highlight where to find the guided tour again
* Dev: Added BlockType api for easier block to field conversion

= 3.7.0: April 10th, 2024 =
* New: Added pre-requisite form builder compatibility for upcoming constant contact add-on release
* New: Added phone number field to the donor details page, more updates for this field will come in future releases!
* Enhancement: Updated the form block option to select more available forms than the original limit of 10
* Enhancement: Updated the form builder left-side menu to open automatically when entering the build screen
* Security: Added sanitizing and escaping to shortcodes
* Fix: Resolved a conflict with GiveWP and WordPress bulk actions functionality

= 3.6.2: April 5th, 2024 =
* Fix: Resolved an issue with WordPress 6.5 and the visual form builder that was making it difficult to interact with blocks

= 3.6.1: March 21st, 2024 =
* Fix: Resolved an issue with PayPal donations and currency switcher on donation forms using the visual form builder

= 3.6.0: March 13th, 2024 =
* New: Introduced a new beta feature called "Event Tickets" that is open for feedback! If enabled, you can create events and sell tickets on your donation forms.
* New: Added a new form builder layout called "Two Panel" that offers a side-by-side appearance and a multi-step donation experience.
* New: Added a new setting in the form builder styles tab for the header image overlay
* Fix: Resolved several styling issues with the donation form modal
* Fix: Resolved styling conflicts with native WordPress UI components

= 3.5.1: March 6th, 2024 =
* Fix: Resolved an issue with PayPal that was preventing the ability to connect a PayPal account to GiveWP.

= 3.5.0: February 29th, 2024 =
* Security: Resolved a couple potential security vulnerabilities
* New: Added the ability to add a header image to forms in the Visual Form Builder
* Fix: Resolved an issue with new Stripe accounts having trouble making credit card donations
* Fix: Resolved a PayPal Donations issue where the donation buttons didn't show up in the modal view of an Option-Based Form Editor form

= 3.4.2: February 19th, 2024 =
* Fix: Resolved an issue with PayPal donations that ensures the correct donation amount will be used after filling out payment details and modifying the original amount.

= 3.4.1: February 13th, 2024 =
* Fix: Resolved an issue with the default email block that ensures it is always a required field in the donation form.

= 3.4.0: February 8th, 2024 =
* Fix: Resolved several issues with the billing address block including dynamically requiring certain fields and allowing state/county field input
* Fix: Resolved an issue with multi step form layout where the title was missing on the first step when show header was disabled
* Fix: Resolved errors when adding/removing a sub-site in a WP multisite environment (open-source contribution by @Genevieve-K)
* Fix: Resolved an issue with form modals and some gateways that redirect offsite to display the confirmation page after a donation
* Fix: Resolved a fields api compatability issue with showInReceipt metaKey
* Fix: Resolved a nonce validation issue with translated values (open-source contribution by @Genevieve-K)
* Fix: Resolved a PHP 8 compatability issue with the system info page (open-source contribution by @JeromeBeckett)
* Fix: Resolved several styling issues with the form modal block
* Fix: Updated Stripe connect redirect to be limited to specific pages
* New: Added form migration step for the GiveWP Gift Aid add-on
* New: Added new filter `givewp_stripe_payment_element_appearance_options` to modify the Stripe Payment Element gateway appearance options
* New: Added donation form processing lifecycle actions for more programmatic control over form processing
* Enhancement: Made donation list table programmatically extendable (open-source contribution by @pulsovi)
* Enhancement: Improved the flexibility of donation confirmation page detail values to allow sanitized html
* Enhancement: Added new filter to the gateways block to control visibility
* Enhancement: Made several improvements to the give importer for third-parties and admin

= 3.3.1: January 23rd, 2024 =
* Fix: Resolved an issue checking for the GiveWP Funds and Designations add-on information during form migrations

= 3.3.0: January 10th, 2024 =
* Happy new year!
* Fix: Resolved an issue where some migrated forms were being duplicated
* Fix: Resolved an issue with the donor export filter by donation form
* Fix: Added additional attribute escaping to the donor wall shortcode
* Enhancement: Improved current compatibility with PHP 8.2
* Enhancement: Improved the UI of the visual donation form builder to be more intuitive with dedicated Build, Design, and Settings screens
* New: The donor dashboard now has a way to update and reset passwords
* New: Added pre-requisite v3 compatibility updates for the Give Funds and Designations add-on
* New: Added v3 form migration compatibility for select GiveWP add-ons including: Mailchimp, Funds and Designations, and Per-Form Gateways
* New: Added a new programmatic way to interact with the v3 confirmation page using our fields api

= 3.2.2: Dec 20th, 2023 =
* Fix: Resolved an error on the donor details page when they have no donations
* Fix: Resolved an issue where the continue button setting was not being reflected on forms using legacy template

= 3.2.1: Dec 13th, 2023 =
* Fix: Resolved an issue that was duplicating the "Donate Now" button on legacy form template
* Fix: Resolved an issue that was preventing display options from being reflected on the form
* Fix: Removed an error notice that was showing up on admin menu pages
* Fix: Resolved an error in the donation form block when the admin page is refreshed


= 3.2.0: Dec 6th, 2023 =
* New: Embed form button added to the Visual Donation Form Builder
* New: Pre-publish confirmation panel added to the Visual Donation Form Builder
* Enhancement: Updated parts of the Form Builder text areas to Text Editors to provide more formatting options
* Enhancement: Improved compatibility with the donation block and Visual Builder forms
* Enhancement: All donors are connected with a user for improved security and caching compatibility
* Enhancement: Improve the Name, and Terms and Conditions blocks with global settings
* Fix: Resolved some strange behaviors when using the Amount Levels setting in the Form Builder
* Fix: Removed WP_Background_Process and WP_Async_Request to avoid conflicts with other plugins
* Fix: Donor honorific (Mr, Mrs, etc) is now properly saved as part of the donor record
* Fix: PayPal Donations displays a helpful error message when incorrect credit card information is entered
* Fix: Visual Donation Form Builder loading is improved by preventing the formBuilderSettings meta from becoming too large
* Fix: Resolved an issue where some donations list tables were failing to load due to missing donation mode meta
* Fix: Resolved an issue where the donation forms list tables were resulting in duplicate forms
* Fix: Resolved an issue where PayPal smart buttons were not being displayed on embedded forms using legacy template
* Fix: Resolved an issue with PayPal donations and fee recovery where the fee was not being added to the donation total

= 3.1.1: November 3rd, 2023 =
* Fix: Embedded forms created with the Visual Builder now redirect to the confirmation page after a completed donation.
* Fix: Donor title prefixes are now formatted as strings (like Mr or Ms) instead of numbers.

= 3.1.0: October 25th, 2023 =
* Feature: Design Mode changes in the Form Builder are now instant and awesome! Instant gratification!
* Feature: Donor prefixes can now easily be reordered in the Donor Name block
* Feature: The form goal is now changeable from the Design mode of the Form Builder
* Enhancement: The form goal amount now better displays the currency amount
* Enhancement: The first time a form (in the form builder) is saved, the title is used as the page slug
* Enhancement: Improved translations in the form builder and gateways
* Enhancement: Compatibility improvements in preparation of WordPress 6.4
* Enhancement: Improved donor flow that passes along their name, email, and address to PayPal Donations
* Fix: Minor wording improvement on the login block
* Fix: Added a give_user_info_fields_user_info filter to allow for customizing the user info fields
* Fix: Links on the donor list table now work properly on sub-directory WordPress instances
* Fix: Resolved an issue where errors failed to display on older forms upon donation submission
* Fix: Multi-form, form grid, and totals shortcodes no longer throw a warning
* Fix: Multi-form goal block no longer throws an error when filtering by form
* Fix: Multi-form and progress bar goals no longer throw an error for themes that return false for get_theme_support
* Fix: Resolved old GiveWP behavior that altered default WordPress behavior when retrieving GiveWP post type meta

= 3.0.4: October 30th, 2023 =
* Fix: Resolved issue with some Stripe gateways not recording incoming recurring donation renewals.  To recover missing renewals from Stripe in GiveWP, please use the "Sync Subscription" button on the individual subscription details page.  Click [here](https://docs.givewp.com/syncrecurring) to learn more about syncing subscriptions in GiveWP.

= 3.0.3: October 20th, 2023 =
* Fix: Using the multi-form shortcode with the ids attribute no longer causes a fatal error
* Fix: Forms no longer have fatal errors on Elementor websites when the Display Content option is enabled

= 3.0.2: October 19th, 2023 =
* Fix: Stripe per-form settings are included when migrating a form to the Visual Donation Form Builder
* Fix: Gateways are properly separated in the settings page and Global Settings for Fee Recovery shows all gateways when you select per gateway

= 3.0.1: October 17th, 2023 =
* Fix: Resolved a conflict with Matomo plugin that was causing a fatal error

= 3.0.0: October 16th, 2023 =
* New: Try out the all new Visual Donation Form Builder!
* New: All new form infrastructure for forms using the Form Builder!
* New: Stripe Payment Element gateway for Stripe with support for many types of payment methods
* New: Existing forms can be migrated and upgrade to use the Form Builder

= 2.33.5: October 10th, 2023 =
* Fix: Prevent failed donations in sites that use proxy services like Cloudflare and gateways that require the original IP address

= 2.33.4: October 4th, 2023 =
* Fix: Update old sendwp buttons and remove unused Stripe disconnect function.

= 2.33.3: September 29th, 2023 =
* Fix: Multi-site installations no longer produce an error on subsites.

= 2.33.2: September 18th, 2023 =
* Fix: Add validation for form status to prevent donations to donation forms with the status of "Trash"

= 2.33.1: August 31st, 2023 =
* Security: The donor default user role has been sanitized to prevent privilege escalation

= 2.33.0: August 28th, 2023 =
* New: Admins can now select standard or advanced connection type during setup
* New: Added a new SubscriptionSynced command class
* New: Added PayPal Standard to PayPal Donations migration information banners
* Security: Remove uses of payment intent secret and existing meta

= 2.32.0: August 11th, 2023 =
* Feature: Scroll Stripe modal into view for Legacy + Multi-step forms
* Feature: Added check for application/json in form headers accept
* Feature: Added a `$nodeNameCollision` property on `NameCollisionException` for flexibility in throwing exception messages
* Feature: Added a file validation rule for validating file uploads
* Feature: Added a `@wordpress/scripts` build process for building forms in GiveWP 3.0
* Feature: Added persistence scoping to Fields
* Feature: Added WordPressLibraries to manage WP_Background_Process more efficiently and address potential conflicts with other plugins
* Feature: Added the hasDescription concern to Fields API
* Enhancement: Use PayPal client to handle API requests to avoid issues with expired merchant tokens
* Fix: Increase specificity when hiding the Form Token Field label

= 2.31.0: July 21st, 2023 =
* Feature: New banner added to the plugin page for annual summer discounts

= 2.30.0: July 12th, 2023 =
* Feature: Attributes of the [give_donor_wall] shortcode can now be filtered.
* Feature: Added state label and list of states for the v3 form billing address block. Existing functionality is not modified.
* Fix: Empty excerpt fields for v3 forms no longer display as [] on the Form Grid.
* Refactor: Updated the gateway adapter for v3 forms.
* Refactor: Updated legacy donation form block title with a (v2) suffix.
* Refactor: The v2 Donation Form block now supports v3 forms.

= 2.29.2: June 29th, 2023 =
* Enhancement: PayPal Donations now has separate buttons to connect to PayPal Live and PayPal Sandbox.
* Fix: Form Field Manager conditional radio and checkbox fields that are not visible no longer prevent donation submission.

= 2.29.1: June 21st, 2023 =
* Feature: Add Recurring Donations add-on overlay to Reports widget

= 2.29.0: June 14th, 2023 =
* Feature: A refund checkbox can be enabled on the admin screen.
* Enhancement: PayPal Donations onboarding validates only the PayPal seller capabilities that block payment processing.
* Fix: Donor Created Date column is now included in the Donor csv export.

= 2.28.0: June 8th, 2023 =
* Enhancement: Improvements to checkboxes in the Field API in preparation for GiveWP 3.0
* Fix: Resolves an issue with Form Field Manager caused in 2.27.3. Please update both GiveWP and Form Field Manager.

= 2.27.3: June 8th, 2023 =
* Feature: Support Slack-bot-based zip packaging requests
* Feature: Add ShowInAdmin trait to the Field API
* Feature: Add color parameter to give_goal shortcode
* Feature: Implement necessary tweaks to accommodate the Webhooks Add-on
* Feature: Add a recommendation for manual donations
* Feature: Update visibility conditions in the Field API to use new framework and handle validations
* Enhancement: Enable Venmo by default for PayPal Donations if available for country
* Enhancement: Add generics to container functions so autocomplete works when passing a class
* Fix: Improve error handling for fee recovery product recommendation on Settings page
* Fix: Display errors for PayPal Smart Buttons
* Fix: MoneyPHP support for Bitcoin currencies
* Refactor: Move legacy donation forms into v2 domain
* Chore: Remove redundent composer install

= 2.27.2: May 24th, 2023 =
* Fix: No errors are thrown for missing JavaScript files in the Payment Gateway Settings page.

= 2.27.1: May 18th, 2023 =
* Fix: Tributes are displayed even when only the last name of the tribute is filled in the form.
* Fix: Subscriptions can be successfully canceled from the donor dashboard.
* Fix: PayPal handles the user locale so it does not throw an error.
* Fix: Stripe payments has user friendly error messages.
* New: Pro tip messages are added to the Settings, Form Editor, Donation, and Donor pages.

= 2.27.0: April 27th, 2023 =
* Feature: Added a nice new view to the list tables when there are no donations, donors, or subscriptions
* Enhancement: Donation comments are now stored as meta to improve performance
* Enhancement: Simplifications to the new Gateway API to make gateways easier to build
* Enhancement: Added a simple way for gateways, in the Gateway API, to pass extra data back to the server
* Enhancement: Improvements on our end that help make sure that GiveWP is compatbible with PHP 7.0-8.0
* Enhancement: List table bulk actions are now extensible, used by the new Bulk Export feature in the PDF Receipts add-on
* Fix: The give_subscription_inserted hook is now fired when a subscription is created in the new Gateway API
* Fix: Added a polyfill (backwards compatibility) for the MBString PHP extension for PHP 7.0-7.2
* Fix: The form grid now consistently uses the excerpt for the form description
* Fix: Prevented a crash when searching for a subscription by its identifier on the gateway
* Fix: Resolved an incompatibility with WooCommerce that threw an error on on the License page
* Fix: Resolved an incompatibility with Beaver Builder that prevented the Donor Wall shortcode from working

= 2.26.0: April 6th, 2023 =
* Enhancement: Minor updates for improved WordPress 6.2 compatibility
* Enhancement: A number of under the hood improvements in preparation for the upcoming Visual Donation Form Builder feature plugin release
* Enhancement: Improvements to recurring donations in the Gateway API
* Enhancement: Implemented our new GiveWP design system to improve designs across our website and prdocuts
* Fix: Conditionals fields based on the amount field work again
* Fix: Files with a text mime type now work when uploading files for import
* Fix: If an error occurs in the Donor Dashboard when canceling a subscription, that subscription is no longer marked as canceled

= 2.25.3: March 22nd, 2023 =
* Security: Protect against CSRF during donation import

= 2.25.2: March 8th, 2023 =
* Security: Protect against CSRF during give cache clear settings
* Security: Protect against CSV injection in donation export settings
* Security: Protect against XSS and CSRF in donation import settings
* Security: Protect against XSS in give_form_grid shortcode
* Security: Protect against CSRF and Arbitrary Content Deletion in admin list tables
* Security: Protect against SSRF in add-on changelog requests

= 2.25.1: March 1st, 2023 =
* Enhancement: Compatibility in the Donor Dashboard with the new Square recurring support
* Enhancement: Exported donations are ordered by ID by default
* Fix: Sites without the ctype PHP extension no longer run into problems
* Fix: Prevent a handful of PHP 8.1 deprecation notices
* Fix: Fixed a PHP 8.0 error in receipt templates

= 2.25.0: February 21st, 2023 =
* Feature: Donors now explicitly state whether they are donating as a company, useful for things like Gift Aid
* Enhancement: Improvements to the Gateway API in preparation for GiveWP 3.0
* Enhancement: Optimizations to how we interact with the GiveWP Gateway server
* Enhancement: New method for storing donation notes using the Donation model
* Fix: Improved how PayPal Donation tokens are handled to prevent the need to reconnect one's PayPal account
* Fix: Classic forms using Authorize.Net as the default gateway now work as expected
* Fix: Square credit card fields now work properly on safari
* Fix: Resolved escaping issue preventing modal from displaying on some sites
* Fix: The "Download Receipt" link in the PDF is more reliable after making donation updates
* Fix: Prevented a filter from running twice on the donation summary
* Fix: Styling looks better for modals in the Classic template
* Fix: Corrected some styling in the Multi-Step and Classic template receipts that affected the Tributes add-on

= 2.24.2: February 1st, 2023 =
* Enhancement: Reorganized the GiveWP admin menu items to a cleaner, more intuitive order.
* Fix: Servers without the PHP Intl extension broke the admin list tables. This is a fixed and a new Currency setting was introduced to [control automatic formatting](https://docs.givewp.com/currency-format).

= 2.24.1: January 19th, 2023 =
* Security: Further protection against SQL Injection attacks.
* Fix: Forms with missing level data no longer breaks the whole form list table.

= 2.24.0: January 18th, 2023 =
* Security: Fixed critical and a low level security vulnerabilities. See our [critical release notice](https://go.givewp.com/2-24) for more details.
* New: Sorting and custom columns are now supported for the Form, Donor, and Donation admin list tables
* New: Subscription admin list table has a new, modern look like the other list tables — requires GiveWP Recurring add-on
* Enhancement: New Validation framework in preparation for GiveWP 3.0
* Enhancement: Donor Dashboard is ready for the upcoming Authorize.Net recurring support
* Enhancement: Further small improvements to get ready for the upcoming GiveWP Next Gen Feature Plugin
* Fix: Donor errors correctly display when using the Multi-Step form template
* Fix: Donor comments now show up when the Stripe or PayPal Donations gateways are used
* Fix: Accessibility improvement for generating a new user API key
* Fix: The payment amount in the donation summary correctly updates when the donor enters a custom amount

= 2.23.2: November 17th, 2022 =
* Enhancement: Added support for gateways that need to mark a new subscription as processing
* Fix: Fixed a Stripe issue in conjunction with Stripe that would throw an error when processing a renewal
* Fix: Prevent some PHP notices when being used on PHP 8

= 2.23.1: October 31st, 2022 =
* Fix: Fee Recovered amount in the donation summary works better with currencies that use a comma as the thousands separator
* Fix: Form Grid donate button color defaults to black to avoid being invisible in some cases
* Fix: Made text translatable in the Form Grid that previously wasn't
* Fix: The give()->donations->getLatestDonation now correctly grabs the most recent
* Fix: Zip code and country are now in the correct order for donor exports
* Fix: The Donor and Donation models correctly handle missing meta

= 2.23.0: October 20th, 2022 =
* Enhancement: Under the hood improvements to how recurrence is handled in donations and subscriptions
* Enhancement: Added additional filters to email settings (for Peer-to-Peer)
* Fix: Wrapped up some issues to make sure GiveWP is ready for WordPress 6.1
* Fix: Scrolling a form on a mobile device will no longer select a amount level
* Fix: Errors now display properly (and are auto-scrolled to) in the Classic template

= 2.22.3: October 13th, 2022 =
* Fix: When a donor creates an account the email is assured to be sent the right account

= 2.22.2: September, 28th 2022 =
* Fix: The give_goal and give_form shortcodes once again display correctly with the goal progress
* Fix: Translating in Google Chrome no longer prevents disconnecting the PayPal account

= 2.22.1: September, 20th 2022 =
* Security: Updated a number of 3rd party packages we use to include security fixes
* Fix: Legacy template now displays the correct amount for the donor and donation goals
* Fix: Donor Dashboard block is now selectable within the Block Editor
* Fix: A fatal error is now prevented when other plugins or themes use the_title filter
* Fix: Fund and revenue totals now properly reflect the amount when a donation is edited
* Fix: The progress bar displays/hides correctly when the show_goal property for give_form_grid is used

= 2.22.0: August 18th, 2022 =
* Feature: SendWP integration to easily connect emails to their service
* Enhancement: Improvement to the GatewayAPI to allow gateways to pass custom data to the server
* Fix: Prevent the MAX_JOIN_SIZE error from breaking queries that affected some folks
* Fix: Goal percentage on the Multi-Step form has been fixed to accurately reflect amount raised
* Fix: When filling out the deactivation survey, deactivation will no longer be prevented if our server is down
* Fix: Added more escaping to secure against vulnerabilities

= 2.21.4: July 8th, 2022 =
* Fix: The CSRF patch for the stats exporter was breaking other exporters. The patch is still in place but the other exporters are working again.

= 2.21.3: July 7th, 2022 =
* Security: Protect against CSRF and DOS attacks against the donation stats exporter
* Security: Protect against XSS attacks for the currency endpoint
* Fix: Styling corrections for the donation, donor, and form admin lists
* Fix: Selecting a specific donation when previewing an email no longer throws an error
* Fix: Renewal reminder emails are once again being sent
* Fix: Prevent a 400 error from occurring in Stripe webhooks
* Fix: Anonymous donations are working properly again for subscriptions

= 2.21.2: June 29th, 2022 =
* Feature: Exporting donors now supports limiting by their donation date — useful for getting donors who gave in the last year
* Enhancement: the new Gateway API now supports recurring under the hood
* Enhancement: donors are now passed to the give_donors_column_query_data hook (thanks Genevieve!)
* Security: Updated some internal dependencies that had security fixes
* Security: Better protection against invalid dates when exporting donation statistics
* Security: Prevent overreach hack when using the exporters
* Fix: For some folks a really old migration got stuck, and now it's unstuck
* Fix: Summary Heading for the classic Form field displays as it should
* Fix: The "Display Header" setting for Classic Form shows/hides the corresponding settings
* Fix: Made the default Form Grid colors a bit nicer
* Fix: Some of our greens weren't the right GiveWP green. All greens have been made right
* Fix: Cleaned up some PHP warnings in the Donor Wall caused by other add-ons
* Fix: Put the donation date back in on the Donor Wall
* Fix: Donation links weren't working on sub-directory WordPress installs on the Donation List table, now they do
* Fix: Required fields on the Multi-Step form now have an asterisk to help communicate to the donor
* Fix: Resolved a styling conflict introduce by the updated Form Grid on the Goal shortcode and Legacy template
* Fix: Improved some grammar and wording in our PayPal instructions
* Fix: Updated the PayPal logo to their latest and greatest
* Fix: Improved translations on the Donor Wall
* Fix: Updated the currency symbol for LKR (thanks pxydigital!)
* Fix: Donations made with 0-decimals now display properly on the Donor Wall
* Fix: Form goal settings are better reflected on the Form Grid

= 2.21.1: June 21st, 2022 =
* Fix: Resolved a "sort buffer" error on MySQL 5.7 and older
* Fix: Added and corrected some missing translations

= 2.21.0: June 16th, 2022 =
* New: Fresh new look for the Donor Wall block and shortcode!
* New: Form Grid looks has a great new look and more visual options!
* Enhancement: The new Gateway API now uses he new Models
* Enhancement: All failed queries are now logged with extra data to troubleshoot
* Enhancement: Some minor visual improvements on the Logs admin page
* Security: Remove an unused donor wall endpoint that made donor wall data too easy to access
* Security: Donors can no longer immediately access the Donor Dashboard without authentication
* Security: Further tightening of XSS protection per WordPress security guidelines
* Security: Tighten up file exposure to GiveWP Managers in the Exporter
* Fix: Prevent a notice and database error on fresh installs
* Fix: Cleared up some notices that logging was causing
* Fix: Admin notices no longer scrunch all weird-like up at the top of the page
* Fix: Further compatibility fixes for PHP 8.1
* Fix: Text aligns better for offline donations in the form
* Fix: Stripe gracefully ignores events that come in from another platform
* Fix: Brought back accidentally removed income goal stat filters. Thanks sc0ttkclark!
* Fix: Make sure that all donation errors are caught and gracefully handled to inform the donor
* Fix: Renewals now display the correct payment type in the admin donations list
* Fix: Checkboxes (also created via Form Field Manager) no longer require being checked when conditionally hidden

= 2.20.2: June 8th, 2022 =
* Security: Donors are no longer able to view the Donor Dashboard for the email they donated in without logging in
* Security: Added additional URL escaping around the codebase to protect against XSS attacks
* Fix: Subscriptions can now be changed again by donors using the legacy subscriptions shortcode

= 2.20.1: May 19th, 2022 =
* Fix: Corrected an issue where admin notices were displaying strangely
* Fix: Removed the "Switch to New View" button that would show up in strange admin places when switched to the legacy donor or donation lists

= 2.20.0: May 11th, 2022 =
* New: Refreshed the donor and donation list screens in the admin
* New: Significant improvements to the donor wall and form grid blocks
* Enhancement: Optimized deleting a donation and all of its meta
* Enhancement: Many under-the-hood improvements Gateway API
* Enhancement: Updated Romanian currency symbol to RON
* Enhancement: Logging system has built-in checks to redact sensitive information
* Fix: Resolved a 3D Secure issue with PayPal Donations
* Fix: Tags now work properly in the Offline Donations content
* Fix: Improved error handling if an error occurs with PayPal Donations
* Fix: Viewing a receipt in the legacy donation history page now works
* Fix: Prevent a "donation_decimals" notice when adding and updating forms
* Fix: Percentage goals display properly on the form list
* Fix: The correct donation form title is shown on the Stripe checkout page
* Fix: Donor Wall can no longer be accessed outside of the website
* Fix: Equal operator for conditional fields works again (also affects Form Field Manager)
* Fix: Improved Multi-Step content to provide a default and avoid confusion
* Fix: Clicking the main "Donations" menu item goes to the forms list instead of making a new form
* Fix: Corrected PayPal Donations design when used in Classic template

= 2.19.8: April 6th, 2022 =
* Fix: Corrected an issue with our javascript translations

= 2.19.7: April 4th, 2022 =
* Fix: Resolved a regression in 2.19.6 that broke the Stripe Checkout gateway — please update immediately

= 2.19.6: March 31st, 2022 =
* Change: Click in the background when viewing a form in the Form Grid now closes the form
* Fix: Significant improvements to making GiveWP translatable, especially the Donor Dashboard and other JavaScript
* Fix: Forms were not able to be deleted if Recurring wasn't installed, but now they can be!
* Fix: Sensitive information was being stored in the logs in some cases. The information will no longer be stored and logged information was removed.
* Fix: Some PayPal donations were stuck in "processing" status, but now they are properly marked "complete"
* Fix: Transaction ID wasn't being stored for Stripe donations using 3D Secure. Now it's stored and the missing ID's were recovered.
* Fix: The Form Grid now displays the excerpt properly on the Multi-Step form
* Fix: The Donor Wall and Form Grid blocks now look as they should in the block-editor

= 2.19.5: March 11th, 2022 =
* Fix: Resolved issue with PayPal failing to validate for authenticated users

= 2.19.4: March 10th, 2022 =
* Fix: Resolved issue with PayPal failing to validate route after donating
* Fix: Resolved issue with PayPal logo not loading
* Fix: Resolved issue with PayPal donation statuses being set to processing

= 2.19.3: March 4th, 2022 =
* Fix: PayPal Standard donations above 1000 dollars are now working again
* Fix: PayPal IPN URL is now working again
* Fix: Stripe subscriptions with no end were being canceled upon the next renewal when using GiveWP Recurring 1.15.0. This resolves that issue. Please update!

= 2.19.2: March 2nd, 2022 =
* Fix: Resolved issue with connecting to Stripe with API Keys

= 2.19.1: February 25th, 2022 =
* Fix: Added backwards compatibility for Stripe statement descriptors that do not yet meet the new requirements.

= 2.19.0: February 24th, 2022 =
* New: New reactive form table interface. The new forms table responds to your clicks instantly.
* New: Stripe statement descriptors can now be set on a per account basis.
* New: Free add-on offer for folks using the free version of GiveWP without premium add-ons.
* New: More detailed logs are now stored during the donation process. A powerful tool to help you troubleshoot any issues your donors might have with donating.
* New: A refactored Payment Gateway API. The makes integrating custom gateways with GiveWP easier than ever before.
* Change: Added subscription logic to allow gateways to support recurring in a more consistent manner. Make sure to update to the latest version of Recurring Donations as well.
* Change: Updated Stripe and PayPal gateways to use the new Payment Gateway API.
* Fix: Prevent fatal error on PHP 8 when a form's goal is empty
* Fix: Ensured translation domains were consistent
* Fix: Resolved console error for missing admin CSS files
* Fix: Tributes using "button" display now show up correctly on Multi-Step and Classic templates
* Fix: The "Payment Amount" section consistently reflect the amount when the donor changes to a custom amount

= 2.18.1: February 2nd, 2022 =
* Fix: On Classic template the payment fields didn't show up when there was only one active gateway, and now they do!

= 2.18.0: January 19th, 2022 =
* New: Shiny new Classic Form Template! Check it out!
* New: New Gateway API under the hood for integrating with payment gateways. Developer docs to come!
* Change: Only warnings and errors are logged unless WP_DEBUG_LOG is enabled
* Change: Increased the default donation goal to $10,000, because who couldn't use $10k?
* Fix: Currency symbol now displays correctly when using Currency Switcher
* Fix: Donation Summary now works properly with admin-defined recurrence
* Fix: Avoid PayPal IPN errors when using test mode

= 2.17.3: January 17th, 2022 =
* Security: Minor XSS vulnerabilities, which require admin access to exploit, have been resolved

= 2.17.2: December 28th, 2021 =
* Fix: Only validate email settings that are not empty

= 2.17.1: November 23rd, 2021 =
* Fix: Took care of an annoying babel-polyfill 404 in the JavaScript console

= 2.17.0: November 18th, 2021 =
* New: Shiny new add-ons page in the admin for exploring our latest add-ons and plans!
* New: Donation Summary section for Multi-Step form! Enable it for existing forms in the Form Template Options for each form!

= 2.16.2: November 11th, 2021 =
* New: Donations made via PayPal Donations are now marked as donation in PayPal; also added a setting if you need to change it back
* Fix: Take care of some notices when editing a form and in onboarding — friendly reminder NOT to display PHP warnings on production!
* Fix: Got rid of another notice when using checkboxes in the Fields API

= 2.16.1: November 2nd, 2021 =
* Fix: Resolved Multi-Step Form PHP 7.2 and lower compatibility issue

= 2.16.0: October 24th, 2021 =
* New: You can now disable google font for Multi-Step form within the form options
* New: Conditional fields are now possible in the Field API (useful in new Form Field Manager update!)
* Fix: Give icons in Gutenberg block admin UI now display correctly in Firefox
* Fix: Resolved issue where a minimum donation error was not showing up properly

= 2.15.0: October 11th, 2021 =
* New: There is a new option for making the Donor Last Name field required
* Changed: Sending a preview email now gets send to the email of the user triggering the preview
* Changed: Improved Donor Dashboard messages with improved clarity for donors
* Changed: Donor Dashboard only displays user/password fields if registration is enabled
* Changed: PayPal IPN Verification is now enabled by default for better security
* Fix: Simplified PayPal IPN Verification to avoid failure when there wasn't any
* Fix: Further improvements for PHP 8 compatibility
* Fix: Donors can now properly set custom amounts in their Donor Dashboard
* Fix: Corrected Lifetime and Average donation amount formatting in Donor Dashboard
* Fix: Restored PHP 5.6 compatibility when running GiveWP WP CLI commands
* Fix: Offline gateway custom label now shows up properly in donation form
* Fix: Offline donation instructions don't show up if specific form disables gateway
* Fix: Various fixes to the internal Field API

= 2.14.0: September 21st, 2021 =
* New: A lot of improvements to the Fields API in preparation for Peer-to-Peer!
* Fix: Corrected a notice when using offline donations
* Fix: Improved decimal formatting in the Multi-Step amount buttons
* Fix: Social sharing works properly again after making a donation
* Fix: Payment ID in donation email preview correctly reflects the sequenced ID
* Fix: Connecting to Stripe on PHP 8 no longer throws an error... it just connects

= 2.13.4: September 3rd, 2021 =
* Fix: Corrected a migration introduced in the last release that had a chance of removing donation level data

= 2.13.3: September 1st, 2021 =
* Fix: Resolved rare issue with Revenue not storing properly on donation form created during onboarding
* Fix: Donor selecting "Custom" donation amount now focuses on the amount field

= 2.13.2: August 26th, 2021 =
* Fix: Resolved issue where donation forms failed to submit when Stripe was disabled

= 2.13.1: August 20th, 2021 =
* Fix: Resolved issue where donations with a custom amount changed after a payment error
* Fix: Customizer is no longer broken

= 2.13.0: August 19th, 2021 =
* New: Fresh new UI for managing Stripe accounts

= 2.12.3: August 12th, 2021 =
* Fix: Resolved issues some donors were having updating subscription cards or amount from Donor Dashboard
* Fix: Primary color picker for multi-step form remains visible if Step 1 is disabled
* Fix: Replace Legacy Form placeholder with nice, instructive image
* Fix: Improve styling for admin-defined recurring donations on multi-step form
* Fix: Improve styling for Authorize.net eCheck on multi-step form
* Fix: Payment errors no longer revert custom donation amounts

= 2.12.2: July 30th, 2021 =
* New: Improvements to the Onboarding Wizard
* New: Minor improvements to the Fields API
* Fix: An admin deleting a donor's donation no longer reveal other donor's donations to them in the Donor Dashboard

= 2.12.1: July 22st, 2021 =
* Fix: Resolved an issue with admin-defined recurring options showing up as a bunch of HTML

= 2.12.0: July 21st, 2021 =
* New: Compatible with the upcoming [GiveWP - Text-to-Give](https://go.givewp.com/t2g) release!
* Change: Various style improvements for accessibility within the admin
* Fix: Improved compatibility with PHP 8, resolving various warnings and deprecation notices
* Fix: Rare issue of disabling custom donation amounts causing a missing field in donation deatils is resolved
* Fix: Got rid of "Unsupported declare strict_types" warning

= 2.11.3: July 6th, 2021 =
* Fix: Important fix which makes sure that givewp.com downtime cannot affect the uptime of customer sites

= 2.11.2: June 8th, 2021 =
* Fix: Our new system for logging exceptions now handles critical errors better
* Fix: Uninstalling GiveWP no longer throws an exception

= 2.11.1: May 24th, 2021 =
* New: You can now enable billing details for PayPal Donations in Settings > Payment Gateways > PayPal
* Fix: Donor Dashboard is *really* translatable this time. Honestly.

= 2.11.0: May 19th, 2021 =
* New: Multi-Step form template has a new setting to enable showing decimals in amounts
* New: Donor Dashboard is now fully translatable
* Changed: Indian state of Odisha (formerly Orissa) is now updated to reflect legal name change
* Changed: Onboarding includes KR (Repulic of Korea) currency option
* Changed: Removed legacy option to custom load Stripe SDK as it no longer did anything
* Fix: Editing a donor's address no longer removes spacing between words
* Fix: All email templates can now be disabled
* Fix: Applying Fee Recovery now correctly handles cent rounding in Stripe
* Fix: Importing donations now works on all main browsers

= 2.10.4: April 29th, 2021 =
* Security: Resolved Authorized XSS vulnerability - note, you had to be logged in as admin to exploit it
* Changed: Removed PHAR files from vendor directory to meet wp.org standards
* Changed: Switched to using WP HTTP remote functions to meet wp.org standards
* Fixed: Improved escaping in a few places to improve security
* Fixed: Corrected is_give_form() post type so it once again works

= 2.10.3: April 21st, 2021 =
* Fixed: Authentication now works more reliably for the Donor Dashboard on different hosts
* Fixed: Nonces were added to the Donor Dashboard for additional authentication and security
* Fixed: Donors without WP accounts are now able to upload avatar images
* Fixed: Logging out from Donor Dashboard works reliably
* Fixed: Renewals were falsely marked as test donations; it was superficial, but is now correct

= 2.10.2: April 14th, 2021 =
* Changed: Stripe fee does not apply to Brazil due to Stripe limitations
* Fixed: Migration for creating the logs table is now compatible with MySQL 5.5 and up
* Fixed: When an authentication error occurs on the Donor Dashboard the user can no longer see others' donations
* Fixed: Made sure that under no circumstances can logging cause an exception... to avoid irony
* Fixed: Activating GiveWP will now generate a Donor Dashboard page ONLY if one does not already exist

= 2.10.1: March 30th, 2021 =
* Fixed: Fatal error triggered by the Donor Dashboard on PHP 5.6
* Fixed: Donations to Revenue table migration where migration got stuck on error
* Fixed: Broken email tag link in description
* Fixed: Cleared up PHP notices on system info page
* Fixed: GiveWP Database management tool is now backwards compatible to MySQL 5.5
* Fixed: Cleaned up extra .git directories that got included in vendors
* Fixed: Donor search no longer shows undefined index notice
* Fixed: Fatal error thrown on page/post edit screens when migration table creation failed
* Fixed: Donor Dashboard now works properly on hosts with aggressive page caching
* Fixed: Donor Dashboard is only generated by admins in the admin-side, not other users by accident

= 2.10.0: March 22nd, 2021 =
* New: Donor Profile block with a whole new experience for donors to view and manage their donations
* New: Rebuilt log system from the ground up for better log viewing and database management
* New: Migration tool for viewing all GiveWP migrations and troubleshooting them
* Fixed: Paypal Donations now sends Form title to PayPal for use in receipts
* Fixed: PayPal Donations now works properly with forms using the "Button" Display Option.
* Fixed: Form logins now work properly with the PayPal Donations gateway

= 2.9.7: February 9th, 2021 =
* Fixed: Using CLI commands no longer throws a fatal error due to a missing dev package
* Fixed: When guest registration is disabled the checkbox to create an account is hidden
* Fixed: Multi Form Goal component no longer throws an error when used in Divi
* Fixed: Corrected some styles in the Setup Page for gateway links

= 2.9.6: January 13th, 2021 =
* New: Additional logging and improved messaging for PayPal Donations onboarding
* New: Added ability to adjust gravatar size for the Donor Wall block
* Fixed: Personal information field icons are preserved when switching payment gateways
* Fixed: Fee Recovery checkbox no longer has weird visual glitches on hover
* Fixed: Corrected missing borders for PayPal Donation credit card fields in Firefox
* Fixed: The form title is now reflected in PayPal for donations made through PayPal Donation
* Fixed: Resolved an error where some servers had a trouble with the autoloader using a relative path
* Fixed: Made sure that caching does not cause donations to incorrectly show up as pending in receipt
* Fixed: Create an Account checkbox only shows up when Guest Checkout is enabled
* Fixed: Form fields now preserve their values when the payment gateway changes
* Fixed: Took care of a few cross-browser compatibility issues with the multi-step form
* Fixed: Stopped taps from registering as double-clicks on checkboxes in donation forms
* Fixed: Multi-Form Goals added via shortcode now stack image and text when needed
* Fixed: Foreign keys are no longer used on Give tables and are now removed
* Fixed: Give Aid description popup now works properly on Multi-Step forms

= 2.9.5: December 3rd, 2020 =
* New: Added Jamaica to list of countries for onboarding
* Fixed: Currency Switcher options display correctly on Windows machines
* Fixed: Corrected style issues in Multi-Step forms on iOS devices
* Fixed: Restored compatibility with WP versions prior to 5.1.1

= 2.9.4: November 20th, 2020 =
* Fixed: Revenue database migration for donations with an amount of 0 now work
* Fixed: Restored compatibility with versions of WP prior to 5.5 when deleting donations
* Fixed: Stripe single-input credit card fields work once again
* Fixed: Donor's updating the card of Stripe subscriptions work again

= 2.9.3: November 17th, 2020 =
* Fixed: Stripe Credit Card donations now work when it is not the default gateway
* Fixed: Stripe Checkout Modal are working again as well
* Fixed: A MigrationRunner warning no longer displays on fresh installs and sites upgrading from 2.8.0

= 2.9.2: November 9th, 2020 =
* New: Added a method for manually triggering migrations to re-attempt failed migrations
* Fixed: Resolved an issue when creating donations for currencies with different decimal ranges
* Fixed: Free add-ons no longer cause license errors
* Fixed: Resolved issue that prevented some donors from updating their subscription card or amount
* Fixed: Stripe Modal now renders without any issues on different screen sizes
* Fixed: Recover donation form to be ready for a retry after Stripe error
* Fixed: Multi-step form now reflects form color when embedded on a page
* Fixed: MultiForm Goal shortcode now supports comma separated lists
* Fixed: Resolved issue with revenue table migration failing on MyISAM tables

= 2.9.1: October 28th, 2020 =
* Fixed: Restore PayPal Standard functionality that was affected by a name change in GiveWP 2.9.0 (#5414)
* Fixed: Restore compatibility with WordPress 4.9

= 2.9.0: October 27th, 2020 =
* Added: New [PayPal Donations](https://givewp.com/lps/paypal-donations) gateway allows your donors to give using Debit or Credit Cards directly on your website with no additional fees
* Added: New Multi-form Goal block combines progress from multiple donation forms towards a common goal
* Added: Company Name can now be displayed on Donor Wall (#5374)
* Added: Multi-step form styles are now compatible with Currency Switcher (#5220)
* Changed: New database table handles revenue independently from donations for improved performance (#5257)
* Fixed: Imported donations do not affect donation levels anymore (#5410)
* Fixed: Reports for "All Time" are now inclusive of the first day (#5400)
* Fixed: Tabbing through credit card fields now works in the expected order (#5380)
* Fixed: Legacy form loading spinner no longer stutters (#5397)
* Fixed: Field description text is now accessible and aligned (#5396)

= 2.8.1: October 8th, 2020 =
* Fixed: Donations now process for non-US countries using billing details [#5355](https://github.com/impress-org/givewp/pull/5355)

= 2.8.0: August 31st, 2020 =
* Added: Onboarding Wizard guides new users through first-time configuration. [#5014](https://github.com/impress-org/givewp/pull/5014)
* Added: Setup Page clarifies required steps that must be completed prior to accepting live donations. [#5014](https://github.com/impress-org/givewp/pull/5014)
* Added: Multi-step forms now support RTL styles. [#5196](https://github.com/impress-org/givewp/pull/5196)
* Changed: Stripe Checkout modal is now rendered using Stripe Elements so that users can continue to use the modal display style even after it is deprecated by Stripe. [#4964](https://github.com/impress-org/givewp/pull/4964)
* Changed: Default minimum donation amount is increased from $1.00 to $5.00 to help prevent card testing spam. [#5120](https://github.com/impress-org/givewp/pull/5120)
* Changed: Optional fields in the Multi-Step form template are denoted to appear distinct from required fields. [#5157](https://github.com/impress-org/givewp/pull/5157)
* Removed: Old Welcome Page has been removed in favor of the new Onboarding Wizard & Setup Page. [#5014](https://github.com/impress-org/givewp/pull/5014)
* Removed: Admin notice animation has been removed. [#5182](https://github.com/impress-org/givewp/pull/5182)
* Fixed: Deprecated jQuery warnings no longer appear when jQuery Migrate Helper plugin is active. [#5184](https://github.com/impress-org/givewp/pull/5184)
* Fixed: The `[give_receipt]` shortcode is more compatible alongside other shortcodes, which is especially relevant for page builders. [#5044](https://github.com/impress-org/givewp/pull/5044)
* Fixed: Resolved style and JS issues in WordPress 5.5+ with GiveWP's WP-admin metabox expand/collapse and repeater elements. [#5126](https://github.com/impress-org/givewp/pull/5126)
* Fixed: A `register_rest_route` notice no longer displays when creating a new page in the block editor. [#5115](https://github.com/impress-org/givewp/pull/5115)
* Fixed: Multi-step form anonymous donation checkbox is now checkable after changing the payment gateway. [#5191](https://github.com/impress-org/givewp/pull/5191)
* Fixed: Fee Recovery checkbox placement in Multi-Step forms now respects the Fee Recovery input location setting. [#5205](https://github.com/impress-org/givewp/pull/5205)
* Fixed: Form Field Manager controls are now set up on init of the Multi-Step form to ensure they work with only a single gateway enabled. [#5216](https://github.com/impress-org/givewp/pull/5216)

= 2.7.5: August 11th, 2020 =
* New: Form Templates now support all permalink configurations (or lack there of), including the default value of "plain". [#4952](https://github.com/impress-org/givewp/issues/4952)
* New: The Donations search bar now allows you to search by like keywords for rather than exact match which makes it a lot easier to find proper results. [#4994](https://github.com/impress-org/givewp/issues/4994)
* Fix: Revamped the logic for requiring Postal / Zip codes for countries that do not have postal codes. [#5006](https://github.com/impress-org/givewp/issues/5006)
* Fix: Resolved an issue when using the Multi-Step donation form with the first step disabled would cause the donor to auto-scroll incorrectly on page load. [#5004](https://github.com/impress-org/givewp/issues/5004)
* Fix: Resolved a database table creation issue for new installs due to bug within our new bootstrapping process. [#5017](https://github.com/impress-org/givewp/issues/5017)
* Fix: Ensure that the "Title Prefixes" maintain the order of values when saved. [#4992](https://github.com/impress-org/givewp/issues/4992)
* Fix: The "Donation Form" Block can now properly be re-selected when it's using the new Multi-Step donation form template and the admin loses focus on the block. [#5017](https://github.com/impress-org/givewp/issues/5017)

= 2.7.4: August 4th, 2020 =
* Fix: The uninstall process in v2.7.3 previously resulted in a fatal error due to a change made in the plugin's bootstrapping process. [#4981](https://github.com/impress-org/givewp/issues/4981)

= 2.7.3: July 29th, 2020 =
* Fix: The Donation Reports were not correctly calculating renewals processed via the Recurring Donations add-on leading to incorrect figures. [#4883](https://github.com/impress-org/givewp/issues/4883)
* Fix: The new Multi-Step Form Template was not correctly marking donations as anonymous if the donor elected to give anonymously. [#4959](https://github.com/impress-org/givewp/issues/4959)
* Fix: Reports have been improved to account for the use of a comma as the currency decimal separator. Previously, when using a ',' as the decimal separator for a currency, it produced inconsistent errors in terms of decimal placement for totals displayed on the Reports page. Furthermore, using a ',' for the decimal separator resulted in consistent misplacement of the decimal in the Average Donations totals. [#4926](https://github.com/impress-org/givewp/issues/4926)
* Fix: The Chosen select dropdown field now can properly have separate values and labels. [#4943](https://github.com/impress-org/givewp/issues/4943)
* Fix: Fixed a typo in the default Thank You page content for the new Multi-step Form Template. [#4909](https://github.com/impress-org/givewp/issues/4909)
* Fix: The `give_get_meta` filter had a duplicate parameter passed and now properly passes all parameters. [#4464](https://github.com/impress-org/givewp/issues/4464)

= 2.7.2: July 6th, 2020 =
* Fix: The 2.7.0 upgrade routine could cause WP-Admin to be incorrectly redirected to the update success screen for certain hosting environments after completion. [#4900](https://github.com/impress-org/givewp/issues/4900)
* Fix: The Donor Wall shortcode now allows you to properly only display certain donors by their donor IDs. [#4864](https://github.com/impress-org/givewp/issues/4864)
* Fix: Improved the Multi-Step Form Template styles when only one gateway is active. Previously the "Donate Now" button wouldn't be properly centered aligned and checkboxes could be a smaller width than the container. [#4882](https://github.com/impress-org/givewp/issues/4882)
* Fix: Provided support for the "Anonymous Donations" checkbox within the new Multi-step Form Template. [#4888](https://github.com/impress-org/givewp/issues/4888)
* Fix: The "Terms and Conditions" checkbox can now be properly scrolled on mobile devices. [#4899](https://github.com/impress-org/givewp/issues/4899)
* Fix: When Google Pay was the default gateway a notice would incorrectly display in the new donation form template. [#4879](https://github.com/impress-org/givewp/issues/4879)

= 2.7.1: June 30th, 2020 =
* Fix: Resolved an issue with the 2.7.0 releasing causing the Form Grid shortcode to not render due to a PHP fatal error. [#4877](https://github.com/impress-org/givewp/issues/4877)
* Fix: Updated a JavaScript version to the latest to prevent browser caching from causing the Reports widgets to not function until a hard browser refresh. [#4876](https://github.com/impress-org/givewp/pull/4876)

= 2.7.0: June 29th, 2020 =
* New: We're excited to announce a new way to create your donation forms called "Form Templates". The first template is allows you to create a highly customizable multi-step donation form where you control all the text, colors, and images in place. Be sure to update to the latest version of your add-ons for full compatibility. [Read more about Form Templates](https://go.givewp.com/wpgivewp27)
* New: Multiple Stripe Account is here! Now you can connect to multiple Stripe accounts and set them per donation form. That means organizations, like charities with chapters or schools with clubs that need to raise money online, can create different forms to accept donations through separate Stripe accounts. [Read more about Stripe Multi-Accounts](http://docs.givewp.com/stripe-free)
* New: Our Gutenberg blocks' UI was improved so they are have a better user experience.
* Tweak: Previous to this release we were packaging two TCPDF packages for backwards compatibility reason. We removed one of the packages and now are relying on the composer package. This means that you'll need to be running the PDF Receipts version add-on at 2.3.4 or higher for compatibility. [#4656](https://github.com/impress-org/givewp/pull/4656)
* Fix: If you install GiveWP and didn't configure anything there would be a JavaScript error on the frontend if Stripe is not connected but enabled, which it is by default for new installs. [#4709](https://github.com/impress-org/givewp/pull/4709)
* Fix: Improved how reports are rounding percentages so that the trend comparisons are more accurate. [#4766](https://github.com/impress-org/givewp/issues/4766)
* Fix: Monaco doesn't have states so don't display or require a state field when that country is selected. [#4773](https://github.com/impress-org/givewp/pull/4773)
* Fix: Properly internationalized a tooltip in Stripe so translations properly display. [#4677](https://github.com/impress-org/givewp/pull/4677)
* Fix: The "Add-ons" like on the plugin activation welcome screen was broken. [#4843](https://github.com/impress-org/givewp/pull/4843)
* Fix: Resolved a caching conflict with WP Rocket that was preventing donation forms from being cached properly. [#4546](https://github.com/impress-org/givewp/pull/4546)
* Fix: Prevented a fatal error that could occur on the Donor profile screen in WP-Admin when the Stripe add-on is active but no Stripe payment gateways are enabled. [#4787](https://github.com/impress-org/givewp/pull/4787)

= 2.6.3: May 19th, 2020 =
* New: Added a new payment gateway for Stripe called BECS Direct Debit payments for Australia. This includes support for one time and subscription payments. Note: Subscription payments are only supported via the Recurring Donations add-on. [#4590](https://github.com/impress-org/givewp/issues/4590)
* Fix: Improved Stripe's error handling so that the error output is more descriptive of the actual problem and donations are not marked as complete if the card is denied by Stripe. [#4689](https://github.com/impress-org/givewp/issues/4689)
* Fix: When viewing legacy reports and filtering data you would incorrectly be redirected to the new reports screen instead of seeing filtered report data. [#4644](https://github.com/impress-org/givewp/issues/4644)
* Fix: The alignment of the money fields were off a few pixels on the donation form settings screen. [#4638](https://github.com/impress-org/givewp/issues/4638)
* Fix: Modified pro license logic so that old license keys saved to the database don't cause incorrect notices to display. [#4669](https://github.com/impress-org/givewp/issues/4669)
* Fix: Updated the country select dropdown to remove missing and incorrect countries. [#4745](https://github.com/impress-org/givewp/issues/4745)
* Fix: Dates for the donor wall now output the properly translated date. [#4721](https://github.com/impress-org/givewp/issues/4721)
* Fix: Several field descriptions in the plugin settings had typos and / or required clarity for better understanding. [#4649](https://github.com/impress-org/givewp/issues/4649), [#2808](https://github.com/impress-org/givewp/issues/2808)
* Tweak: Replaced the default placeholder image that was using placehold.it image for a local image for improved support. [#4743](https://github.com/impress-org/givewp/issues/4743)

= 2.6.2: April 1st, 2020 =
* Fix: Resolved an issue with Stripe in the latest release which prevented the donation form from properly redirecting to the donation receipt page upon successful donation. [#4605](https://github.com/impress-org/givewp/issues/4605)
* Fix: Modified how we compare values in Stripe's gateway JavaScript to prevent a Payment Intent error from happening for certain configurations. [#4604](https://github.com/impress-org/givewp/issues/4604)

= 2.6.1: March 30th, 2020 =
* New: Stripe now has the SEPA Direct Debit gateway integrated. This is a popular payment option in Europe and can be used to accept one-time and recurring donations. [#4571](https://github.com/impress-org/givewp/issues/4571), [#4313](https://github.com/impress-org/givewp/issues/4313)
* Fix: The new Reports screen was not properly caching results which would cause delays in pulling data on larger sites or small resource servers. [#4514](https://github.com/impress-org/givewp/issues/4514)
* Fix: The new Reports screen was having issues with certain currency formats which resulted in inaccurate figures. [#4537](https://github.com/impress-org/givewp/issues/4537), [#4559](https://github.com/impress-org/givewp/issues/4559)
* Fix: Resolved an issue with the new Reports interface throwing a few PHP notices. [#4515](https://github.com/impress-org/givewp/issues/4515), [#4593](https://github.com/impress-org/givewp/issues/4593), [#4592](https://github.com/impress-org/givewp/issues/4592)
* Fix: Adjusted our Gutenberg styles so that it doesn't conflict with WordPress'. [#4577](https://github.com/impress-org/givewp/issues/4577)
* Fix: Resolved an error when using Stripe's Checkout feature with the Recurring Donations causing "The Stripe Gateway returned an error while creating the Checkout Session" error. [#4566](https://github.com/impress-org/givewp/issues/4566)
* Fix: Resolved an issue with user roles that would display the "Donations" top level menu item in WP-Admin incorrectly to subscribers. Note: none of the screens would be accessible. [#4524](https://github.com/impress-org/givewp/issues/4524)
* Fix: Solved an issue where Stripe payments with the form grid not rendering correctly when opening and closing donation forms in the popup modal window. [#4467](https://github.com/impress-org/givewp/issues/4467)
* Fix: The "Title" field would not correctly display as optional (the asterisk would not remove) when set as optional. [#4510](https://github.com/impress-org/givewp/issues/4510)

= 2.6.0: March 4th, 2020 =
* New: The Reporting feature of GiveWP has undergone a major enhancement. Now reports display using a much improved visual charting interface with a breakdown of income, donors, top donation forms, and more. [#1525](https://github.com/impress-org/givewp/issues/1525), [#4330](https://github.com/impress-org/givewp/issues/4330)
* New: The WP-Admin dashboard Donation Report widget for GiveWP has also undergone a major improvement. Now you can get a high-level overview of your donations for the day, week, or month from directly in you dashboard. [#4370](https://github.com/impress-org/givewp/issues/4370)
* New: The Akismet SPAM feature has been improved with logs for admins to better understand why an email has been flagged as SPAM as well as a new Whitelist setting for them to allow email addresses to bypass the check. [#4110](https://github.com/impress-org/givewp/issues/4110)
* Fix: Resolved an issue with the "Recalculate Income Amount and Donation Counts for a Form" not accurately recalculating when using Currency Switcher add-on. [#4447](https://github.com/impress-org/givewp/issues/4447)
* Fix: Resolved an issue with large databases with more than 13,000 donors receiving a fatal error when viewing the donor's list screen. [#4444](https://github.com/impress-org/givewp/issues/4444)
* Tweak: You can now activate any plugin within the GiveWP Licenses tab. This resolves an issue with "this plugin does not have a valid header" error admins were receiving. [#4443](https://github.com/impress-org/givewp/issues/4443)
* Tweak: Updated the `[give_login]` shortcode text output to "Username or Email Address" to match WP's login. Note: you have been able to always log in using email but now the text accurately reflects that. [#4434](https://github.com/impress-org/givewp/issues/4434)

= 2.5.13: January 15th, 2020 =
* Fix: Resolved an issue when using button mode of multiple donation buttons appearing incorrectly within shortcodes, blocks, and widgets. [#4379](https://github.com/impress-org/givewp/issues/4379)
* Fix: Correct an ordering issue with the form grid when sorting by "Form Title" it was using the slug rather than the actual donation form title. [#4392](https://github.com/impress-org/givewp/issues/4392)
* Fix: Removed deprecated usage of `wp.components.ServerSideRender` in our Gutenberg blocks. [#4402](https://github.com/impress-org/givewp/issues/4402)
* Tweak: Refactored the `give_doing_it_wrong()` function so that it properly displays Give-specific messages for developers. [#2572](https://github.com/impress-org/givewp/issues/2572)

= 2.5.12: December 31st, 2019 =
* Fix: Resolved an issue with donation receipt emails and admin notifications not being sent out properly when a new donation is made. The cause of the issue was a security permission check incorrectly put in place in the previous version that was unable to be bypassed by new donors. We've reverted that change and fully tested to ensure emails are working as expected again. [#4379](https://github.com/impress-org/givewp/issues/4379)

= 2.5.11: December 23rd, 2019 =
* Fix: Activating Give created a minor style conflict with the Gutenberg editor slightly pushing down some buttons. This has been resolved by refactoring the styles so they no longer conflict with WP Core elements. [#4354](https://github.com/impress-org/givewp/issues/4354)
* Fix: Sorting donation payments by taxonomy would result in AJAX fails in JavaScript. [#2976](https://github.com/impress-org/givewp/issues/2976)
* Improvement: New unit test added to test for the `give_verify_minimum_price()` function. [#3232](https://github.com/impress-org/givewp/issues/3232)
* Refactor: Removed duplicate code for fetching donor addresses to improve performance. [#3253](https://github.com/impress-org/givewp/issues/3253)
* Refactor: We removed the old notes column from the donor table now that that data has long been migrated over to a custom tables' column. [#3632](https://github.com/impress-org/givewp/issues/3632)
* Fix: Improved responsiveness in the donation forms list screen by preventing the copy shortcode button from overlapping with other columns on smaller screens. [#4090](https://github.com/impress-org/givewp/issues/4090)
* Fix: Ensure that empty donation receipt emails can not triggered incorrectly. [#4185](https://github.com/impress-org/givewp/issues/4185)
* Refactor: Adjusted meta capabilities so that they are not assigned to roles. [#4212](https://github.com/impress-org/givewp/issues/4212)
* Fix: Improved `give_send_back_to_checkout()` redirect functionality with `add_query_arg()` and `remove_query_arg()` for a dramatically simpler solution that provides for WordPress installed in a subdirectory. Thanks @luizbills for the contribution! [#4311](https://github.com/impress-org/givewp/issues/4311)
* Fix: Resolved several style issues with WordPress 5.3+'s new admin changes. [#4315](https://github.com/impress-org/givewp/issues/4315)
* Fix: The UK's County field is no longer required. This change is based on customer feedback this field should not be required. [#4316](https://github.com/impress-org/givewp/issues/4316)
* Fix: Resolve updates not showing up without a manual refresh of licenses. Previously add-on updates would be checked every few weeks. Now they are checked on every 48 hours. [#4318](https://github.com/impress-org/givewp/issues/4318)
* Fix: Resolved an error with Stripe that would occur if an existing donor would make a new donation using a different credit card. The error "The customer does not have a payment method with the ID..." will no longer appear now and donations will process as expected. [#4328](https://github.com/impress-org/givewp/issues/4328)
* Fix: Resolved an issue with Stripe Checkout if you chose to load scripts in the footer would result in a redirect loop depending on your set up. [#4329](https://github.com/impress-org/givewp/issues/4329)
* Fix: When clicking on the modal popup button it would previously be hidden from the DOM which could result in background jumpiness. Now the button is not hidden which leads to better theme compatibility. [#4352](https://github.com/impress-org/givewp/issues/4352)
* Fix: Corrected an broken URL in the in add-ons header. [#4307](https://github.com/impress-org/givewp/issues/4307)

= 2.5.10: October 28th, 2019 =
* Fix: Resolved an issue with Stripe Checkout 2.0 and featured images not properly displaying for certain WP installs. [#4281](https://github.com/impress-org/givewp/issues/4281)
* Fix: Optimized and resolved a number of scenarios regarding donors updating credit cards with the Stripe payment gateway. Now when comparing the card's fingerprint the plugin also checks the expiration date and CVC and updates the card in Stripe if it has changed. [#4280](https://github.com/impress-org/givewp/issues/4280)
* Fix: The Stripe 2% application fee is not ever charged with the new Checkout 2.0 if you are using the Premium gateway add-on. [#4287](https://github.com/impress-org/givewp/issues/4287)
* Fix: Resolved an issue with the `{receipt_link_url}` not working when using the plain text email option. [#4284](https://github.com/impress-org/givewp/issues/4284)

= 2.5.9: October 15th, 2019 =
* New: Added a new filter `give_donation_form_submit_button_text` for developers. Thanks @mcdonagg! [#4269](https://github.com/impress-org/givewp/issues/4269)
* Fix: Resolved an edge case update conflict with Stripe and Recurring which could cause a fatal error for some installs. [#4272](https://github.com/impress-org/givewp/issues/4272)
* Fix: Corrected an edge case issue with Stripe Credit Card fields not appearing properly after updating. [#4274](https://github.com/impress-org/givewp/issues/4274)
* Fix: Improved the layout of the Stripe Connect banner for smaller screens. [#4259](https://github.com/impress-org/givewp/issues/4259)
* Fix: Removed space in link to Stripe's webhook documentation. [#4266](https://github.com/impress-org/givewp/issues/4266)
* Fix: Resolved typos in GitHub's readme.md documentation. [#4268](https://github.com/impress-org/givewp/issues/4268)

= 2.5.8: September 26th, 2019 =
* Fix: Resolved an upgrade issue for customers who had enabled the Stripe Credit Card option in GiveWP 2.5.4 and below and Stripe 2.2.0 and below. After upgrading existing donors were not able to change their credit card info and new donors were not able make donations. [#4260](https://github.com/impress-org/givewp/issues/4260)

= 2.5.7: September 20th, 2019 =
* Fix: Resolved issues with the notice added in the previous version displaying incorrectly for sites that do not have Recurring Donations installed or activated. [#4257](https://github.com/impress-org/givewp/pull/4257)

= 2.5.6: September 19th, 2019 =
* Notice: Please update the Recurring Donations add-on to version `1.9.4+` in order to use GiveWP 2.5.5+.
* Fix: Resolved a fatal error occurring if using an outdated version of the Recurring Donations add-on. The plugin will now display a message and deactivate the add-on to prevent the error. If you are experiencing this issue please rollback GiveWP to 2.5.4 or below using the [WP Rollback](https://wordpress.org/plugins/wp-rollback/) plugin and [contact support](https://givewp.com/support/) for prompt assistance. [#4255](https://github.com/impress-org/givewp/pull/4255)

= 2.5.5: September 19th, 2019 =
* New: Added support for Stripe's new Checkout payment method. Now you can accept payments that support Strong Customer Authentication, Google and Apple Pay, Credit Cards and more! [#4207](https://github.com/impress-org/givewp/issues/4207)
* New: Added the ability to add tabs to settings to more easily break up sections. You can see this within the new Stripe payment gateway settings. [#4202](https://github.com/impress-org/givewp/issues/4202), [#4204](https://github.com/impress-org/givewp/issues/4204)
* New: New hooks have been added to the Stripe gateway for developers to more easily extend. [#4244](https://github.com/impress-org/givewp/issues/4244)
* Tweak: Improved documentation description for the Stripe payment gateway. [#4206](https://github.com/impress-org/givewp/issues/4206)
* Fix: The Stripe SDK only loads now when the gateway is enabled to improve performance and further prevent conflicts. [#4237](https://github.com/impress-org/givewp/issues/4237)
* Fix: Resolved a security issue responsibly disclosed to use by the good folks at [Wordfence](https://www.wordfence.com/). Thanks y'all!

= 2.5.4: August 7th, 2019 =
* New: Stripe compatibility solution - There is now a setting under `Donations > Settings > Advanced > Stripe` that allows you select which implementation of Stripe you wish to use. If you are using another plugin that uses Stripe to accept payments there is a chance that it may include the [Stripe SDK](https://github.com/stripe/stripe-php) (Software Development Kit) either through [Composer](http://getcomposer.org/) or manually initialized. This can cause conflicts with GiveWP because WordPress does not have a dependency management system to prevent conflicts and the other plugins may be using outdated versions compared to GiveWP's. To help resolve conflicts we have included two options to use Stripe alongside these other plugins. The recommended way is Composer, but if that is not working then we recommend manual initialized. If both options do not work please [contact support](https://givewp.com/support). [#4193](https://github.com/impress-org/givewp/issues/4193)
* Fix: When using Stripe there was a chance your donors would get a receipt from Stripe and from GiveWP. There is now a setting to set whether you want to send Stripe generated receipt emails or use GiveWP's. We recommend using ours if you're using multiple gateways, but if you're only using Stripe you may enable this new option and disable the default receipts. [#4203](https://github.com/impress-org/givewp/issues/4203)
* Fix: There was an issue with converting dollars to cents and back within Stripe free which has been resolved and now has unit tests to ensure no more issues crop up with the functional conversions. [#4200](https://github.com/impress-org/givewp/issues/4220)
* Fix: When editing a donor you can now properly remove the "Title" for the donor (such as "Mr", "Mrs", etc). [#4211](https://github.com/impress-org/givewp/issues/4211)
* Fix: Ensure the requirement on the state field is removed from hidden state fields for certain countries and regions. [#4201](https://github.com/impress-org/givewp/issues/4201)
* Fix: Resolved a compatibility issue with the Tickera plugin's implementation of QR codes within the PDF generator. The issue was with our shared library of TCPDF and now the QR codes display correctly due to a constant change on our end. [#3880](https://github.com/impress-org/givewp/issues/3880)
* Tweak: You can now activate any plugin under `Settings > Licenses`. Previously we were requiring the author to only be GiveWP which caused an "this plugin does not have a valid header" error message to annoyingly display. [#4217](https://github.com/impress-org/givewp/issues/4217)

= 2.5.3: July 30th, 2019 =
* Fix: The Gutenberg Block for Donation Forms embedding was only displaying the most recent 10 donation forms. Now you can search for additional forms and they will for embedding. [#4137](https://github.com/impress-org/givewp/issues/4137)
* Fix: iThemes Sync was again having an issue with our plugin due to a change we reverted in a previous version. That change has been resolved and now syncing can commence again. Rejoice! [#4195](https://github.com/impress-org/givewp/issues/4195)
* Fix: Resolved compatibility issues with other plugins using the Stripe SDK by initializing it manually within the included GiveWP Core Stripe gateway class. We tested this alongside many of the most popular plugins to ensure smooth sailing alongside each other. [#4193](https://github.com/impress-org/givewp/issues/4193)
* Fix: Resolved an issue with editing a donation form when it has thousands of donations. To prevent this issue we now are deleting the group cache of the donation and donor instead of individual IDs.
* Fix: Several deprecation notices were displaying for our Gutenberg Blocks. They are now all updated with the latest version of the WP Block Editor. [#4137](https://github.com/impress-org/givewp/issues/4137)
* Fix: The "Empty Trash" button was in an incorrect location on the donation form edit screen and now has been placed in it's proper position. [#4075](https://github.com/impress-org/givewp/issues/4075)

= 2.5.2: July 16th, 2019 =
* Fix: Prevent "PHP Fatal error: Uncaught Error: Cannot use object of type stdClass as array" when updating to 2.5+ on a pre WP 5.0 version. [#4176](https://github.com/impress-org/givewp/issues/4176)
* Fix: Resolved minor appearance issues with the Stripe Connect notice appearance. [#4175](https://github.com/impress-org/givewp/issues/4175)

= 2.5.1: July 12th, 2019 =
* New: Added PHPUnit tests for the important `Give_Payments_Query` query. [#1893](https://github.com/impress-org/givewp/issues/1893)
* Optimization: Improved the WP Admin plugin list page load time by reducing the number of queries generated by the add-on activation banner. [#4112](https://github.com/impress-org/givewp/issues/4112)
* Tweak: Updated the list of counties / states in Ireland to be more accurate. [#4145](https://github.com/impress-org/givewp/issues/4145)
* Tweak: Polished some minor user workflow issues with the license activation functionality. [#4172](https://github.com/impress-org/givewp/issues/4172)
* Fix: Ensured that the notice checking Recurring and Stripe versions would only display for users of Stripe on the particular outdated version and not incorrectly for non-Stripe users. [#4169](https://github.com/impress-org/givewp/issues/4169)
* Fix: Resolve SQL injection vulnerability discovered by Tin Duong from Fortinet's FortiGuard Labs. [Read more](https://fortiguard.com/zeroday/FG-VD-19-098) about the patch and the disclosure. Thanks Tin for responsibly disclosing

= 2.5.0: July 10th, 2019 =
* New: Stripe credit card processing is now available in GiveWP Core for processing one-time (non-recurring) donations! [#4010](https://github.com/impress-org/givewp/issues/4010), [#4011](https://github.com/impress-org/givewp/issues/4011), [#4012](https://github.com/impress-org/givewp/issues/4012), [#4013](https://github.com/impress-org/givewp/issues/4013), [#4013](https://github.com/impress-org/givewp/issues/4013), [#4034](https://github.com/impress-org/givewp/issues/4034), [#4051](https://github.com/impress-org/givewp/issues/4051), [#4076](https://github.com/impress-org/givewp/issues/4076), [#4093](https://github.com/impress-org/givewp/issues/4093)
* New: The licensing interface has been upgraded to provide easier license and add-on activation and to be much more user friendly and reliable. [#2058](https://github.com/impress-org/givewp/issues/2058), [#4008](https://github.com/impress-org/givewp/issues/4008)
* New: The currency setting will now display a preview displaying how it will appear on your donation forms when you update the options. [#3187](https://github.com/impress-org/givewp/issues/3187)
* New: Documentation links have been added to the shortcode builder. [#3233](https://github.com/impress-org/givewp/issues/3233)
* New: The "notes" field has been added to the fields to be exported in the donation export tool. [#3979](https://github.com/impress-org/givewp/issues/3979)
* New: The "Donation Form Grid" block and shortcode can now be filtered by category or tag. [#4056](https://github.com/impress-org/givewp/issues/4056)
* New: Adjusted the headers in GiveWP Core admin styles and adjusted setting screens legibility.
* New: The GiveWP Modal API now supports an option to close the modal when clicking the background. [#4142](https://github.com/impress-org/givewp/issues/4142)
* Fix: Prevent multiple admin ajax calls on the Tools > Exports screen. [#3351](https://github.com/impress-org/givewp/issues/3351)
* Fix: Resolved the "Settings" importer failing when using the JSON format option. [#4097](https://github.com/impress-org/givewp/issues/4097)
* Fix: Added number formatting to goals with a large number of donors. [#4100](https://github.com/impress-org/givewp/issues/4100)
* Fix: Added a max-width to chosen select boxes to prevent them from breaking styles when options have very long titles. [#4099](https://github.com/impress-org/givewp/issues/4099)
* Fix: Improved the logic when an admin disconnects the GiveWP Donor and WP user profiles [#4113](https://github.com/impress-org/givewp/issues/4113)
* Fix: The `give_send_back_to_checkout()` function now works as expected on multisite installs. [#4032](https://github.com/impress-org/givewp/issues/4032)
* Fix: Ensured there are no PHP notices when doing REST API queries. [#4038](https://github.com/impress-org/givewp/issues/4038)
* Fix: Resolved an issue where the state field would appear incorrectly as not required for the default country. [#4144](https://github.com/impress-org/givewp/issues/4144)
* Fix: Admin styles were not appearing correctly if using WP in the French language. [#4146](https://github.com/impress-org/givewp/issues/4146)
* Fix: Resolved an issue with the "Display Type" option for the "Donation Form Grid" not working as expected. [#4159](https://github.com/impress-org/givewp/issues/4159)
* Tweak: The Swiss Franc symbol has been updated to "CHF" instead of "Fr." [#4086](https://github.com/impress-org/givewp/issues/4086)
* Tweak: Removed the word "nonce" from all front end error messages and updated them to be more user friendly and less technically confusing. [#4129](https://github.com/impress-org/givewp/issues/4129), [#4031](https://github.com/impress-org/givewp/issues/4031)
* Tweak: Changed "Swaziland" to "Eswatini". [#4120](https://github.com/impress-org/givewp/issues/4120)
* Optimization: Improved various database option calls and general meta query performance throughout the plugin to speed up queries and reduce server load. [#3359](https://github.com/impress-org/givewp/issues/3359), [#3382](https://github.com/impress-org/givewp/issues/3382), [#3383](https://github.com/impress-org/givewp/issues/3383), [#3872](https://github.com/impress-org/givewp/issues/3872), [#3994](https://github.com/impress-org/givewp/issues/3994), [#4104](https://github.com/impress-org/givewp/issues/4104)
* Refactor: Pre-2.0.0 backward compatibility code has been removed because it has reached end of life for support. [#3033](https://github.com/impress-org/givewp/issues/3033)


= 2.4.7: May 14th, 2019 =
* Security Patch: Prevent Stored XSS vulnerability in donor names by adding additional escaping to ensure security when viewing donor records in WP-Admin. We take security seriously and would like to thank GoDaddy and Sucuri for reporting and assisting with this fix. Thanks also to the WordPress Plugin Review Team for allowing a force push of all security patches to protect all GiveWP users. For more detailed information see here: https://blog.sucuri.net/2019/05/wordpress-plugin-give-stored-xss-for-donors.html

= 2.4.6: May 7th, 2019 =
* Fix: Resolved an issue displaying donations in WP-Admin made when the WordPress install's date format is set to "d/m/Y". [#4088](https://github.com/impress-org/givewp/issues/4088)
* Fix: The Donations Exporter tool was not properly respecting the category or tag filters when creating the CSV file. [#4085](https://github.com/impress-org/givewp/issues/4085)
* Fix: When the "Personal Info" fieldset within donation forms was not going full width for mobile views and was difficult to view. The fields properly default to full width for mobile views. [#3751](https://github.com/impress-org/givewp/issues/3751)
* Fix: The `{reset_password_link}` email tag was not working properly for "New Donation" and "Donation Receipt" emails. [#3510](https://github.com/impress-org/givewp/issues/3510)

= 2.4.5: April 16th, 2019 =
* Fix: Resolved two issues with donor and donation exporters not working properly when filters (Date and Donation Forms) were set. [#4078](https://github.com/impress-org/givewp/issues/4078), [#4079](https://github.com/impress-org/givewp/issues/4079)
* Fix: Ensure that the database upgrade process is fully compatible with WP Multisite upgrades. [#4065](https://github.com/impress-org/givewp/issues/4065)
* Fix: Resolved a PHP Fatal error that was occurring when clicking on the "Resend Donation Receipt" within the donation details screen in WP-Admin and also when marking an offline donation as complete. [#4068](https://github.com/impress-org/givewp/issues/4068)
* Fix: The GiveWP API was returning non-valid JSON resulting in Zapier having issues pulling in Sample Data. This has been resolved and an acceptance test created to ensure valid JSON is returned to help prevent it breaking in further releases. [#4071](https://github.com/impress-org/givewp/issues/4071)
* Fix: The GiveWP API now returns consistent amount formats for donations, fees collected, etc. [#4073](https://github.com/impress-org/givewp/issues/4073), [#4074](https://github.com/impress-org/givewp/issues/4074)

= 2.4.4: March 20th, 2019 =
* Fix: Resolved a regression where percentage based goals were not displaying their progress correctly. [#4049](https://github.com/impress-org/givewp/issues/4049)
* Fix: Resolved a regression in `2.4.3` where IE10/11 browsers had issues with donating with multi-level donation forms. [#4048](https://github.com/impress-org/givewp/issues/4048)
* Fix: Corrected a PHP Warning on servers running PHP 7.3.3 within the email tags settings section. [#4044](https://github.com/impress-org/givewp/issues/4044)
* Fix: Resolved conflict with iTheme's Sync plugin. [#3989](https://github.com/impress-org/givewp/issues/3989)
* Fix: Updated the backwards compatible TCPDF version used by older plugin versions to the latest version. [#4054](https://github.com/impress-org/givewp/issues/4054)

= 2.4.3: March 13th, 2019 =
* Fix: Ensure when a donation form's "Registration" option is set to "Login" that it does not appear incorrectly as optional on the donation form. [#4045](https://github.com/impress-org/givewp/issues/4045)
* Fix: Prevent a PHP warning from displaying in the System Info window due to new host detection login in the previous release. [#4041](https://github.com/impress-org/givewp/issues/4041)
* Fix: Ensure that logged in users without donor's associated with their WP users can properly donate. This is a regression fix from the previous version 2.4.2 release. [#4039](https://github.com/impress-org/givewp/issues/4039)
* Fix: Resolved an incompatibility with Elementor's "Finder" functionality. [#3912](https://github.com/impress-org/givewp/issues/3912)

= 2.4.2: March 11th, 2019 =
* Tweak: Adjusted how web hosts are detected in WP-Admin > Donations > Tools > System Info to improve accuracy. [#3356](https://github.com/impress-org/givewp/issues/3356)
* Tweak: Added `get_goal` within the `Give_Donate_Form` for developers. [#4020](https://github.com/impress-org/givewp/issues/4020)
* Fix: License statuses were not properly displaying in WP-Admin > Donations > Tools > System Info and that has been fixed. [#3975](https://github.com/impress-org/givewp/issues/3975)
* Fix: The label "State" incorrectly displayed on the admin donor details screen. [#3995](https://github.com/impress-org/givewp/issues/3995)
* Fix: Resolved a tooltip title that was not translatable. [#3996](https://github.com/impress-org/givewp/issues/3996)
* Fix: Date fields now have better support for international date formats. [#4000](https://github.com/impress-org/givewp/issues/4000)
* Fix: Resolve a mislabeled name attribute for the donation amount field within donation forms. [#4001](https://github.com/impress-org/givewp/issues/4001)
* Fix: Improved support for varying capitalization within donor's emails when a repeat donation happens. This update will prevent case-insensitive matches being incorrectly compared. [#4025](https://github.com/impress-org/givewp/issues/4025)
* Fix: Resolved incorrect setting of the "autocomplete" attribute on certain dropdown fields. [#4028](https://github.com/impress-org/givewp/issues/4028)

= 2.4.1: February 7th, 2019 =
* New: Links to view receipts and subscriptions no longer expire. This prevents unnecessary errors and login screens for donors who attempt to access donations and subscription history. [#3956](https://github.com/impress-org/givewp/issues/3956), [#3963](https://github.com/impress-org/givewp/issues/3963), [#3964](https://github.com/impress-org/givewp/issues/3964)
* Fix: Ensure that browser autofill works for the Billing Country and Address 1 and Address 2 fields. [#3830](https://github.com/impress-org/givewp/issues/3830)
* Fix: Additional checks are now in place to ensure the plugin's custom tables properly are created when upgrading from very old versions. [#3966](https://github.com/impress-org/givewp/issues/3966)
* Fix: The `[give_login]` shortcode's "click here to logout" link to log me out was not correctly working. Now the link properly logs out the user when clicked. [#3957](https://github.com/impress-org/givewp/issues/3957)
* Fix: Resolved an issue with the Donation Form title displaying incorrectly in widgets. [#3947](https://github.com/impress-org/givewp/issues/3947)
* Fix: The API log was not displaying the proper log count for entries. [#3924](https://github.com/impress-org/givewp/issues/3924)
* Fix: JSON files can now properly be uploaded to the Donations importer in WP 5.0+. [#3907](https://github.com/impress-org/givewp/issues/3907)
* Fix: Resolved a conflict with the X theme and accompanying Cornerstone page builder plugin and the Form Grid shortcode on phones and touch devices preventing the modal from opening. [#3905](https://github.com/impress-org/givewp/issues/3905)
* Fix: There was an issue occurring causing the donor to click twice into a donation form field after they entered a custom donation amount. This has been resolved so the donor can immediately click into a form field after leaving a custom amount. [#3889](https://github.com/impress-org/givewp/issues/3889)
* Fix: When attempting to export between two dates an error "No data found for export parameters." was displaying incorrectly and has been resolved. [#3864](https://github.com/impress-org/givewp/issues/3864)
* Fix: A frontend JS error no longer happens if the offline payment gateway is enable globally. [#3959](https://github.com/impress-org/givewp/issues/3959)
* Fix: There was a PHP warning occurring when editing a donor's address that is now resolved. [#3961](https://github.com/impress-org/givewp/issues/3961)
* Fix: When exporting in certain cases the donor's address would be incorrect if the donor had the same ID as a WP user. This was due to pre-2.0 backwards compatibility code which has since been removed to correct the issue. [#3971](https://github.com/impress-org/givewp/issues/3971)
* Fix: Added checks to prevent a PHP "Undefined index: post_type" notice. [#3981](https://github.com/impress-org/givewp/issues/3981)
* Fix: Updated the email tag descriptions for `{name}` and `{company}` to be more accurate and helpful. [#3943](https://github.com/impress-org/givewp/issues/3943)
* Fix: Allow deletion of Address line 2 in French donation addresses on the donor details screen in WP-Admin. [#3940](https://github.com/impress-org/givewp/issues/3940)

= 2.4.0: January 16th, 2019 =
* New: Optimized the loading of the plugin's resources to achieve a much more performant fundraising platform. to decrease load times, optimize queries, and decrease processing power. [#3871](https://github.com/impress-org/givewp/issues/3871), [#3929](https://github.com/impress-org/givewp/issues/3929)
* New: Added the ability to sort the Donation Form Grid based on goal progress. [#3818](https://github.com/impress-org/givewp/issues/3818)
* New: Improved the how "Anonymous" donors appear and the ordering of the Donor Wall. [#3826](https://github.com/impress-org/givewp/issues/3826), [#3816](https://github.com/impress-org/givewp/issues/3816)
* New: Added a search and filter utility within WP-Admin > Donations > Forms to easily find donation forms by goal status, published date, and form name or ID. [#3845](https://github.com/impress-org/givewp/issues/3845)
* New: Added the ability to import a donor's IP address when using import tool. [#3918](https://github.com/impress-org/givewp/issues/3918)
* New: Added advanced search filters for the Donations > Donors screen within WP-Admin. [#1882](https://github.com/impress-org/givewp/issues/1882)
* New: The Donations > Donors screen within WP-Admin now displays the donor's Gravatar image based on their email. [#3777](https://github.com/impress-org/givewp/issues/3777)
* Tweak: The import sample data has been improved to have more realistic example donor names, campaigns, and donation form configurations. [#3913](https://github.com/impress-org/givewp/issues/3913)
* Tweak: The donation form title will now appears at the top of modal donation forms screens for a better donor experience. [#3881](https://github.com/impress-org/givewp/issues/3881)
* Tweak: We changed the default text for Anonymous Donation checkbox and tooltips to optimize the donor experience in understanding what the checkbox means. [#3911](https://github.com/impress-org/givewp/issues/3911)
* Tweak: Reviewed PHP 7.2 compatibility, identified false positives, and resolved a few minor compatibility flags. [#3919](https://github.com/impress-org/givewp/issues/3919)
* Fix: Resolved an issue with Sessions not being properly set when AJAX was in use. [#3941](https://github.com/impress-org/givewp/issues/3941)
* Fix: Resolved issue with give_recount_form_income_donation() using incorrectly the `post_per_page` rather than `number` which `Give_Payment_Query()` expects. [#2973](https://github.com/impress-org/givewp/issues/2973)
* Fix: Sourcemaps now again generate properly for easy SCSS line number references for developers. [#3860](https://github.com/impress-org/givewp/issues/3860)
* Fix: The {payment_total} tag was incorrectly outputting HTML characters rather than currency symbols when used within the email subject. [#3922](https://github.com/impress-org/givewp/issues/3922)
* Fix: Searching donations by the donor's first and last name in WP-Admin is now displaying accurate results. [#3927](https://github.com/impress-org/givewp/issues/3927)

= 2.3.1: December 13th, 2018 =
* New: Gutenberg blocks are here! You can now add donation forms, a donor wall, donation form grids and more to your Gutenberg (Block Editor) powered posts. [#3813](https://github.com/impress-org/givewp/issues/3813), [#3697](https://github.com/impress-org/givewp/issues/3697), [#3887](https://github.com/impress-org/givewp/issues/3887)
* New: You can now more easily search your donation records by donor name, email, or donation ID in WP-Admin. [#3806](https://github.com/impress-org/givewp/issues/3806)
* New: GiveWP now registers its custom tables on plugin activation instead of multiple checks when DB class creates to increase performance. [#3854](https://github.com/impress-org/givewp/issues/3854)
* New: Added an advanced option to display Babel polyfill for sites that don't require it. [#3658](https://github.com/impress-org/givewp/issues/3658)
* Tweak: Removed the "Quick Edit" feature of donation forms because it wasn't very useful and not often used. [#2485](https://github.com/impress-org/givewp/issues/2485)
* Tweak: Adjusted the HTML for the "Create an account" checkbox to be consistent with other donation form checkbox elements for consistency. [#3499](https://github.com/impress-org/givewp/issues/3499)
* Tweak: Updated the default currency formatting for KZT, KGS, KWD, JOD, TRY, CHF, SEK, NOK, HUF, DKK, CZK, BRL to be accurate according to the most widely used formatted for each currency. [#3903](https://github.com/impress-org/givewp/issues/3903)
* Tweak: Changed GiveWP's session cookie prefix to be inline with WP's naming convention to prevent conflicts with hosts like Pantheon's caching logic. [#3819](https://github.com/impress-org/givewp/issues/3819)
* Fix: Resolved an issue with Recurring donations renewal receipt links displaying the most recent donation incorrectly rather than the renewal information. [#3778](https://github.com/impress-org/givewp/issues/3778)
* Fix: Ensure that "nonce verification" errors don't display when logging in and out between donations. [#3820](https://github.com/impress-org/givewp/issues/3820)
* Fix: Ensure that mobile-only text displays properly in the `[donation_history]` shortcode. [#3829](https://github.com/impress-org/givewp/issues/3829)
* Fix: Prevent nonce error when deleting a donor from the donors screen. [#3832](https://github.com/impress-org/givewp/issues/3832)
* Fix: Correct the select page placeholder text on "Subscription Page" select field to "Choose a page" in GiveWP's General Settings page. [#3833](https://github.com/impress-org/givewp/issues/3833)
* Fix: Removed the apostrophe as a thousand separator for Taiwan New Dollars. [#3840](https://github.com/impress-org/givewp/issues/3840)
* Fix: Removed usage of PHP 5.4+ shorthand bracket array declarations for compatibility with lower PHP versions. [#3847](https://github.com/impress-org/givewp/issues/3847)
* Fix: The "cat" and "tag" shortcode attributes now properly work to display total earnings in the `[give_totals]` shortcode when the "ID" attribute is not set. [#3879](https://github.com/impress-org/givewp/issues/3879)
* Fix: Resolved rare scenario when a donor attempts to donate when a cookie generated via the email access link is expired and is using the same browser to process a donation. [#3886](https://github.com/impress-org/givewp/issues/3886)
* Fix: Updated the formatting for the Russian Ruble to be correct. [#3893](https://github.com/impress-org/givewp/issues/3893)
* Fix: Ensure that deleting the test data at Donations > Tools > Data (tab) deletes donations made when give is in test mode, as well as donations made with the test gateway is in live mode. [#2473](https://github.com/impress-org/givewp/issues/2473)
* Fix: Ensure that when a subsite is deleted in a multisite environment that GiveWP's custom tables are also removed. [#3790](https://github.com/impress-org/givewp/issues/3790)
* Fix: Ensure that when a subsite is created in a multisite environment that GiveWP autocompletes all DB updates. [#3795](https://github.com/impress-org/givewp/issues/3795)
* Fix: Refactored the database upgrade "v201_add_missing_donors" callback to prevent a rare memory exhausted issue. [#3797](https://github.com/impress-org/givewp/issues/3797)

= 2.3.0: October 24th, 2018 =
* New: This release includes an upgrade routine to move comments from WordPress core tables to our own custom tables. This was done to resolve conflicts with various plugins incorrectly flagging GiveWP's comments as spam. [Developer's Post - Custom Comment Tables](https://developers.givewp.com/2018/10/08/give-2-3-0-custom-comment-tables/), [#3627](https://github.com/impress-org/givewp/issues/3627), [#3589](https://github.com/impress-org/givewp/issues/3589), [#3604](https://github.com/impress-org/givewp/issues/3604), [#3588](https://github.com/impress-org/givewp/issues/3588)
* New: Admins now have the ability to send notes to donors via a customizable email within the donation details screen. [#2159](https://github.com/impress-org/givewp/issues/2159)
* New: A real time view of currency number formatting displays when modifying the setting. [#3490](https://github.com/impress-org/givewp/issues/3490)
* New: You can now more easily copy form shortcodes by clicking a new "Copy Shortcode" button. [#2602](https://github.com/impress-org/givewp/issues/2602)
* New: There is now a Gutenberg block for the donor wall. [#3546](https://github.com/impress-org/givewp/issues/3546)
* New: We've added a "Select All Fields" option within the donation exporter for easier select/deselect checkboxes. [#3649](https://github.com/impress-org/givewp/issues/3649)
* New: There is now a {donor_comment} email tag to pass within emails. [#3655](https://github.com/impress-org/givewp/issues/3655)
* New: Added the ability to export donation comments within the exporter. [#3743](https://github.com/impress-org/givewp/issues/3743)
* New: Acceptance testing has been updated to include UI testing. [#3663](https://github.com/impress-org/givewp/issues/3663)
* Tweak: The donor wall gravatars have been optimized to now load after page load as to not slow down page speed. [#3758](https://github.com/impress-org/givewp/issues/3758)
* Tweak: Added filters to the donation exporter so developers can include custom data to export as needed. [#3709](https://github.com/impress-org/givewp/issues/3709)
* Tweak: Updated the "Card Name" field label to "Cardholder Name" to help donor's understand the field. [#3714](https://github.com/impress-org/givewp/issues/3714)
* Tweak: Dates are formatted to the WordPress date format found under Settings > General. [#3502](https://github.com/impress-org/givewp/issues/3502)
* Tweak: Optimized the loading of give options by setting autoload to no for most of GiveWP's settings. [#2491](https://github.com/impress-org/givewp/issues/2491)
* Tweak: When changing payment gateways a nonce is verified for additional security. [#2580](https://github.com/impress-org/givewp/issues/2580)
* Tweak: The TCPDF library is now included with composer to help prevent conflicts with other plugins using the same library. [#3482](https://github.com/impress-org/givewp/issues/3482)
* Tweak: Currency settings now allow for 8 decimal points to better support Bitcoin and other cryptocurrencies. [#3602](https://github.com/impress-org/givewp/issues/3602)
* Fix: The donor wall has now been modified so each individual donation displays separately. As well, we've added additional options in the shortcode to sort the donors. The styles have also been improved to be more cross-theme compatible. [#3744](https://github.com/impress-org/givewp/issues/3744), [#3781](https://github.com/impress-org/givewp/issues/3781)
* Fix: When the "Delete all data" tool is used, GiveWP data is removed from all tables BUT GiveWP settings and custom tables are not removed. When GiveWP is uninstalled with the "Remove Data on Uninstall" selected under Settings > Advanced tab, GiveWP data and settings are removed AND custom tables are removed. [#3638](https://github.com/impress-org/givewp/issues/3638)
* Fix: Per-form emails now use the global email content as a starting point for easier customization. [#3653](https://github.com/impress-org/givewp/issues/3653)
* Fix: When you delete a donation form the form's metadata is now removed from the database for better cleanup. [#3641](https://github.com/impress-org/givewp/issues/3641)
* Fix: When Singapore is selected the City requirement is removed. [#3669](https://github.com/impress-org/givewp/issues/3669)
* Fix: Allow selection of more than the first 30 forms in the Export tool. [#3674](https://github.com/impress-org/givewp/issues/3674)
* Fix: Set autocomplete off to all the admin date fields. [#3675](https://github.com/impress-org/givewp/issues/3675)
* Fix: Resolved typos in the "Dry Run" option of the importer. [#3699](https://github.com/impress-org/givewp/issues/3699)
* Fix: Resolved jumping to a page number issue in Donations > Donors when entering a custom page number and pressing enter. [#3719](https://github.com/impress-org/givewp/issues/3719)
* Fix: Do not display shortcode generator above form content. [#3739](https://github.com/impress-org/givewp/issues/3739)
* Fix: Ensure date fields have the same placeholders throughout the admin interface. [#3757](https://github.com/impress-org/givewp/issues/3757)
* Fix: Ensure the TinyMCE shortcode builder doesn't unnecessarily display scrollbars. [#3876](https://github.com/impress-org/givewp/issues/3876)

= 2.2.5: September 17th, 2018 =
* Fix: Resolved a JS error preventing visitors from successfully logging into via a donation form. [#3684](https://github.com/impress-org/givewp/issues/3684)
* Fix: Typo within tooltip. [#3685](https://github.com/impress-org/givewp/issues/3685)
* Fix: Removed usage of deprecated jQuery load() method. [#3688](https://github.com/impress-org/givewp/issues/3688)

= 2.2.4: August 29th, 2018 =
* Upgrade: This version contains an upgrade routine to correct issues with the donor wall in which past donors would incorrectly display on the wall regardless of whether they elected to be anonymous or not. As well, donors can now give to multiple donation forms and be anonymous on one and not anonymous on another.
* Fix: Ensure donors can be properly connected and disconnected to WP users in the donor details screen. [#3636](https://github.com/impress-org/givewp/issues/3636)
* Fix: Prevent error notices from displaying in the Gutenberg editor. [#3575](https://github.com/impress-org/givewp/issues/3575)
* Fix: Prevent JS errors when attempting to deactivate the plugin. [#3619](https://github.com/impress-org/givewp/issues/3619)
* Fix: There is an upgrade routine to Donors that mark themselves as anonymous .
* Fix: PHP notices when recalculating total donation income amount. [#3611](https://github.com/impress-org/givewp/issues/3611)
* Fix: Do not display encoded UTF-8 characters in donor comments. [#3631](https://github.com/impress-org/givewp/issues/3631)
* Tweak: Added a test to check if all registered db updates complete automatically on fresh install. [#3628](https://github.com/impress-org/givewp/issues/3628)

= 2.2.3: August 10th, 2018 =
* Fix: Added backwards compatibility for email tag "description" and "function" options that were modified in the previous version. [#3584](https://github.com/impress-org/givewp/issues/3584)
* Fix: Refactored the settings API to have custom save logic for individual setting sections. Developers can now easily create a custom setting page and option name which will store data in its own option rather than increasing the size of the give_settings option. [#3541](https://github.com/impress-org/givewp/issues/3541)
* Fix: Exclude the honeypot field from floating labels js. [#2230](https://github.com/impress-org/givewp/issues/2230)
* Fix: All donation forms are now listed on Export screen in wp-admin. [#1970](https://github.com/impress-org/givewp/issues/1970)
* Fix: Increased the contrast for the floating labels for inactive placeholders. [#2179](https://github.com/impress-org/givewp/issues/2179)
* Fix: Resolve error with email access when the "View Receipt" link is clicked the donor would receive a permissions error. [#3571](https://github.com/impress-org/givewp/issues/3571)
* Fix: Prevent login button text from updating with wrong text. [#3562](https://github.com/impress-org/givewp/issues/3562)
* Fix: Uncomment the give_checkout_login_fields_before hook so developers can use it accordingly. [#3566](https://github.com/impress-org/givewp/issues/3566)
* Fix: Prevent emails from being sent when importing donations. [#3592](https://github.com/impress-org/givewp/issues/3592)
* Tweak: The donor wall shortcode has been modified so that donors who give without leaving a comment will display by default. [#3581](https://github.com/impress-org/givewp/issues/3581)

= 2.2.2: August 2nd, 2018 =
* Fix: Fixed email access issue with the donation history page preventing donors from using the submit button once they entered their email. [#3553](https://github.com/impress-org/givewp/issues/3553)
* Fix: Resolved PHP notices when accessing donation history via email in PHP version 7.2. [#3565](https://github.com/impress-org/givewp/issues/3565)

= 2.2.1: August 1st, 2018 =
* Fix: Resolve an issue with the donor wall displaying incorrect amounts when a donor has given multiple times. [#3532](https://github.com/impress-org/givewp/issues/3532)
* Fix: Confirm system generated notes insert as comments for donations and aren't blocked by WP's spam protections. [#3537](https://github.com/impress-org/givewp/issues/3537)
* Fix: Render settings textarea field type within a div instead of a p tag for better compatibility with tabs.
* Fix: Updating donor information does not update display on donations admin page. [#2985](https://github.com/impress-org/givewp/issues/2985)
* Fix: Pass widget arguments to action hook for developers to more easily extend. [#3245](https://github.com/impress-org/givewp/issues/3245)
* Fix: Extend email notification functionality to support admin context. [#3516](https://github.com/impress-org/givewp/issues/3516)
* Fix: Deleting all data doesn't remove form categories or tags. [3145](https://github.com/impress-org/givewp/issues/3145)
* Fix: Don't block login form after first failed login. [3423](https://github.com/impress-org/givewp/issues/3423)
* Tweak: Use send_preview_email function to setup email data for previewing emails. [#3517](https://github.com/impress-org/givewp/issues/3517)
* Tweak: Increase donors table email column length to support longer emails. [#3525](https://github.com/impress-org/givewp/issues/3525)

= 2.2.0: July 30th, 2018 =
* Important: This release requires a number of updates to our add-ons for full compatibility due to the optimization of how we handle donor session data and additional refactoring of the database schema. Please ensure you update all your add-ons after updating for full compatibility. If you have any issues with the update feel free to reach out to our support. [GiveWP Plugin Support](https://givewp.com/support/)
* New: The Donor Wall is here. Now you can display your donors, their comment, and the amount they donated in a customizable shortcode. [#2900](https://github.com/impress-org/givewp/issues/2900), [#3312](https://github.com/impress-org/givewp/issues/3312)
* New: You can now enable Title Prefixes, or also commonly called "Honorifics" (Mr., Mrs., Dr.), for donors in a flexible and customizable way. [#3011](https://github.com/impress-org/givewp/issues/3011)
* New: Refactored how GiveWP stores sessions in a much more cache-friendly way using a new custom table called "_give_sessions". For more information please see the [this GiveWP developers post](https://developers.givewp.com/2018/07/24/give-2-2-0-revamp-session/) for more information.
* New: Country and State dropdowns are now using searchable dropdowns in wp-admin plugin settings. [#2423](https://github.com/impress-org/givewp/issues/2423)
* New: The following email tags are added in this feature: {admin_email}, {offline_mailing_address}, {site_url}. [#3070](https://github.com/impress-org/givewp/pull/3070), [#3378](https://github.com/impress-org/givewp/pull/3378)
* New: Added a more complete list of currencies from around the world. [#3367](https://github.com/impress-org/givewp/issues/3367)
* New: Added a new helper function `give_form_get_default_level( $form_id )` for developers to more easily retrieve a donation form's default level ID. [#3397](https://github.com/impress-org/givewp/issues/3397)
* New: An additional "exclude" option has been added to NOT include a donation form by default on the form grid. [#3206](https://github.com/impress-org/givewp/issues/3206)
* New: You can now duplicate donation forms on the donation form listing screen in wp-admin. [#3331](https://github.com/impress-org/givewp/issues/3331)
* New: Donation receipts are now loaded via AJAX to prevent caching conflicts. [#3412](https://github.com/impress-org/givewp/issues/3412)
* New: The "Company Name" field is now able to be updated in wp-admin on the donation details screen. [#3413](https://github.com/impress-org/givewp/issues/3413)
* New: There is now a plugin deactivation screen that displays with a survey to help us improve the plugin. [#648](https://github.com/impress-org/givewp/issues/648)
* Tweak: Improved the database update process so that even if AJAX is inaccessible by the plugin updates can still be ran. The only difference is that admins will have to remain on the page while the upgrade runs. AJAX was used for background updates, but if it's not able to be used the background process is removed and a notice displays prompting the admin to remain on page. [#3420](https://github.com/impress-org/givewp/issues/3420), [#3393](https://github.com/impress-org/givewp/issues/3393)
* Tweak: Refactored the GiveWP "_give_paymentmeta" table name to "_give_donationmeta" to prevent naming conflicts with plugins like Restrict Content Pro and potentially others that use the same custom table name. [#2710](https://github.com/impress-org/givewp/issues/2710)
* Tweak: Refactored the multiple methods to delete donors so now there is a singular method for donor deletion that is extensible. For more info see [this developers blog post](https://developers.givewp.com/2018/07/24/give-2-2-0-singular-method-for-donor-deletion-process/). [#2347](https://github.com/impress-org/givewp/issues/2347)
* Tweak: The "Terms and Conditions" label now accepts HTML so you can insert links to more info and content. This is particularly useful for improved GDPR compliance. [#3225](https://github.com/impress-org/givewp/issues/3225)
* Tweak: Core now uses the form's currency in the process of donation creation. [#3401](https://github.com/impress-org/givewp/issues/3401)
* Fix: Gutenberg blocks are now fully functional in anticipation of WP 5.0 release. [#3518](https://github.com/impress-org/givewp/issues/3518)
* Fix: The address email tag is now appropriately formatted so the address fields appear in the correct order. [#2790](https://github.com/impress-org/givewp/issues/2790)
* Fix: Exporting and Importing donations is now in sync without any errors to make migrating data between environments easier. [#2135](https://github.com/impress-org/givewp/issues/2135)
* Fix: Resolved issues with the newsletter sign up on the GiveWP activation welcome screen. [#2322](https://github.com/impress-org/givewp/issues/2322)
* Fix: All email tags listed below the email template WYSIWYG editor are now usable. Previously some were not rendering properly because of the type of email being edited. [#2997](https://github.com/impress-org/givewp/issues/2997)
* Fix: Modal and button mode donations forms were not properly displaying payment errors within the modal leading to potential donor confusion. [#3006](https://github.com/impress-org/givewp/issues/3006)
* Fix: Donation form earning now update when a donation amount is updated so stats remain correct. [#3085](https://github.com/impress-org/givewp/issues/3085)
* Fix: When using a dropdown multilevel select type in Button mode the dropdown would incorrectly display above the button. [#3215](https://github.com/impress-org/givewp/issues/3215)
* Fix: Removed the restriction of when a donation form is created from the PDF receipt export report found under Donations > Tools > Export > Export PDF of Donations and Income. [#3395](https://github.com/impress-org/givewp/issues/3395)
* Fix: Updated TCPDF to support PHP 7.2. [#3411](https://github.com/impress-org/givewp/issues/3411)
* Fix: Added minor CSS to fix conflict with the popular Enfold theme. [#3403](https://github.com/impress-org/givewp/issues/3403)
* Fix: Removed the GiveWP Shortcode button from the editor for creating emails. [#3422](https://github.com/impress-org/givewp/issues/3422)
* Fix: Resolved modal background scrolling on iOS. [#3424](https://github.com/impress-org/givewp/issues/3424)
* Fix: When activating an add-on from the GiveWP menu within the plugin page it incorrectly redirected the admin back to the All menu tab. [#3438](https://github.com/impress-org/givewp/issues/3438)
* Fix: Format dates to WordPress `date_format` in the donation admin screens. [#3502](https://github.com/impress-org/givewp/issues/3502)

= 2.1.7: July 5th, 2018 =
* Fix: We have moved "babel-polyfill" to GiveWP Core for better browser compatibility so our various add-ons can use it and it's not enqueued multiple times which can cause errors. [#3433](https://github.com/impress-org/givewp/issues/3433)

= 2.1.6: June 20th, 2018 =
* Fix: DB Update incorrectly appears on fresh installs. [#3390](https://github.com/impress-org/givewp/issues/3390)
* Fix: Ensure the level title in the exported CSV reads custom on custom donations. [#3380](https://github.com/impress-org/givewp/issues/3380)
* Fix: Don't allow db updates to display if AJAX is inaccessible. [#3393](https://github.com/impress-org/givewp/issues/3393)

= 2.1.5: June 18th, 2018 =
* New: Added a "GiveWP" filter for the plugin menu section on WP multisites. [#3355](https://github.com/impress-org/givewp/issues/3355)
* New: Added shortcode support to the "Offline Donations Instructions" output. This will allow you to include any type of shortcode output within the content to improve your content. [#2937](https://github.com/impress-org/givewp/issues/2937)
* New: Added a Company attribute to the give_receipt shortcode. [#3361](https://github.com/impress-org/givewp/issues/3361)
* Tweak: The total goal attribute is now a required field for the [give_totals] shortcode. [#3060](https://github.com/impress-org/givewp/issues/3060)
* Tweak: Added a "give" prefix to GiveWP's notice CSS class to help prevent theme conflicts. [#3337](https://github.com/impress-org/givewp/issues/3337)
* Tweak: If a DB update needs to run button cannot there are more actionable steps displayed to admins on how to resolve the issue. [#3267](https://github.com/impress-org/givewp/issues/3267)
* Fix: The License tab was not displaying when an addon was network enabled. [#3349](https://github.com/impress-org/givewp/issues/3349)
* Fix: The Goal amount should not change upon re-saving settings. [#3373](https://github.com/impress-org/givewp/issues/3373)
* Fix: The "Create an account" checkbox now displays correctly in a full row if registration is enabled. [#3358](https://github.com/impress-org/givewp/issues/3358)
* Fix: Resolved conflict with the qTranslate X plugin. [#3345](https://github.com/impress-org/givewp/issues/3345)
* Fix: Resolved unnecessary notice that would display when a donor clicked on the option for a custom amount to any other level. A show minimum amount notice would display incorrectly to the donor. [#3299](https://github.com/impress-org/givewp/issues/3299)
* Fix: The "All Forms" dropdown option on the Donation Export only used the first ten forms. [#3303](https://github.com/impress-org/givewp/issues/3303)
* Fix: Various admin interface style improvements. [#2706](https://github.com/impress-org/givewp/issues/2706), [#3328](https://github.com/impress-org/givewp/issues/3328)
* Fix: A user who had the same ID as a donor ID could incorrectly view the donation details of that donor. [#3333](https://github.com/impress-org/givewp/issues/3333)
* Fix: The GiveWP manager role is now able to view a donation's details. [#3261](https://github.com/impress-org/givewp/issues/3261)
* Fix: Ensured a custom logo appears in the email preview when configured. [#3330](https://github.com/impress-org/givewp/issues/3330)

= 2.1.4: June 5th, 2018 =
* New: Added support for multiple messages passed to GiveWP's internal notice API. [#1936](https://github.com/impress-org/givewp/issues/1936)
* New: Added a new check for add-ons to always check the minimum GiveWP version required prior to being able to update. This will prevent the case where an add-on is updated and requires a new version of GiveWP Core than is currently running and deactivates itself. [#3217](https://github.com/impress-org/givewp/issues/3217)
* Tweak: Improved how a donation amount is saved within the internal Give_Payment class. [#3304](https://github.com/impress-org/givewp/issues/3304)
* Tweak: If a gateway is marked as disabled in the admin settings then disable the option to set it as the default gateway. [#3296](https://github.com/impress-org/givewp/issues/3296)
* Fix: Improved the layout of the export donations columns so that they look good on mobile devices and more. [#3266](https://github.com/impress-org/givewp/issues/3266)
* Fix: Preventing PHP notices related to AKISMET admin settings when saving. [#3260](https://github.com/impress-org/givewp/issues/3260)
* Fix: Prevent the licenses tab from displaying in settings if there are no add-ons installed. [#3254](https://github.com/impress-org/givewp/issues/3254)
* Fix: The GiveWP API was not respecting date ranges for earnings and donations endpoints. [#3191](https://github.com/impress-org/givewp/issues/3191)
* Fix: Plugin conflict with WPML where the plugin would display language settings within GiveWP's admin settings incorrectly. [#3314](https://github.com/impress-org/givewp/issues/3314)
* Fix: In button mode text would display incorrectly from the form if closing the modal popup. [#3301](https://github.com/impress-org/givewp/issues/3301)
* Fix: Plugin conflict where WPML would cause the give_totals shortcode to output the incorrect donation amounts. [#3291](https://github.com/impress-org/givewp/issues/3291)
* Fix: The GiveWP notice dismiss button should work when rendering GiveWP notices using JS. [#3278](https://github.com/impress-org/givewp/issues/3278)
* Fix: Theme conflict with Woo's Storefront theme where GiveWP's admin footer text would overlap some elements. [#3274](https://github.com/impress-org/givewp/issues/3274)
* Fix: Ensure that GiveWP's state field doesn't lose its style when switching countries. [#3255](https://github.com/impress-org/givewp/issues/3255)
* Fix: Don't allow the set donation amount to be less than the minimum amount when saving donation forms in wp-admin. [#3249](https://github.com/impress-org/givewp/issues/3249)
* Fix: The "total" attribute is now required for the give_totals shortcode so you don't have a blank goal displaying on the website. [#3060](https://github.com/impress-org/givewp/issues/3060)
* Fix: Resolved a form grid shortcode issue where the Payment Method field would display incorrect when only one gateway is enabled. [#3293](https://github.com/impress-org/givewp/issues/3293)

= 2.1.3: May 23rd, 2018 =
* New: Better SPAM protection through the usage of improved client and server side validation to only allow alphabet characters for first and last name, validation to ensure that the gateway field is not left empty (to combat SPAM bot scripts), and sanitize all input fields when processing the donation. [#3035](https://github.com/impress-org/givewp/issues/3035#issuecomment-391393093)
* New: Added new customizable "Email Heading" fields for all Core emails (coming soon to add-ons as well). [#3110](https://github.com/impress-org/givewp/issues/3110)
* New: Added autocomplete field attributes to the applicable donation form fields for faster completion. [#3202](https://github.com/impress-org/givewp/issues/3202)
* New: Added a GiveWP CLI command to update all add-ons or a single add-on from GitHub. [#1390](https://github.com/impress-org/givewp/issues/1390)
* Fix: We have refactored how we are using nonces so now the often reported issue of "Nonce verification failed" should no longer happen. The solution implemented provides for the additional security of nonces and is now compatible with various forms of caching. [#3200](https://github.com/impress-org/givewp/issues/3200)
* Fix: The add-on plugin activation banner now displays properly without having to refresh the plugins screen to see it. [#3153](https://github.com/impress-org/givewp/issues/3153)
* Fix: GiveWP's shortcode picker was having an incompatibility with Elementor causing the TinyMCE to be partially blocked. [#3171](https://github.com/impress-org/givewp/issues/3171)
* Fix: GiveWP was conflicting with Beaver Builder preventing users from seeing the builder options within the WP-admin single page/post view. [#3207](https://github.com/impress-org/givewp/issues/3207)
* Fix: GiveWP's API was not respecting the date range parameters passed to it. Now it does so you can filter the API by date ranges as expected. [#3191](https://github.com/impress-org/givewp/issues/3191)
* Fix: This version contains a database cleanup routine to delete donation payment meta that is not attached to any payment. For instance, if you deleted a payment the metadata associated with it still remained prior to this version. With this upgrade the orphaned data will be removed. [#3205](https://github.com/impress-org/givewp/issues/3205)
* Fix: Resolved PHP notices when exporting donor in lower PHP versions. (#3222)[https://github.com/impress-org/givewp/issues/3222], [#3218](https://github.com/impress-org/givewp/issues/3218)
* Fix: We've updated the donation form's form HTML tag ID so it's unique per form for better W3C compatibility and to ensure Stripe elements works as expected with multiple forms on a single page. [#3139](https://github.com/impress-org/givewp/issues/3139)
* Fix: Several typos on the welcome guide were corrected. [#3230](https://github.com/impress-org/givewp/issues/3230)
* Fix: Inline plugin upgrade notices were not displaying properly in previous versions. [#2789](https://github.com/impress-org/givewp/issues/2789)
* Tweak: Improved the logic of verifying min/max amount for the Currency Switcher add-on. [#3203](https://github.com/impress-org/givewp/issues/3203)
* Tweak: Improved the tooltip helpers within the shortcode builder for the GiveWP Form Grid shortcode. [#3235](https://github.com/impress-org/givewp/issues/32350)
* Tweak: Added logic so developers can now adjust the arguments passed to the chosen dropdowns GiveWP uses. [#3192](https://github.com/impress-org/givewp/issues/3192)
* Tweak: The reset email receipt donation button popup now opens the alert using GiveWP's new modal API. [#3224](https://github.com/impress-org/givewp/issues/3244)

= 2.1.2: May 4th, 2018 =
* Fix: We found another conflict with the new "maximum" donation amount field and existing forms. This time forms NOT using custom fields would incorrectly display a validation error about a custom amount which prevented the donor from giving. [#3159](https://github.com/impress-org/givewp/issues/3159)
* Fix: Ensure the minimum donation amount calculates properly with various international decimal separators. [#3176](https://github.com/impress-org/givewp/issues/3176)

= 2.1.1: May 3rd, 2018 =
* Fix: Conflict with the new "maximum" donation amount field and existing forms using custom fields preventing donations if the form is not re-saved. [#3159](https://github.com/impress-org/givewp/issues/3159)
* Fix: Added clarification to the Donation Form Grid shortcode so admins know which options are optional and have a better description of what it does. [#3166](https://github.com/impress-org/givewp/issues/3166)
* Fix: Prevent a setting from appearing above GiveWP's new modal window. [#3164](https://github.com/impress-org/givewp/issues/3164)
* Fix: Display a progress indicator for updates in 2.1+ and prevent an issue with receiving a blank screen if clicking on "Updates" while an update is running. [#3163](https://github.com/impress-org/givewp/issues/3163)
* Fix: Resolved JS error when editing a price type setting field in wp-admin. [#3161](https://github.com/impress-org/givewp/issues/3161)
* Fix: Correct the weekly donation total in the dashboard stats widget. [#3156](https://github.com/impress-org/givewp/issues/3156)
* Fix: Prevent the update notice from appearing while actively updating plugins. [#3155](https://github.com/impress-org/givewp/issues/3155)

= 2.1.0: May 2nd, 2018 =
* New: Sequential ordering is here! You can now configure donation payments with a prefix, suffix, number padding and more. [#2912](https://github.com/impress-org/givewp/issues/2912)
* New: Now you can export your donations with much more flexibility via the new advanced donation exporter. [#2875](https://github.com/impress-org/givewp/issues/2875), [#2996](https://github.com/impress-org/givewp/issues/2996)
* New: Query performance improvements for sites with a large database of donations. [#2987](https://github.com/impress-org/givewp/issues/2987), [#3069](https://github.com/impress-org/givewp/issues/3069)
* New: The donation form grid is here! Now you can display multiple donation forms quick and easily using the new donation form grid shortcode. [#1414](https://github.com/impress-org/givewp/issues/1414), [#2943](https://github.com/impress-org/givewp/issues/2943)
* New: The importer has been upgraded with a new "Dry Run" feature and we've also included a sample data CSV file for you to test out. [#2419](https://github.com/impress-org/givewp/issues/2419)
* New: You can now display goal progress from multiple donation forms using a new shortcode. For example, [give_totals total_goal="5000" ids="1,2,3"] would display the progress of 3 donation forms towards the goal of $5,000 in donations. [#2883](https://github.com/impress-org/givewp/issues/2883)
* New: There is now a new functionality to display a "Company Name" field within your donation forms. This is useful for company matching or just general purpose information collection. [#2453](https://github.com/impress-org/givewp/issues/2453)
* New: You can now set a maximum donation amount for donations per form.
* New: We've replace boring JS alerts with a new modal window API that looks and functions great and other developers can utilize.
* New: There is now a delete button on the single donation payment screen. [#2734](https://github.com/impress-org/givewp/issues/2734)
* New: There is now a GiveWP plugin filter so you can view only GiveWP and it's add-ons more easily. [#2953](https://github.com/impress-org/givewp/issues/2953)
* New: You can now query donation forms that are closed status. [#2250](https://github.com/impress-org/givewp/issues/2250)
* New: There is a new metabox on the donation form edit screen that displays goal progress. [#3027](https://github.com/impress-org/givewp/issues/3027)
* New: There is a new "Donor" based goal so that you can set a goal based on the total number of donors. [#2986](https://github.com/impress-org/givewp/issues/2986)
* Tweak: We've polished the activation banner for add-ons so that it's more intuitive and user friendly. [#2056](https://github.com/impress-org/givewp/issues/2056)
* Tweak: Added hardening to further help prevent spam donations. [#2930](https://github.com/impress-org/givewp/issues/2930)
* Tweak: Added validation to prevent donors from entering their email address into the First Name field. [#2862](https://github.com/impress-org/givewp/issues/2862)
* Fix: The SSL check within the System Info tool was displaying an error due to an API change by the service used. [#2998](https://github.com/impress-org/givewp/issues/2998)
* Fix: Don't clear form fields via JS if no GiveWP form is present on the page. [#3093](https://github.com/impress-org/givewp/issues/3093)

= 2.0.6: March 7th, 2018  =
* New: Notices and warnings on the frontend can now be dismissed if the notice has been configured to be manually or auto-dismissed. Previously all frontend notices were static, meaning they weren't able to be removed automatically or by the user. [#2869](https://github.com/impress-org/givewp/issues/2869), [#2853](https://github.com/impress-org/givewp/issues/2853)
* Tweak: When you add a new donation level in the donation form creation screen the amount field will be auto-focused. This provides the admin a faster interface for adding levels. [#2866](https://github.com/impress-org/givewp/issues/2866)
* Fix: Due to a bug released in 2.0.5 changing levels multiple times would result in a JS error preventing from the amount to be subsequently updated. This bug has been fixed and it's suggested you update immediately if you're on 2.0.5. [#2861](https://github.com/impress-org/givewp/issues/2861), [#2860](https://github.com/impress-org/givewp/issues/2860)

= 2.0.5: February 27th, 2018  =
* Fix: The dashboard widget was displaying incorrect stat for donations raised "This Year". It was showing all time rather than the current year. [#2847](https://github.com/impress-org/givewp/issues/2847)
* Fix: Resolved conflict with W3 Total Cache causing new donations to not be saved correctly when certain database caching configurations are in place. [#2780](https://github.com/impress-org/givewp/issues/2780)
* Fix: Resolved conflict with Polylang translation plugin that caused the base language to appear within the donation form when switching gateways. [#2784](https://github.com/impress-org/givewp/issues/2784)
* Fix: The unformat currency JS function wasn't correctly formatting the Danish krone currency. [#2838](https://github.com/impress-org/givewp/issues/2838)
* Fix: WP's media uploader would upload to the incorrect directory when GiveWP is active under certain environment settings.[#2830](https://github.com/impress-org/givewp/issues/2830)

= 2.0.4: February 16th, 2018  =
* Fix: 2.0.3 broke those pretty chosen dropdown selects, but this version brings them back to life! This bug only affected wp-admin dropdowns using the "Chosen" select field which allows you to search user lists and forms. [#2787](https://github.com/impress-org/givewp/issues/2787)
* Fix: Resolve bug within Give_Payment_Query affecting WP multisite installs. On multisite, custom post type (form, donation log, and donor ) meta query is not working if using the switch_to_blog function. This has now been resolved. [#2815](https://github.com/impress-org/givewp/issues/2815)
* Fix: Removed usage of the .load() jQuery method causing conflicts on some installs and now using .on() properly. [#2818](https://github.com/impress-org/givewp/issues/2818)

= 2.0.3: February 14th, 2018  =
* This release contains additional health checks for sites still experiencing 2.0+ update issues. There are no additional upgrades needed to perform if you have already updated successfully within this release.
* New: Added a dynamic email template tag that allows you to output any meta field within your emails by using. [#2801](https://github.com/impress-org/givewp/issues/2801)
* Fix: Now all your donation forms are now displayed within the shortcode builder. Previously only the most recent 30 would display. [#2259](https://github.com/impress-org/givewp/issues/2259)
* Fix: The frontend profile editor shortcode now outputs proper messages according to the content the user updated. [#2553](https://github.com/impress-org/givewp/issues/2553)
* Fix: The dashboard widget was not using the proper date function for translation thus the day of the week and month would always be in english. [#2811](https://github.com/impress-org/givewp/issues/2811)
* Fix: Properly display the donation payment status icon on translated sites. [#2785](https://github.com/impress-org/givewp/issues/2785)
* Tweak: Removed the custom amount label from the set donation {donation} email tag. [#2653](https://github.com/impress-org/givewp/issues/2653)
* Tweak: Added helper give_get_locate_template function to improve custom template location loading. [#2577](https://github.com/impress-org/givewp/issues/2577)
* Tweak: Removed deprecated email files. [#2802](https://github.com/impress-org/givewp/issues/2802)
* Tweak: We have added a minimum height to floating label fields for improved theme compatibility. [#2340](https://github.com/impress-org/givewp/issues/2340)
* UI: Improved heading within the Donor details screen in wp-admin so it now displays the donor's name. [#2286](https://github.com/impress-org/givewp/issues/2286)
* UI: Improved the interface for the Donations Importer to display more clearly which fields are required to import donations. [#2354](https://github.com/impress-org/givewp/issues/2354)

= 2.0.2: January 31st, 2018  =
* This update includes additional health checks for the 2.0.0 release. We've switched from using WP_Query to move data to direct SQL queries to prevent query manipulation by other plugins and themes.
* New: The donation form now resets when you go back from the donation confirmation page. [#2091](https://github.com/impress-org/givewp/issues/2091)
* Fix: WP_Query being modified in upgrade routine by the Polylang plugin. [#2747](https://github.com/impress-org/givewp/issues/2747)
* Fix: Data tools have been upgraded to be compatible with 2.0+. [#2744](https://github.com/impress-org/givewp/issues/2744)
* Fix: Prevent importer from modifying existing form settings. [#2737](https://github.com/impress-org/givewp/issues/2737)
* Fix: Donation form donation counts were not getting properly updated when a payment goes from complete to abandoned donation status. [#2708](https://github.com/impress-org/givewp/issues/2708)
* Tweak: Deprecated the second $_POST parameter within the give_checkout_error_checks action. [#2663](https://github.com/impress-org/givewp/issues/2663)

= 2.0.1: January 25th, 2018  =
* This update includes a number of health checks for the 2.0.0 release. For a post reflection on the GiveWP 2.0.0 release and additional developer information on the 2.0.1 release please read the [GiveWP 2.0.1 checklist](https://github.com/impress-org/givewp/issues/2695) as well as [GiveWP 2.0 Release Reflection](http://docs.givewp.com/2-0-release-reflection).
* New: Added the database table prefix to the system info settings. [#2678](https://github.com/impress-org/givewp/issues/2678)
* UI/UX: Added an email icon to the per form emails tab. [#2680](https://github.com/impress-org/givewp/issues/2680)
* UI/UX: Revised field descriptions for the donations importer. [#2688](https://github.com/impress-org/givewp/issues/2688)
* Fix: If an issue with an upgrade progress happens there is now a pause and restart functionality built in. It is not recommended that you actually use the pause feature unless you're absolutely positive there was an issue with the update. [#2676](https://github.com/impress-org/givewp/issues/2676), [#2971](https://github.com/impress-org/givewp/issues/2671)
* Fix: The {billing_address} tag was displaying blank on PDF receipts. [#2707](https://github.com/impress-org/givewp/issues/2707)
* Fix: Updating the Currency Position resulted to a confusing user experience unless you saved it. [#2667](https://github.com/impress-org/givewp/issues/2667)
* Fix: View all donations link on the donation forms list screen wasn't properly redirecting to the filtered results. [#2683](https://github.com/impress-org/givewp/issues/2683)
* Fix: MySQL error after updating Email Preview on Windows 64-bit OS. There was also a database error on the donations list page in the backend on Windows 64-bit OS. [#2677](https://github.com/impress-org/givewp/issues/2677), [#2677](https://github.com/impress-org/givewp/issues/2677)

= 2.0.0: January 17th, 2018  =
* New: We have refactored how GiveWP stores data so it's much more scalable now. This means implementing custom tables and our own database schema. We've worked hard to ensure the upgrade routine works without an issue but be sure to make a backup just in case. [How to Prepare Your WordPress Site for GiveWP 2.0](https://givewp.com/prepare-for-give-2-0/), [#1132](https://github.com/impress-org/givewp/issues/1132), [#1148](https://github.com/impress-org/givewp/issues/1148)
* New: The email system within GiveWP has been revamped so it's easier to toggle on or off and customize the various notifications all via one interface. [#1346](https://github.com/impress-org/givewp/issues/1346)
* New: Donors can now have multiple addresses attached to their profiles. This is helpful in the case of donors having a separate billing and mailing address and also to segment other addresses like Gift Aid addresses, etc. [#370](https://github.com/impress-org/givewp/issues/370)
* New: The tooltip library being used has been switched from qTip2.js to Hint.css. Not only do the new tooltips look nicer, they are also more light weight and have better compatibility with the various WP themes. [#619](https://github.com/impress-org/givewp/issues/619)
* New: You can now set donation goals based on total number of donations. For instance, setting a goal to accept 500 total donations is now possible. This is useful if you don't want to show amount or percentage based goals. [#1443](https://github.com/impress-org/givewp/issues/1443)
* New: Revamped how donors can create an account when giving. Rather than adding additional form fields there's now a single "Create an account" checkbox. If checked upon submission of the donation a new WP User will be automatically created for that donor. [#1517](https://github.com/impress-org/givewp/issues/1517)
* New: Implementing query caching in wp-admin for intense queries. You should see improved load times now when viewing your donations, donors, reports and more. [#1944](https://github.com/impress-org/givewp/issues/1944), [#2121](https://github.com/impress-org/givewp/issues/2121)
* New: The upgrade process now works in the background and is much more reliable on various server environments. You can also view overall progress in percentage format and see a stepped progress bar on the upgrade screen. [#2531](https://github.com/impress-org/givewp/issues/2531)
* Tweak: The plugin's images are now minified for faster load times. [#1035](https://github.com/impress-org/givewp/issues/1035)
* Tweak: Renamed the give_customers and give_customermeta tables to give_donors and give_donormeta. [#1960](https://github.com/impress-org/givewp/issues/1960)
* Tweak: Added a nonce verification to donation forms for additional security. [#2568](https://github.com/impress-org/givewp/issues/2568)
* Fix: Sorting by donation statuses wasn't returning the expected results in wp-admin. [#2400](https://github.com/impress-org/givewp/issues/2400)
* Fix: Donors are now required to actually add content into the First Name field and not just use a space character to pass the validation. [#2562](https://github.com/impress-org/givewp/issues/2562)

= 1.8.19: December 20th, 2017  =
* Fix: There was a edge case bug released where a donor viewing a donation receipt in the browser could not due to the necessary columns not being created on install

= 1.8.18: December 19th, 2017  =
* New: There is now a new line item in Tools > System Info that displays whether upgrades have completed or not. [#2452](https://github.com/WordImpress/Give/issues/2452)
* New: You can now view donations based on the gateway that used for the donation. For instance, if you want to view all donations given via Stripe or PayPal you can view them all on the donations listing screen. See details: [#2397](https://github.com/WordImpress/Give/issues/2397)
* New: The "Donation Completed" and additional pages required plugin now display helpful text within the WP-Admin page listing screen. [#2353](https://github.com/WordImpress/Give/issues/2353)
* Fix: Donations made on "Set Donation" enabled forms that were give with a custom amount now properly display that it was a custom amount within the donations list screen. [#2401](https://github.com/WordImpress/Give/issues/2401)
* Fix: The Donations Importer was incorrectly marking donations as duplicates. [#2420](https://github.com/WordImpress/Give/issues/2420)
* Fix: With Give activated, purchasing and creating an account with WooCommerce displays the admin menu bar and provides subscriber role access to wp-admin. Give now no longer affects this with Woo purchases. [#2539](https://github.com/WordImpress/Give/issues/2539)
* Fix: We removed the "Billing Address" fieldset from the [give_profile_editor] shortcode in preparation for 2.0 which also resolved an issue with required fields preventing an admin from updating their password. [#2407](https://github.com/WordImpress/Give/issues/2407)
* Fix: Plain text emails didn't properly support hyperlinks. Now they output in a much better way. See details: [#2346](https://github.com/WordImpress/Give/issues/2346)
* Fix: If using "," for decimal separator and "." for thousands separator the custom amount minimum would incorrectly calculate. [#2526](https://github.com/WordImpress/Give/issues/2526)
* Fix: Resolved various minor PHP notices. [#2451](https://github.com/WordImpress/Give/issues/2451), [#2493](https://github.com/WordImpress/Give/issues/2493)
* Fix: The export PDF report was not outputting multi-level donation form amounts correctly. [#2523](https://github.com/WordImpress/Give/issues/2523)
* Fix: Resolved a minor UI/UX bug with the data per-form recalculate tool. [#2475](https://github.com/WordImpress/Give/issues/2475)
* Tweak: Improved the SQL query for getting donations by ID function. This is part of our continued effor to ensure Give is as optimized and fast as possible. [#2443](https://github.com/WordImpress/Give/issues/2443)
* Tweak: The view receipt in browser link has been updated to utilize the donation receipt page rather than a blank page for compatibility reasons. [#2483](https://github.com/WordImpress/Give/issues/2483)
* Tweak: Cleaned up Give "Worker" capabilities in upgrade routine. [#2476](https://github.com/WordImpress/Give/issues/2476)

= 1.8.17: December 7th, 2017  =
* New: Now you can export and import your settings configurations under Donations > Tools. [#2009](https://github.com/WordImpress/Give/issues/2009)
* New: Introduced bulk actions for the donor listing screen. [#2086](https://github.com/WordImpress/Give/issues/2086), [#2243](https://github.com/WordImpress/Give/issues/2243)
* New: Admin headers now display the menu heirachy for easier navigation. [#2144](https://github.com/WordImpress/Give/issues/2144)
* New: Added inline notice support to the Give_Notices class. [#2180](https://github.com/WordImpress/Give/issues/2180)
* New: Many more currencies have been added to the plugin. [#2275](https://github.com/WordImpress/Give/issues/2275)
* New: The donation importer now allows you to customize the number of rows processed per batch to either speed up or down the import process. [#2427](https://github.com/WordImpress/Give/issues/2427)
* Tweak: Multi-level is the default now for new donation forms. [#2455](https://github.com/WordImpress/Give/issues/2455)
* Tweak: Run flush_rewrite_rules() after enabling categories or tags within settings so they display immediately. [#2291](https://github.com/WordImpress/Give/issues/2291), [#2328](https://github.com/WordImpress/Give/issues/2328)
* Tweak: Audited and cleaned up the Give specific user access roles. [#2112](https://github.com/WordImpress/Give/issues/2112)
* Tweak: Improved the text that is sent to PayPal when a custom amount is given. [#2161](https://github.com/WordImpress/Give/issues/2161)
* Tweak: We've customized the email access functionality so that the entire donation history cannot be viewed for an account without first confirming that email. This is a functionality and security enhancement to prevent unauthorized access to donation history via a small donation. [#2023](https://github.com/WordImpress/Give/issues/2023), [#2304](https://github.com/WordImpress/Give/issues/2304)
* Tweak: Various donation importer improvements and modifications for better data importing. [#2062](https://github.com/WordImpress/Give/issues/2062), [#2249](https://github.com/WordImpress/Give/issues/2249)
* Tweak: Modified code throughout the plugin to support dynamic currencies in preparation for the upcoming Currency Switcher add-on. [#2197](https://github.com/WordImpress/Give/issues/2197), [#2258](https://github.com/WordImpress/Give/issues/2258), [#2311](https://github.com/WordImpress/Give/issues/2311), [#2314](https://github.com/WordImpress/Give/issues/2314), [#2315](https://github.com/WordImpress/Give/issues/2315), [#2317](https://github.com/WordImpress/Give/issues/2317), [#2324](https://github.com/WordImpress/Give/issues/2324), [#2386](https://github.com/WordImpress/Give/issues/2386), [#2403](https://github.com/WordImpress/Give/issues/2403)
* Tweak: Improved the address fieldset so that it's in a more expected order with "City" before "State" as is the preferred order. [#2226](https://github.com/WordImpress/Give/issues/2226)
* Tweak: Enforced a font size of 16px for input fields within a Give modal window on mobile devices to prevent the zoom effect that happens and can cause issues with the cursor position. [#2239](https://github.com/WordImpress/Give/issues/2239)
* Tweak: The default country is now set to the base country within address fieldsets. [#2343](https://github.com/WordImpress/Give/issues/2343)
* Tweak: Performance improvement via checking before deleting any payment for quick exit within give_delete_donation(). [#2393](https://github.com/WordImpress/Give/issues/2393)
* Tweak: Donation goals now display without decimal amounts. [#2372](https://github.com/WordImpress/Give/issues/2372)
* Fix: Resolved WP dashboard timeouts due to inefficient stats query for sites with many donations. [#2383](https://github.com/WordImpress/Give/issues/2383)
* Fix: Floating labels were broken within the Give modal due to a CSS change in 1.8.16 - the floating labels functionality has been restored. [#2341](https://github.com/WordImpress/Give/issues/2341)
* Fix: An error would occur when entering the same value for a donation as the minimum donation amount. [#2348](https://github.com/WordImpress/Give/issues/2348)
* Fix: Prevent multiple clicks on the donation submission button. [#2351](https://github.com/WordImpress/Give/issues/2351)
* Fix: Issue with new getPriceID when levels share the same price. [#2305](https://github.com/WordImpress/Give/issues/2305)
* Fix: The goal achieved message would not display properly when using button display mode. [#2337](https://github.com/WordImpress/Give/issues/2337)
* Fix: A bug where if more than one donation form are embedded on a page that use radio levels it can cause jumping between levels when clicked. [#2292](https://github.com/WordImpress/Give/issues/2292)
* Fix: Show "$0" within a newly created goal rather than a lonely "$". [#2296](https://github.com/WordImpress/Give/issues/2296)
* Fix: Bug preventing switching a donation's level within the donation details screen. [#2280](https://github.com/WordImpress/Give/issues/2280)
* Fix: The "Change Donor" dropdown would get partially hidden while open on the donation details page. [#2412](https://github.com/WordImpress/Give/issues/2412)
* Fix: Improved licensing logic to account for upgrades and changes to the licensing. Also, we now properly delete the license when deactivating it. [#2268](https://github.com/WordImpress/Give/issues/2268), [#2418](https://github.com/WordImpress/Give/issues/2418)
* Fix: Prevent the donor's name from incorrectly being overwritten if they gave using a different name but the same email address. [#2460](https://github.com/WordImpress/Give/issues/2460)
* Fix: The recalculate all forms and a single form were not working. We have restored that functionality so they work as intended. [#2235](https://github.com/WordImpress/Give/issues/2235), [#2319](https://github.com/WordImpress/Give/issues/2319)
* Fix: Improved settings tab CSS for smaller screens like tablets and mobile. [#2139](https://github.com/WordImpress/Give/issues/2139)
* Fix: Change Donor option not showing all donors in donation detail page in back-end. [#2378](https://github.com/WordImpress/Give/issues/2378)
* Fix: PHP Notice when changing the donation form title on the donation details page. [#2377](https://github.com/WordImpress/Give/issues/2377)
* Fix: Resolved issues with the Iranian Rial currency. [#2175](https://github.com/WordImpress/Give/issues/2175)
* Fix: Resolved issues with the formatting Indian Rupee currency. [#2461](https://github.com/WordImpress/Give/issues/2461)
* Fix: PHP notices when searching for a donor name on the donor listing admin page. [#2391](https://github.com/WordImpress/Give/issues/2391)
* Fix: The modal close button (x) was getting hidden by some themes. We've modified the CSS to be more cross-theme compatible. [#1709](https://github.com/WordImpress/Give/issues/1709)
* Fix: Give's modal display mode was conflicting with the Feed Them Social plugin. Now they work nicely together. [#1273](https://github.com/WordImpress/Give/issues/1273)

= 1.8.16: October 27th, 2017  =
* New: Bulk actions now for Donors allow you to more easily delete donors and associated records. [#2086](https://github.com/WordImpress/Give/issues/2086)
* New: Payments now save the currency settings used to make the donation in preparation for the new currency switcher add-on coming soon and also improved future reporting. [#2153](https://github.com/WordImpress/Give/issues/2153)
* Tweak: The link for donor's to view their receipt ("View in Browser >") which appears in emails has better logic so that no matter where the donor clicks that link (on a different device, using a different browser, etc), they will have access to the donation receipt and other associated donor account information. [#1790](https://github.com/WordImpress/Give/issues/1790)
* Tweak: CSS improvements to the [give_donor_profile] shortcode. [#2190](https://github.com/WordImpress/Give/issues/2190)
* Tweak: Hardened give_listen_for_failed_payments(). [#2240](https://github.com/WordImpress/Give/issues/2240)
* Fix: Add-on activation banners weren't displaying due to a change made in a recent release. Now they are again. [#2241](https://github.com/WordImpress/Give/issues/2241)
* Fix: A notice now displays when you update/save a donor's records. [#2181](https://github.com/WordImpress/Give/issues/2181)
* Fix: Donations set to 00:00 time don't show within the "Today" or "Yesterday" reports filter. [#2221](https://github.com/WordImpress/Give/issues/2221)
* Fix: If using polyfill JS on your theme Give's CC fields would appear invalid on page load. [#2244](https://github.com/WordImpress/Give/issues/2244)

= 1.8.15: October 18th, 2017  =
* New: Added support for dynamic currencies. [#2197](https://github.com/WordImpress/Give/issues/2197)
* Fix: The importer should map "Postal Code" and "Zip" to the single field. [#2164](https://github.com/WordImpress/Give/issues/2164)
* Fix: Renamed importer field "Donation Form" to proper naming "Donation Form Title". [#2165](https://github.com/WordImpress/Give/issues/2165)
* Fix: Issue with give_validate_license_when_site_migrated() causing sites to have excessive $_POST requests to the licensing server.
* Fix: Improved the Tools > Data confirmation checkbox and submit button functionality to prevent excessive clicks. [#2195](https://github.com/WordImpress/Give/issues/2195)

= 1.8.14: October 13th, 2017  =
* New: Integrated with Akismet for improved spam filtering [#673](https://github.com/WordImpress/Give/issues/673)
* New: The "Tools > Import" now lists available import options. This makes room for settings and form export/import coming soon! [#2114](https://github.com/WordImpress/Give/issues/2114)
* New: Helpful JS alerts are now displayed if you make settings changes and attempt to navigate away from the page without saving within WP-Admin. [#1998](https://github.com/WordImpress/Give/issues/1998), [#2069](https://github.com/WordImpress/Give/issues/2069)
* New: All Give admin pages have a valid H1 tag for better a11y. [#2047](https://github.com/WordImpress/Give/issues/2047)
* New: New setting added to select the default state that appears within the address fieldset. [#2036](https://github.com/WordImpress/Give/issues/2036)
* New: Improved the receipt page for offline donations to provide more clearer instructions. [#1396](https://github.com/WordImpress/Give/issues/1396)
* New: Added a link on the Donor's profile in wp-admin to go to the WP users' profile if connected. [#1249](https://github.com/WordImpress/Give/issues/1249)
* Tweak: The billing address fieldset has been rearranged for more logical output so donors can fill forms out in a more familiar way. [#2037](https://github.com/WordImpress/Give/issues/2037)
* Tweak: Output attachment ID when media setting field outputs set to URL for better UX. [#2136](https://github.com/WordImpress/Give/issues/2136), [#2133](https://github.com/WordImpress/Give/issues/2133)
* Tweak: Changed the importer screen settings from checkboxes to radios for more UI consistency throughout plugin. [#2132](https://github.com/WordImpress/Give/issues/2132)
* Tweak: Added a filter to the exporter's donor data output. [#2170](https://github.com/WordImpress/Give/issues/2170)
* Tweak: Notice improvements to prevent moving, line breaking, and general non-pleasing UX within wp-admin. [#2141](https://github.com/WordImpress/Give/issues/2141), [#2203](https://github.com/WordImpress/Give/issues/2203), [#2140](https://github.com/WordImpress/Give/issues/2140)
* Tweak: Non-dismissible notices should not display a close "x" icon. [#2100](https://github.com/WordImpress/Give/issues/2100)
* Tweak: When running upgrades we swapped out the JS prompt for an inline prompt for better browser support. [#1959](https://github.com/WordImpress/Give/issues/1959)
* Tweak: Removed the "Donors" report because it was not helpful. [#2074](https://github.com/WordImpress/Give/issues/2074)
* Tweak: Improved handling of case when donor and user are disconnected. [#1721](https://github.com/WordImpress/Give/issues/1721), [#2103](https://github.com/WordImpress/Give/issues/2103)
* Fix: The donations importer will not autofill already mapped CSV fields if an error occurs while importing. [#2146](https://github.com/WordImpress/Give/issues/2146)
* Fix: A PHP warning would display with WP_DEBUG on for the give_maybe_sanitize_amount() function. [#2147](https://github.com/WordImpress/Give/issues/2147)
* Fix: The donation importer was displaying the "Do no import" option incorrectly twice in dropdown. [#2134](https://github.com/WordImpress/Give/issues/2134)
* Fix: A PHP notice would display with WP_DEBUG on when linking a new WP users to a guest donor. [#2193](https://github.com/WordImpress/Give/issues/2193)
* Fix: Price formatting issue with the Iranian Rial on multi-level forms within wp-admin form listing page. [#2177](https://github.com/WordImpress/Give/issues/2177)
* Fix: Typos in the donations importer. [#2126](https://github.com/WordImpress/Give/issues/2126)
* Fix: The donation importer will now properly sort multi-level donation forms by amounts for proper level ordering after import completes. [#2123](https://github.com/WordImpress/Give/issues/2123)
* Fix: An error would occur when activating a new user on WP multisite if that user had previously donated. [#2118](https://github.com/WordImpress/Give/issues/2118)
* Fix: Brought back the issue with responsive settings tabs no longer working due to broken jQuery selector. [#2106](https://github.com/WordImpress/Give/issues/2106)
* Fix: The [give_profile_editor] shortcode was having some styling issues with some themes. [#2097](https://github.com/WordImpress/Give/issues/2097)
* Fix: The [give_receipt] shortcode attributes were not working as expected. [#2085](https://github.com/WordImpress/Give/issues/2085)
* Fix: The Give Reports graphs were not properly displaying thousands separators. [#2053](https://github.com/WordImpress/Give/issues/2053)
* Fix: JS TypeError when clicking a bulk action checkbox in WP-admin within the donations list view. [#2051](https://github.com/WordImpress/Give/issues/2051)
* Fix: The "Give Accountant" user role could not access the admin dashboard after logging in with WooCommerce activated. [#2022](https://github.com/WordImpress/Give/issues/2022)
* Fix: The donation form creator page had display issues where the left half of the info is hidden below the menu tabs within lower resolutions. [#2000](https://github.com/WordImpress/Give/issues/2000)
* Fix: The donation amount would be redued when thousands separator is set to a period. [#1982](https://github.com/WordImpress/Give/issues/1982)
* Fix: The repeater field would display incorrect decimal separators for the amount field. [#1886](https://github.com/WordImpress/Give/issues/1886)

= 1.8.13: September 7th, 2017  =
* Important: Give will no longer work with PHP 5.2 and older versions. The minimum PHP version to use Give is now PHP 5.3 and newer. If you are using PHP 5.2 ask your host to upgrade your environment to be more secure, better supported, and faster. [#1949](https://github.com/WordImpress/Give/issues/1949)
* New: Now you can import donations to Give using the new importer. Simply create a CSV file with the appropriate data and map use the importer to map your columns into Give accordingly. [#1966](https://github.com/WordImpress/Give/issues/1966)
* New: Added additional guidelines for testing so contributors who want to submit PRs have additional information on how to test properly. [#2007](https://github.com/WordImpress/Give/issues/2007)
* New: We are now storing the page ID and URL donors used to make a donation for future reporting. [#1996](https://github.com/WordImpress/Give/issues/1996)
* New: When no list items are displayed within forms and donations, typically on fresh installs, helpful information will now display in its place rather than empty lists. [#1917](https://github.com/WordImpress/Give/issues/1917)
* Tweak: Moved settings notices so they display above tabs rather than below to improve the UX. [#1997](https://github.com/WordImpress/Give/issues/1997)
* Tweak: The donation receipt and transaction failed pages are now hidden from search pages. [#1984](https://github.com/WordImpress/Give/issues/1984)
* Tweak: When updating a donation form the user should be returned to the last active tab. [#1968](https://github.com/WordImpress/Give/issues/1968)
* Tweak: Improved colors for Twenty Seventeen "dark" theme colors. [#1962](https://github.com/WordImpress/Give/issues/1962)
* Tweak: Payment counts are now calculated based on active payment statuses. [#1955](https://github.com/WordImpress/Give/issues/1955)
* Fix: PHP warnings when give_set_error would attempt to unset an error that wasn't present. [#2049](https://github.com/WordImpress/Give/issues/2049)
* Fix: Return "custom" label ID from give_get_price_id() wasn't being set properly causing some donor confusion when giving in custom. [#2042](https://github.com/WordImpress/Give/issues/2042)
* Fix: Some default settings that should have been set on install weren't being set due to a recent modification in the install process. [#2035](https://github.com/WordImpress/Give/issues/2035)
* Fix: The license key expired notice would improperly display when first activating an add-on. [#2034](https://github.com/WordImpress/Give/issues/2034)
* Fix: When deleting donor information from the donor single page or from the tools->data dropdown the donor meta values would not get deleted properly. [#2028](https://github.com/WordImpress/Give/issues/2028)
* Fix: PHP Notice: undefined variable "new_public_key" and "new_secret_key". [#2024](https://github.com/WordImpress/Give/issues/2024)
* Fix: The bottom "Bulk Actions" on the donations listing page in wp-admin weren't working as expected. [#2008](https://github.com/WordImpress/Give/issues/2008)
* Fix: Generating API keys used to require refreshing your permalinks in order to view endpoints. Now we flush the permalinks when new keys are generated so you don't have to do this. [#1999](https://github.com/WordImpress/Give/issues/1999)
* Fix: PHP Notice related to Yoast clear sitemaps function. [#1977](https://github.com/WordImpress/Give/issues/1977)
* Fix: One time donations without a WP login create donations and donors. Then if the same email was used later to attempt to create a user, the error "The email address provided is already active for another user" would incorrectly display. [#1975](https://github.com/WordImpress/Give/issues/1975)
* Fix: Two PHP notices within shortcodes and formatting. [#1973](https://github.com/WordImpress/Give/issues/1973)
* Fix: Prevent flash of multi-level fields when the donation form editor loads. [#1969](https://github.com/WordImpress/Give/issues/1969)
* Fix: Delete a payment's log if the admin deletes payments with tools. [#1954](https://github.com/WordImpress/Give/issues/1954)
* Fix: Added a max-width for multi-level dropdowns so really long levels don't make it too wide. [#1952](https://github.com/WordImpress/Give/issues/1952)

= 1.8.12: August 2nd, 2017  =
* New: A new updates screen better notifies user's about necessary database and available add-on updates. [#1538](https://github.com/WordImpress/Give/issues/1538), [#1896](https://github.com/WordImpress/Give/issues/1896)
* New: The donation method report now has sortable columns. [#1616](https://github.com/WordImpress/Give/issues/1616)
* New: The dynamic country and state fields now have much better support for states, provinces, counties, etc. [#1935](https://github.com/WordImpress/Give/issues/1935), [#1050](https://github.com/WordImpress/Give/issues/1050)
* New: Improved support for INR currency as well as setting decimal and thousands separators within the plugin's settings. [#1849](https://github.com/WordImpress/Give/issues/1849)
* New: Updated the System Info report to include PayPal IPN information. As well, PayPal Standard payments will display additional IPN information within the payment notes. [#1787](https://github.com/WordImpress/Give/issues/1787)
* New: Updated the System Info report to include TLS 1.2 support which is required now by most gateways. [#810](https://github.com/WordImpress/Give/issues/810)
* New: Updated the System Info report to include the Donation History page URL. [#1841](https://github.com/WordImpress/Give/issues/1841)
* New: Implemented an optional auto hide functionality for frontend notices within the Give_Notices class. [#1837](https://github.com/WordImpress/Give/issues/1837)
* New: Added PHPUnit tests for email functionality. [#1843](https://github.com/WordImpress/Give/issues/1843)
* Tweak: Donation payment statuses filters will not be displayed if there are no payments with that status within the admin interface. [#1823](https://github.com/WordImpress/Give/issues/1823)
* Tweak: The donation form's payment count column now links to the payments screen with that form as the filter rather than to logs. [#1824](https://github.com/WordImpress/Give/issues/1824)
* Tweak: Developers are now using ESLint for JS coding standards. [#1827](https://github.com/WordImpress/Give/issues/1827)
* Tweak: Updated the donation Receipt language for Offline Donation instructions to match other instances. [#1840](https://github.com/WordImpress/Give/issues/1840)
* Tweak: The Give goal's shortcode inserter now only displays forms with goals enabled. [#1898](https://github.com/WordImpress/Give/issues/1898)
* Tweak: The donation payments filters have been improved with more options and better CSS. [#1901](https://github.com/WordImpress/Give/issues/1901)
* Tweak: Deprecated the give_get_purchase_summary() and improved the new give_payment_gateway_donation_summary() function. [#1902](https://github.com/WordImpress/Give/issues/1902)
* Tweak: Scroll icons were displaying incorrectly on Windows within the Form edit Sub-tab items on flyout. [#1910](https://github.com/WordImpress/Give/issues/1910)
* Tweak: The email tags {user_email} and {billing_address} were not displaying sample data when previewing the Donation Receipt email. [#1929](https://github.com/WordImpress/Give/issues/1929)
* Fix: There was an error preventing deleting the plugin when the delete data on uninstall option was enabled. [#1900](https://github.com/WordImpress/Give/issues/1900)
* Fix: The donation level's field now properly loads for multi-level form types when changing forms on the payment details page. [#1894](https://github.com/WordImpress/Give/issues/1894)
* Fix: Pagination is not properly working for all list tables within the plugin's admin interfaces. [#1378](https://github.com/WordImpress/Give/issues/1378), [#1847](https://github.com/WordImpress/Give/issues/1847)
* Fix: Give_DB_Donors constructor adds a profile_update action for the update_method_email_on_user_update method of itself which causes performance issues with long running scripts. [#1358](https://github.com/WordImpress/Give/issues/1358)
* Fix: The export screen had some minor CSS issues. [#1838](https://github.com/WordImpress/Give/issues/1838)
* Fix: There was a CSS issue with license notices within WP Multisite installs. [#1844](https://github.com/WordImpress/Give/issues/1844)
* Fix: Improved modal scrolling on Safari iOS so that the background doesn't incorrectly scroll instead of the modal itself. [#1866](https://github.com/WordImpress/Give/issues/1866)
* Fix: The admin donation status counts now appear correctly when changing statuses without having to refresh the page. [#1874](https://github.com/WordImpress/Give/issues/1874)
* Fix: Changing levels of existing Multilevel donations was buggy and prevented switching to certain levels. [#1911](https://github.com/WordImpress/Give/issues/1911)

= 1.8.11: July 11th, 2017  =
* Fix: Compatibility issue with Yoast SEO's new Link Checker utility preventing new Give installs from activating properly. [#1848](https://github.com/WordImpress/Give/issues/1848)

= 1.8.10: July 10th, 2017  =
* New: A login notification now displays upon successful login within a donation form. [#1384](https://github.com/WordImpress/Give/issues/1384)
* Fix: Non-core email tags were not rendering properly for some add-ons due to a change made in the way the plugin loads in the last version release. [#1839](https://github.com/WordImpress/Give/issues/1839)
* Fix: Incorrect admin pagination numbering is now fixed for logs and donations [#1378](https://github.com/WordImpress/Give/issues/1378)

= 1.8.9: July 5th, 2017  =
* New: Improved the new user notification email that gets sent to admins and also improved the account information email that gets sent to donors when a donor creates an account while donating. [#1821](https://github.com/WordImpress/Give/issues/1821)
* New: Added an update confirm prompt when an admin attempts to resend the donation receipt to a donor. [#1802](https://github.com/WordImpress/Give/issues/1802)
* New: Improved credit card expiry validation. [#1781](https://github.com/WordImpress/Give/issues/1781)
* New: Goals are now accessible via the API. [#1423](https://github.com/WordImpress/Give/issues/1423)
* New: Added a confirmation alert when an admin attempts to delete a payment on the list screen. [#1773](https://github.com/WordImpress/Give/issues/1773)
* New: You can now specify a timeframe when exporting donors. [#1427](https://github.com/WordImpress/Give/issues/1427)
* New: PHP 5.2 will work but if you're running it a new banner will display prompting your to upgrade your server to a more modern and supported version. [#1723](https://github.com/WordImpress/Give/issues/1723)
* New: Give now supports per user language settings. Now your users can use Give in the language they prefer as long as it's supported on WP.org. [#1769](https://github.com/WordImpress/Give/issues/1769)
* New: You can now sort your donation forms more accurately by amount within wp-admin. [#1253](https://github.com/WordImpress/Give/issues/1253)
* New: Give's Settings API now has separate fields for files and media. [#1758](https://github.com/WordImpress/Give/issues/1758), [#1761](https://github.com/WordImpress/Give/pull/1761)
* Tweak: Deprecated a number of functions and hooks due to incorrect terminology with backwards compatiblity. [#896](https://github.com/WordImpress/Give/issues/896)
* Tweak: Added a prefix to on_create_blog() function to prevent any potential conflicts. [#1809](https://github.com/WordImpress/Give/issues/1809)
* Tweak: Removed AJAX warning banner producing some false positives for certain server configurations. [#1631](https://github.com/WordImpress/Give/issues/1631)
* Tweak: The menu item list of "Donation Forms" is now included by default within WP-admin on install. [#1765](https://github.com/WordImpress/Give/issues/1765)
* Tweak: Improved support for WPML. [#1609](https://github.com/WordImpress/Give/issues/1609)
* Tweak: Improved support for SEO plugins creating XML sitemaps when Give's single form views are disabled. [#1690](https://github.com/WordImpress/Give/issues/1690)
* Fix: An error message will display if visiting a donation receipt page without a payment_key. [#1484](https://github.com/WordImpress/Give/issues/1484), [#1763](https://github.com/WordImpress/Give/issues/1763)
* Fix: Translation banners showing incorrectly for some users within Give's settings screen. [#1770](https://github.com/WordImpress/Give/issues/1770)
* Fix: An invalid donation payment could accidentally be created if the admin clicked on the bulk actions submit button without first selecting a payment within the donations list screen. [#1801](https://github.com/WordImpress/Give/issues/1801)
* Fix: If donor is using an additional email and the same has been email used to register a user from a donation form it created a conflict which is now resolved. [#1722](https://github.com/WordImpress/Give/issues/1722)
* Fix: The link to view a donation form's income was incorrectly going to the main reports page rather than the one for that specific form. [#1825](https://github.com/WordImpress/Give/issues/1825)
* Fix: Corrected a bug with add-on licensing that would show an incorrect expiration date if an invalid license was being used. [#1816](https://github.com/WordImpress/Give/issues/1816)
* Fix: Corrected a bug within Give_Payments_Query returning inaccurate date based results in some cases. [#1813](https://github.com/WordImpress/Give/issues/1813)
* Fix: Added missing status "Set to Processing" within bulk options. [#1803](https://github.com/WordImpress/Give/issues/1803)
* Fix: The "Recalculate Income Amount and Donation Counts for ALL Forms" tool didn't affect the total donations or income shown on the "All Forms" screen. [#1554](https://github.com/WordImpress/Give/issues/1554)
* Fix: A currency symbol's raw HTML character output could appear within gateways such as PayPal Standard if not provided a level label. [#1757](https://github.com/WordImpress/Give/issues/1757)
* Fix: Stronger passwords are now required to register. [#1305](https://github.com/WordImpress/Give/issues/1305), [#1754](https://github.com/WordImpress/Give/pull/1754)
* Fix: Resolved an issue where introduced in 1.8.8 that allowed donors to be inadvertently detached from their user. [#1751](https://github.com/WordImpress/Give/issues/1751)
* Fix: API request log count showing incorrect number. [#1069](https://github.com/WordImpress/Give/issues/1069)
* Fix: In certain rare cases where donors were logged in and giving in the name of another an incorrect name would appear within the receipts. [#1716](https://github.com/WordImpress/Give/issues/1716)
* Fix: When clicking on a donor who has given using multiple emails the donation filter would not take this into account within the payments screen. [#1830](https://github.com/WordImpress/Give/issues/1830)

= 1.8.8: May 30, 2017  =
* New: Added search functionality to donor, donation form, and donation payment dropdowns in wp-admin. [#1572](https://github.com/WordImpress/Give/issues/1572)
* New: Added a date range filter to the `/donation/` Give API endpoint. [#758](https://github.com/WordImpress/Give/issues/758)
* New: Revamped the donation receipt template so that items can easily be reordered. [#1674](https://github.com/WordImpress/Give/issues/1674)
* New: The donation gateway used is now displayed within the donation listing page in wp-admin. [#1682](https://github.com/WordImpress/Give/issues/1682)
* Fix: If a donation form's minimum custom amount was set to higher than the first donation level amount the donor would incorrectly receive a custom minimum required validation error. [#1680](https://github.com/WordImpress/Give/issues/1680)
* Fix: Clicking the Give license notice no longer refreshes the page in wp-admin. [#1694](https://github.com/WordImpress/Give/issues/1694)
* Fix: Added a JS confirmation when disconnecting a WP user from the a donor in wp-admin. [#1720](https://github.com/WordImpress/Give/issues/1720)
* Fix: Sometimes the expiration field within the donation form loses its auto-formatting. [#1278](https://github.com/WordImpress/Give/issues/1278)
* Fix: Conflict with WP101 plugin. [#1710](https://github.com/WordImpress/Give/issues/1710)
* Fix: Conflict with Yoast SEO plugin's metabox displaying above Gives. [#1658](https://github.com/WordImpress/Give/issues/1658)
* Fix: Add-ons outside of the standard WP `/plugins/` directory causes PHP notices to appear. [#1672](https://github.com/WordImpress/Give/issues/1672)
* Fix: Don't export categories/tags columns when they are not in use. [#1692](https://github.com/WordImpress/Give/issues/1692)
* Fix: Disable the "View form" link if the single form views are not enabled. [#646](https://github.com/WordImpress/Give/issues/646)
* Fix: An incorrect currency symbol is displayed on the donation detail screen if given in different currency. [#1664](https://github.com/WordImpress/Give/issues/1664)
* Fix: Allow decimal amounts less than $1.00 in the donation form currency fields. [#1666](https://github.com/WordImpress/Give/issues/1666)
* Tweak: Improved featured image dropdown labels to include sizes and whether it's a responsive image or not. [#1713](https://github.com/WordImpress/Give/issues/1713)
* Tweak: Relocated the plugin setting's "Export" tab within wp-admin to Donations > Tools for better organization. [#1702](https://github.com/WordImpress/Give/issues/1702)
* Tweak: Minor changes to the welcome screen. [#1561](https://github.com/WordImpress/Give/issues/1561)
* Tweak: Relocated exports from Donations > Reports to Donations > Tools in wp-admin. [#1702](https://github.com/WordImpress/Give/issues/1702)
* Tweak: Expanded the role of the Give "Worker" user role to include editing donation forms [#844](https://github.com/WordImpress/Give/issues/844)

= 1.8.7.1: May 4, 2017 =
* Fix: A license notice appears and is not dismissible when it's expiration timestamp is out of date which can be annoying to the admin. [#1658](https://github.com/WordImpress/Give/issues/1658)
* Fix: PHP Strict Standards warning no longer displays when you have add-ons installed. [#1659](https://github.com/WordImpress/Give/issues/1659)

= 1.8.7: May 3, 2017 =
* New: Revamped how Give handles caching with a new cache API. [#1617](https://github.com/WordImpress/Give/issues/1617)
* New: The "New User Notification" email is now formatted like other Give emails and is also now filterable. [#1623](https://github.com/WordImpress/Give/issues/1623), [#1577](https://github.com/WordImpress/Give/issues/1577)
* New: Added the "Processing" status into Give core in preparation for future enhancements. [#1615](https://github.com/WordImpress/Give/issues/1615)
* Tweak: Update WP Session Manager library to the latest version. [#1646](https://github.com/WordImpress/Give/issues/1646)
* Tweak: Stop echoing shortcodes in favor of returning their output for better WP REST API compatibility. [#1614](https://github.com/WordImpress/Give/issues/1614)
* Tweak: Improved verbiage for the "Email already in use" notice. [#1624](https://github.com/WordImpress/Give/issues/1624)
* Tweak: Updated the placeholder address for the "Offline Donations" gateway to an unmailable address. This is in the hopes that folks will better notice and update it to their actual mailing address. [#1623](https://github.com/WordImpress/Give/issues/1623)
* Fix: Improved mobile responsiveness of the Give donation form modal display mode. [#1636](https://github.com/WordImpress/Give/issues/1636)
* Fix: Formatting was incorrect for the Danish Kroner. [#1632](https://github.com/WordImpress/Give/issues/1632)
* Fix: If an add-on doesn't have a license active it now displays plugin update notifications regardless of license status. [#1649](https://github.com/WordImpress/Give/issues/1649)
* Fix: Ensure that Give core updates run in consecutive order. [#1626](https://github.com/WordImpress/Give/issues/1626)

= 1.8.6: April 10, 2017 =
* Fix: Provide a fallback for using `price_id` rather than `give_price_id`. Some gateways were incorrectly assigning it as a donation level within the receipt despite the correct custom amount being processed. [#1598](https://github.com/WordImpress/Give/issues/1598)
* Fix: Multi-level donation forms with 10+ options were selecting the wrong option on click due to an incorrect incrementing logic. [#1592](https://github.com/WordImpress/Give/issues/1592)
* Fix: Prevent multiple slide animations when a donor toggles the donation terms if more than one donation form is on page that is using "Terms and Conditions" enabled. [#1602](https://github.com/WordImpress/Give/issues/1602)
* Tweak: The give_get_current_page_url() now uses trailingslashit so urls end with a slash to prevent issues with some custom htaccess redirects. [#1589](https://github.com/WordImpress/Give/issues/1589)
* Tweak: Code cleanup and removal of unused functions. [#1571](https://github.com/WordImpress/Give/issues/1571)

= 1.8.5: March 29, 2017 =
* New: Added a "Billing Details" as an option in PayPal Standard gateways which adds address fields to the gateway. The field data is then passed to PayPal and pre-filled on the PayPal payment form. [#1573](https://github.com/WordImpress/Give/issues/1573)
* New: Button only display mode now has an option to customize the donate button text. [#1494](https://github.com/WordImpress/Give/issues/1494)
* New: There is now a colorpicker setting field in the Give Setting API. [#1566](https://github.com/WordImpress/Give/issues/1566)
* Fix: If Give is upgraded from pre-1.8 to the latest version upgrades but does not run the manual upgrade routine the donation forms will continue to remain open for guest donations. [#1578](https://github.com/WordImpress/Give/issues/1578)
* Fix: There was an issue with the 1.8 upgrade routine where it was incorrectly disabling the Offline Donations gateway per form. [#1579](https://github.com/WordImpress/Give/issues/1579)
* Fix: The upgrade routine would not properly run on pages outside of Give in wp-admin. This has been fixed, now users can upgrade the db anywhere in wp-admin. [#1580](https://github.com/WordImpress/Give/issues/1580)

= 1.8.4: March 1, 2017 =
* Fix: When a donation form has guest donations enabled and the registration + login option enabled the optional fields were being incorrect required. [#1553](https://github.com/WordImpress/Give/issues/1553)
* Fix: Minor RTL style issue with the i18n banner that displays asking help translating Give when WP-Admin is in a non-supported language. [#1547](https://github.com/WordImpress/Give/issues/1547)
* Fix: Updated the included add-on software licensing class and fixed active license placeholders. [#1556](https://github.com/WordImpress/Give/issues/1556)

= 1.8.3: February 27, 2017 =
* New: The new Goal Complete message has been turned into a WYSIWYG that also render oEmbeds like YouTube and WordPress shortcodes. This means now you can display a custom video or any content you'd like when a goal has completed. [#1504](https://github.com/WordImpress/Give/issues/1504), [#1545](https://github.com/WordImpress/Give/issues/1545)
* New: The Give Settings API received a new API Key field type that we will be rolling out into each of the payment gateways for additional security. [#1540](https://github.com/WordImpress/Give/issues/1540)
* Tweak: Mod_security on some servers was flagging Give's icomoon custom font icons in WP-admin so we removed the hyphen causing the security flag. [#1535](https://github.com/WordImpress/Give/issues/1535)
* Fix: Email access was not properly using the give_is_setting_enabled() conditional therefore not allowing non-WP users to access their donation history. The condition has been fixed and functionality restored. [#1551](https://github.com/WordImpress/Give/issues/1551)
* Fix: Show correct log counts in WP-Admin under Donations > Tools > Logs. [#1531](https://github.com/WordImpress/Give/issues/1531)
* Fix: The gateway and donation ID was not properly displaying under Donations > Tools > Logs. [#1529](https://github.com/WordImpress/Give/issues/1529)
* Fix: The new Give Settings in 1.8+ would sometimes return an incorrect tab when using non-English languages such as Dutch and Hebrew. [#1510](https://github.com/WordImpress/Give/issues/1510)

= 1.8.2: February 21, 2017 =
* New: A login field will show by default now if a non-logged in user attempts to view the donation history page without email access enabled. [#1485](https://github.com/WordImpress/Give/issues/1485)
* New: Form Metabox API now has the ability to set a custom icon using HTML. [#1506](https://github.com/WordImpress/Give/issues/1506)
* Fix: Offline Donations email edit field should have the available email tags listed beneath the editor. [#1516](https://github.com/WordImpress/Give/issues/1516)
* Fix: Issue with new Metabox API where the TinyMCE WYSIWYG editor would have a height issue between the edit fields and the editor itself. [#1522](https://github.com/WordImpress/Give/issues/1522)
* Fix: The donate button did not reappear if a visitor clicked to login on a donation form then cancelled. [#1482](https://github.com/WordImpress/Give/issues/1482)
* Fix: Floating labels text fields would increase a few pixel in height when being completed. [#1511](https://github.com/WordImpress/Give/issues/1511)
* Fix: If you select to override the default offline donation instructions on a donation form, the text does not change. [#1513](https://github.com/WordImpress/Give/issues/1513)
* Fix: When rapidly clicking through donation levels it's possible to rend the final total donation amount incorrect. [#1502](https://github.com/WordImpress/Give/issues/1502)

= 1.8.1: February 16, 2017 =
* Fix: Issue with conditionals now using new give_is_setting_enabled() function. [#1498](https://github.com/WordImpress/Give/issues/1498)
* Fix: Function is_single_price_mode() was not using the correct metakey and returning incorrectly. [#1500](https://github.com/WordImpress/Give/pull/1500)

= 1.8: February 14, 2017 =
* New: Enhanced admin UI provides easier donation form creation and settings organization overview. [#281](https://github.com/WordImpress/Give/issues/281), [#668](https://github.com/WordImpress/Give/issues/668)
* New: Display "Donate Now" buttons that open donation forms with the click of a button with the new button display mode. [#520](https://github.com/WordImpress/Give/issues/520)
* New: Additional "Tools" menu added to WP-admin. [#1046](https://github.com/WordImpress/Give/issues/1046)
* New: Improved System Info page now provides more helpful server and WordPress information which will help support more quickly identify potential issues. [#826](https://github.com/WordImpress/Give/issues/826)
* New: Improved UX/UI for Reports pages. [#1114](https://github.com/WordImpress/Give/issues/1114)
* New: Improved UX for admin settings screens that have many tabs to prevent them from bumping to two lines. [#1466](https://github.com/WordImpress/Give/issues/1466
* New: Added support to create links to donation forms with a pre-selected donation level. [#1422](https://github.com/WordImpress/Give/issues/1422
* Tweak: Give's donation form widget now includes the "Display Option" functionality. [#1269](https://github.com/WordImpress/Give/issues/1269)
* Tweak: CMB2 has now been deprecated in favor for Give's settings API. [#991](https://github.com/WordImpress/Give/issues/991)
* Tweak: Only show Add-on activation banner for user who activated the plugin. [#1036](https://github.com/WordImpress/Give/issues/1036)
* Tweak: Added backend and frontend validation to prevent the admin from saving the same success and failure page. [#724](https://github.com/WordImpress/Give/issues/724)
* Tweak: Responsive and general CSS improvements for frontend donation forms. [#1453](https://github.com/WordImpress/Give/issues/1453), [#1258](https://github.com/WordImpress/Give/issues/1258), [#1441](https://github.com/WordImpress/Give/issues/1441)
* Tweak: Plugin incompatibility with PHP version 7.1. [#1453](https://github.com/WordImpress/Give/issues/1453), [#1258](https://github.com/WordImpress/Give/issues/1258), [#1441](https://github.com/WordImpress/Give/issues/1441)
* Tweak: Linked the donor's name to their donor profile within donor's report listing screen. [#1448](https://github.com/WordImpress/Give/issues/1448)
* Tweak: Field descriptions updated for better user understanding and clarity. [#1488](https://github.com/WordImpress/Give/issues/1488)
* Tweak: Bulk deleting transactions does not display a notification enhancement. [#850](https://github.com/WordImpress/Give/issues/850)
* Tweak: Auto fill total donation amount when admin user changes the donation level on the payment edit screen. [#884](https://github.com/WordImpress/Give/issues/884)
* Tweak: If only one payment gateway is enabled the "Select Payment Method" fieldset is now hidden. [#1122](https://github.com/WordImpress/Give/issues/1122)
* Tweak: Links to shortcodes are now using offsite shortlinks that can be updated without a plugin update to prevent 404s due to doc structure changes. [#1405](https://github.com/WordImpress/Give/issues/1405)
* Fix: "Export Donors" creating multiple instances of the same donor. [#1426](https://github.com/WordImpress/Give/issues/1426)
* Fix: Show "untitled donation form" as the default title for untitled forms in the admin. [#1276](https://github.com/WordImpress/Give/issues/1276)
* Fix: Show correct donor count on donor listing page. [#1497](https://github.com/WordImpress/Give/issues/1497)

= 1.7.2: December 21, 2016 =
* Fix: The login within the donation form doesn't refresh due to a bug introduced in 1.7 - it's now fixed and working properly again. [#1341](https://github.com/WordImpress/Give/issues/1341)
* Fix: The donation form's "Preview" option doesn't work while the donation form is in "Draft" post status. [#1343](https://github.com/WordImpress/Give/issues/1343)
* Fix: Compatibility with the new TwentySeventeen default WP theme. [#1353](https://github.com/WordImpress/Give/issues/1353)
* Tweak: Merged similar strings for easier i18n. [#1349](https://github.com/WordImpress/Give/issues/1349)

= 1.7.1: December 10, 2016 =
* Fix: PayPal gateway is not properly passing the donation form name. [#1334](https://github.com/WordImpress/Give/issues/1334)
* Fix: Add filter for Magnific modal options to close when the background is clicked and customize the modal's CSS class name. [#1328](https://github.com/WordImpress/Give/issues/1328)
* Tweak: WordPress 4.7 adds a gray border around certain images in wp-admin. [#1322](https://github.com/WordImpress/Give/issues/1322)

= 1.7: December 7, 2016  =
* New: Custom HTML5 alert messages provide better context for donors. [#351](https://github.com/WordImpress/Give/issues/351)
* New: Give CLI now included in Core for developers. [#841](https://github.com/WordImpress/Give/issues/841)
* New: Donation details screen now displays more information and is mobile responsive. [#887](https://github.com/WordImpress/Give/issues/887)
* New: Email tag {receipt_link_url} added. [#581](https://github.com/WordImpress/Give/issues/581)
* New: Deprecated actions and filters to fix non-donation based terminology. [#896](https://github.com/WordImpress/Give/issues/896)
* New: Function give_date_format() provides a way to adjust the date format based on a given context. [#687](https://github.com/WordImpress/Give/issues/687)
* New: Automate RTL styles with gulp. [#995](https://github.com/WordImpress/Give/issues/995)
* New: If only a single payment gateway is enabled the "Select Payment Method" fieldset is hidden to improve the donor experience. [#1122](https://github.com/WordImpress/Give/issues/1122)
* New: Make transaction columns "Donation Form" and "Status" sortable. [#866](https://github.com/WordImpress/Give/issues/866)
* New: Accessibility for various donation form elements. [#1181](https://github.com/WordImpress/Give/issues/1181), [#1177](https://github.com/WordImpress/Give/issues/1177), [#1193](https://github.com/WordImpress/Give/issues/1193), [#1186](https://github.com/WordImpress/Give/issues/1186), [#1178](https://github.com/WordImpress/Give/issues/1178), [#924](https://github.com/WordImpress/Give/issues/924), [#922](https://github.com/WordImpress/Give/issues/922), [#925](https://github.com/WordImpress/Give/issues/925), [#934](https://github.com/WordImpress/Give/issues/934), [#918](https://github.com/WordImpress/Give/issues/918), [#920](https://github.com/WordImpress/Give/issues/920)
* Tweak: Optimized payment gateway loading and ensure that the proper gateway is returned if donor is brought back to website from an offsite gateway like PayPal Standard. Also, new PHPUnit tests for gateways added. [#1119](https://github.com/WordImpress/Give/issues/1119)
* Tweak: Organize data with a logical relationship in grids for table accessibility. [#922](https://github.com/WordImpress/Give/issues/922)
* Tweak: Terminology changes - "Transactions" now called "Donations" and "Payments" now termed "Donation" in WP-admin.  [#896](https://github.com/WordImpress/Give/issues/896)
* Tweak: Removed unnecessary Give user roles. [#662](https://github.com/WordImpress/Give/issues/662)
* Tweak: Remove "Form Labels" functions from translation strings. [#1003](https://github.com/WordImpress/Give/issues/1003)
* Tweak: a11y + UX - The terms agreement checkbox should be a required field. [#1200](https://github.com/WordImpress/Give/issues/1200)
* Tweak: Removed the bulk edit "Price" field. [#1252](https://github.com/WordImpress/Give/issues/1252)
* Tweak: The "Donations" column is now sortable, also renamed the "Price" column to "Amount". [#1250](https://github.com/WordImpress/Give/issues/1250)
* Tweak: Updated CMB2 to the latest version. [#1188](https://github.com/WordImpress/Give/issues/1188)
* Fix: User able to donate minimum amount then custom minimum amount with multi level donation form. [#712](https://github.com/WordImpress/Give/issues/712)
* Fix: Clearing reports cache wasn't working for "Estimated monthly income for this period". [#773](https://github.com/WordImpress/Give/issues/773)
* Fix: Use only one text-domain "give" for i18n. [#964](https://github.com/WordImpress/Give/issues/964)
* Fix: Multiple donation forms on a page with the Terms and Condition checkbox causes jumping when the checkbox is clicked by a secondary form. [#1244](https://github.com/WordImpress/Give/issues/1244)
* Fix: Do not render unpublish or trashed form by shortcode. [#1289](https://github.com/WordImpress/Give/issues/1289)
* Fix: Allow filter form title on basis of form id and form object. [#1290](https://github.com/WordImpress/Give/issues/1290)
* Fix: Slowness on transactions and logs screens in WP-Admin. [#1172](https://github.com/WordImpress/Give/issues/1172)

= 1.6.4: November 10, 2016 =
* New: {form_title} email tag that outputs only the donation form title and improved the email tag display in the plugin's settings. [#943](https://github.com/WordImpress/Give/issues/943)
* Fix: {donation} email tag was not properly displaying the donation form title along with the level for multi-level donations.  [#943](https://github.com/WordImpress/Give/issues/943)
* Fix: Removed all usage of ttf fonts within Give to prevent strict mod_security warnings on certain hosts. [#794](https://github.com/WordImpress/Give/issues/794)
* Fix: If theme doesn't register image sizes there is a PHP Warning on the Give Settings page. [#1163](https://github.com/WordImpress/Give/issues/1163)

= 1.6.3: October 26, 2016 =
* Fix: PayPal Standard donations payments being set incorrectly to failed. [#1152](https://github.com/WordImpress/Give/issues/1152)
* Fix: Custom number of decimals formatting is not working in give_sanitize_amount. [#1144](https://github.com/WordImpress/Give/issues/1144)
* Tweak: The "Email Access" message is now filtered via `give_email_access_message`. [#1147](https://github.com/WordImpress/Give/issues/1147)

= 1.6.2: October 4, 2016 =
* New: Internationalization banner now promotes to admins translating Give in languages it doesn't yet support. The banner will only display under Donations > Settings and is dismissible. [#1021](https://github.com/WordImpress/Give/issues/1021)
* New: The Give widget has a new "Display Option" field which defaults to "modal" to help improve display in sidebars. [#1043](https://github.com/WordImpress/Give/issues/1034)
* Tweak: The Give widget now uses radio buttons for options rather than a dropdown. [#1042](https://github.com/WordImpress/Give/issues/1042)
* Tweak: Improved the styles of the Add-on activation banner. [#1081](https://github.com/WordImpress/Give/issues/1081)
* Fix: Donation form names with an apostrophe in them were displaying a backslash in the name for the PayPal Standard gateway. [#1079](https://github.com/WordImpress/Give/issues/1079)
* Fix: Prevent the donor from saving an empty email address in the [give_profile_editor] shortcode. [#999](https://github.com/WordImpress/Give/issues/999)

= 1.6.1: September 6, 2016 =
* Fix: Donation date discrepancy in transaction details view. [#898](https://github.com/WordImpress/Give/issues/898)
* Fix: Switching donation form in transaction view "-2" appears when no form set. [#877](https://github.com/WordImpress/Give/issues/877)
* Fix: Styling issue on donor profile editor page. [#997](https://github.com/WordImpress/Give/issues/997)
* Fix: Pre-populate First and Last name fields in PayPal Standard. [#945](https://github.com/WordImpress/Give/issues/945)
* Fix: Save default value for donation receipt emails for new installs. [#863](https://github.com/WordImpress/Give/issues/863)
* Tweak: Payment errors log missing gateway data and payment ID column data. [#780](https://github.com/WordImpress/Give/issues/780)
* Tweak: Reverted settings AJAX tabs in preparation for refactor. [#937](https://github.com/WordImpress/Give/issues/937)

= 1.6: August 11, 2016 =
* New: Added email tag support to Offline Donation Admin Notification. [#846](https://github.com/WordImpress/Give/issues/846)
* New: Added a "Reset Password" option to the donation form if the user is prompted to login. [#723](https://github.com/WordImpress/Give/issues/723)
* New: Add the ability for admins to switch a transaction to a different form. [#429](https://github.com/WordImpress/Give/issues/429)
* New: Setting to adjust the number of decimal spaces. Give now support zero and three decimal currencies. [#738](https://github.com/WordImpress/Give/issues/738)
* New: Human readable large monetary goal formats. For instance, if you have a goal of $2 million it will not display as "2,000,000" but rather "2 million". [#650](https://github.com/WordImpress/Give/issues/650)
* New: Address Give's right-to-left issues with a complete audit & resolution. [#736](https://github.com/WordImpress/Give/issues/736)
* New: New template added for Give goals. [#411](https://github.com/WordImpress/Give/issues/411)
* New: Easier and more understandable strings according for translators. [#451](https://github.com/WordImpress/Give/issues/451)
* New: Added a new filter "give_pdf_export_logo" to easily customize the export logo. [#802](https://github.com/WordImpress/Give/issues/802)
* New: Customer meta class added for updating and saving donor data for non-users outside usermeta. [#653](https://github.com/WordImpress/Give/issues/653)
* New: Conditional functions introduced is_give_form(), is_give_category(), is_give_tag(), and is_give_taxonomy(). [#832](https://github.com/WordImpress/Give/issues/832)
* New: Donation receipt email previews now allow you to view actual payment data and switch between transactions. Add-on specific email tags will render when actual data is previewed. [#274](https://github.com/WordImpress/Give/issues/274)
* New: Consolidated the number of columns within the transaction details screen. [#814](https://github.com/WordImpress/Give/issues/814)
* Tweak: Update the country dropdown to use the new ISO country codes for islands in Dutch West Indies. [#698](https://github.com/WordImpress/Give/issues/698)
* Tweak: Updated to the latest version of CMB2 & tested compatibility. [#670](https://github.com/WordImpress/Give/issues/670)
* Tweak: Remove invalid @description from PHP inline doc blocks. [#733](https://github.com/WordImpress/Give/issues/733)
* Tweak: Incorporate proper sanitization for i18n strings. [#471](https://github.com/WordImpress/Give/issues/471)
* Tweak: Accessibility page headings added to screens in wp-admin. [#820](https://github.com/WordImpress/Give/issues/820)
* Tweak: Unify wp_die() throughout codebase and add title and HTML status response codes. [#828](https://github.com/WordImpress/Give/issues/828)
* Fix: Transaction list and donor donation list design break on tablet and mobile. [#813](https://github.com/WordImpress/Give/issues/813)
* Fix: Unrendered html in multi-level donation confirmation emails. [#754](https://github.com/WordImpress/Give/issues/754)
* Fix: Text editor does not have same height for visual mode and text mode. [#688](https://github.com/WordImpress/Give/issues/688)
* Fix: Auto populate state list is not working on transaction detail page. [#715](https://github.com/WordImpress/Give/issues/715)
* Fix: Unable to view payment history for donors with unusual characters in the email. [#717](https://github.com/WordImpress/Give/issues/717)
* Fix: Mixed content warning with single donation form thumbnail placeholder image. [#768](https://github.com/WordImpress/Give/issues/768)
* Fix: Secure SSL padlock icon and style no longer broken. [#769](https://github.com/WordImpress/Give/issues/769)
* Fix: Categories and tags are registering permissions incorrectly upon install. [#725](https://github.com/WordImpress/Give/issues/725)
* Fix: Amount field not formatting on focus out & lingering validation tooltip issues. [#778](https://github.com/WordImpress/Give/issues/778)
* Fix: Auto populate the correct donation level when user adds a matching custom amount. [#730](https://github.com/WordImpress/Give/issues/730)
* Fix: The "Export Donation History" csv no longer had the "Form Title" column and contained unnecessary columns. [#757](https://github.com/WordImpress/Give/issues/757)
* Fix: A CSS conflict appeared with some themes when users view the donation receipt in browser and admins preview emails in wp-admin. [#818](https://github.com/WordImpress/Give/issues/818)
* Fix: Prevent editor shortcode generator from displaying for users who don't have access to Give donation form editing. [#845](https://github.com/WordImpress/Give/issues/845)

= 1.5.2: June 31, 2016 =
* New: Added an addition "status" column for donation logs. [#684](https://github.com/WordImpress/Give/issues/684)
* Tweak: Hide the submit button for the API Tab in Settings & improved the field description. [#681](https://github.com/WordImpress/Give/issues/681)
* Fix: Deleted unnecessary user capabilities and resolved ones with typos causing issues with viewing and publishing donation forms for admins on new installs. [#671](https://github.com/WordImpress/Give/issues/671) and [#662](https://github.com/WordImpress/Give/issues/662)
* Fix: Donation amount and count get reduced when delete pending donation - thanks @farookibrahim. [#677](https://github.com/WordImpress/Give/issues/677)
* Fix: Broken link when clicking on donors name from transactions list in wp-admin. [#680](https://github.com/WordImpress/Give/issues/680)

= 1.5.1: June 30, 2016 =
* Fix: The give_forms post type doesn't register correctly on new installs therefore users weren't seeing the "Add Form" or "Edit Form" options within WP-Admin. [#671](https://github.com/WordImpress/Give/issues/671) and [#thread](https://wordpress.org/support/topic/the-add-forum-tab-not-showing?replies=4#post-8587308)

= 1.5: June 29, 2016 =
* New: Easily reorder payment gateways with the new drag-and-drop gateway reorder capability within settings. [#391](https://github.com/WordImpress/Give/issues/391)
* New: Implement honeypot hidden field to help prevent spam donation form submissions. [#424](https://github.com/WordImpress/Give/issues/424)
* New: Export donation history based on a date range exports in "Reports > Export > Export Donation History"- [#414](https://github.com/WordImpress/Give/issues/414)
* New: Automatically close a form when it reaches its Goal. [#168](https://github.com/WordImpress/Give/issues/168)
* New: Added the ability to delete all test transactions under "Donations > Reports > Tools". [#263](https://github.com/WordImpress/Give/issues/263)
* New: Recalculate stats tool now available to recount individual donor statistics, delete test transactions, or reset all your statistics entirely. [#411](https://github.com/WordImpress/Give/issues/441)
* New: New Give_Payments class added which allows easier development for donation payments. [#504](https://github.com/WordImpress/Give/issues/504)
* New: Added "Test Mode" labels to more easily identify donations made while Give is in Test Mode. [#188](https://github.com/WordImpress/Give/issues/188)
* New: Template wrapper support for the "Catch Evolution" theme added. [#632](https://github.com/WordImpress/Give/issues/632)
* New: Export additional data and control the export columns for donors under Reports > Export > Export Donors in CSV. [#630](https://github.com/WordImpress/Give/issues/630)
* New: South Korean Won added to list of currencies. [#624](https://github.com/WordImpress/Give/issues/624)
* New: Moroccan Dirham added to list of currencies. [#381](https://github.com/WordImpress/Give/issues/381)
* New: South African Rand added to list of currencies. [#624](https://github.com/WordImpress/Give/issues/624)
* Tweak: Now when a multi-level donation is made the multi-level labels will display on the confirmation page, within the transactions listing page, and also attached to the {donation} email tag which outputs the email receipts. [#175](https://github.com/WordImpress/Give/issues/175)
* Tweak: Added donor name to the donation receipt and reordered the rows for a more logical flow. [#645](https://github.com/WordImpress/Give/issues/645)
* Tweak: Removed the French translation files included because, thanks to all French polyglots, we have been translated in full
* Tweak: Removed Grunt in favor of Gulp for compiling pot files. [#666](https://github.com/WordImpress/Give/issues/666)
* Tweak: Removed hosted translations in favor of public GlotPress translations
* Tweak: Rewrite of give_get_current_page_url to fix issues with domain mapped server with $_SERVER['SERVER_PORT']. [#622](https://github.com/WordImpress/Give/issues/622)
* Fix: Transactions Status Changes Causes Donation Form Income Amounts + Goals to Not Calculate Correctly. [#188](https://github.com/WordImpress/Give/issues/188)
* Fix: Per form Offline donations gateway's "Request Billing Information" checkbox doesn't properly override the global setting. [#649](https://github.com/WordImpress/Give/issues/649)
* Fix: Reports filter custom date range option when selected causes the refresh reports button to overlap. [#626](https://github.com/WordImpress/Give/issues/626)
* Fix: Reports graph tooltips not displaying currency properly formatted. [#620](https://github.com/WordImpress/Give/issues/620)
* Fix: Attaching a new user to a donor isn't updating. [#644](https://github.com/WordImpress/Give/issues/644)
* Fix: Remove shortcode generator button when visual editor disabled. [#638](https://github.com/WordImpress/Give/issues/638)
* Fix: Bug with shortcode & show_content argument when two of the same forms on a page displaying the content incorrectly when set to none. [#634](https://github.com/WordImpress/Give/issues/634)

= 1.4.5: May 12, 2016 =
* Hotfix: Fixed a bug introduced which causes the custom amount minimum to be improperly calculated. [#616](https://github.com/WordImpress/Give/issues/616)

= 1.4.4: May 12, 2016 =
* Hotfix: Version 1.4.3 breaks modal popup display method. [#615](https://github.com/WordImpress/Give/issues/615)

= 1.4.3: May 12, 2016  =
* Fix: Update the email address of a customer record when the email of a user is updated via the WordPress profile updater - https://github.com/WordImpress/Give/issues/607
* Fix: Bug if the donation form's custom amount minimum is set to 0.00 the warning message would still display - https://github.com/WordImpress/Give/issues/604
* Fix: Bug with email access and the Donation History shortcode pagination not counting properly - https://github.com/WordImpress/Give/issues/600
* Fix: Fixed incorrect meta_key usage within is_single_price_mode() method which was returning false positives - https://github.com/WordImpress/Give/issues/602
* Update: Updated install process to account for WP multisite creation and deletion - https://github.com/WordImpress/Give/issues/609

= 1.4.2: April 26, 2016 =
* Fix: Bug with Custom Amount minimum and currencies with "," for decimal separator miscalculating the amounts - https://github.com/WordImpress/Give/issues/591
* Fix: Tooltips weren't loading properly when clicking the "Cancel" button after opting to create an account - https://github.com/WordImpress/Give/issues/500
* Fix: Closing Give Donation Modal Displays "give-hidden" elements in form incorrectly - https://github.com/WordImpress/Give/issues/582
* Fix: Ensure email is set in PHP session to view donation history after donating properly without having to preform additional email access request - https://github.com/WordImpress/Give/issues/587
* Fix: Moved "Agree to Terms" checkbox to the left-hand side for better usability and appearance - https://github.com/WordImpress/Give/issues/669
* Tweak: Removing the top loading animation when changing donation amounts to reduce theme compatibility issues with it - https://github.com/WordImpress/Give/issues/556
* Tweak: Replaced JS get query parameter function with better function that doesn't throw unreachable code warning in console and works similarly - https://github.com/WordImpress/Give/issues/586
* Tweak: New changelog.txt file to offload older version changelogs; also added release dates to versions for better tracking - https://github.com/WordImpress/Give/issues/596
* Tweak: Hid the "ID" column from the multi-level repeater table because it served no real purpose for admins - https://github.com/WordImpress/Give/issues/554

= 1.4.1: April 12, 2016 =
* Fix: Member-only donation forms don't display member-only validation responses properly -  https://github.com/WordImpress/Give/issues/551
* Fix: Email access cookie path set incorrectly breaks viewing details -  https://github.com/WordImpress/Give/issues/570
* Fix: Validation conflicts with MemberPress - thanks @jimwebb -  https://github.com/WordImpress/Give/issues/568
* Fix: If no Give logs under Settings > Reports > Logs then the log navigation does not display -  https://github.com/WordImpress/Give/issues/564
* Fix: Login/Cancel/Register within donation form don't trigger float-labels - https://github.com/WordImpress/Give/issues/574
* Fix: Login/Cancel/Register within donation form has problems maintaining gateway-specific fields when changing gateways - https://github.com/WordImpress/Give/issues/574
* Tweak: Deprecated give_no_guest_checkout() in favor of give_logged_in_only() -  https://github.com/WordImpress/Give/issues/551
* Tweak: Clean up '&amp' encoded ampersands for PayPal standard -  https://github.com/WordImpress/Give/issues/562
* Tweak: Added a check for DOM and MBString PHP extensions in System Info tab -  https://github.com/WordImpress/Give/issues/560

= 1.4: April 5, 2016 =
* New: Donors now have the ability to view their donation history using only the email they donated with via the new "Email Access" functionality that can be enabled under Settings > Advanced - https://github.com/WordImpress/Give/pull/496
* New: Unit tests added for Give_Donate_Form class - thanks @cklosowski - https://github.com/WordImpress/Give/pull/517
* New: Added new "Goal Format" option which will allow totals to be output based on a percentage rather than amount; also added more filters for better control over goal output - https://github.com/WordImpress/Give/issues/387
* New: Added links to plugin settings page and documentation on the WordPress plugin listing page - https://github.com/WordImpress/Give/issues/531
* New: Featured image size option for single donation forms found under Settings > Display Options - https://github.com/WordImpress/Give/issues/535
* Tweak: Sessions are only created when a donor performs an action. This will help Varnish caching on some Managed WordPress hosts and increase performance of the plugin - https://github.com/WordImpress/Give/issues/521
* Tweak: Removed usage of the image size "give_form_thumbnail" in favor of "give_form_single" - https://github.com/WordImpress/Give/issues/412
* Tweak: Increased modal windows z-index value - https://github.com/WordImpress/Give/issues/524
* Tweak: Added additional checks to the "System Info" settings tab - https://github.com/WordImpress/Give/issues/506
* Tweak: Removed Give's custom thumbnail size in favor for using WordPress' large media size to prevent image quality issues and excess image creation - https://github.com/WordImpress/Give/issues/535
* Tweak: Use $_SERVER['HTTP_HOST'] rather than $_SERVER['SERVER_NAME'] in give_get_current_page_url() - https://github.com/WordImpress/Give/issues/530
* Fix: Email compatibility with Mandrill WP plugin - https://github.com/WordImpress/Give/issues/548
* Fix: Add trailing slash to home_url() to prevent homepage redirect - https://github.com/WordImpress/Give/issues/545
* Fix: Problem give_format_amount_decimals return always 2 decimals - https://github.com/WordImpress/Give/issues/467
* Fix: "Custom Amount Text" should not show if the field is left blank for set donation forms - https://github.com/WordImpress/Give/issues/522
* Fix: Theme compatibility with Zerif and Customizr for single give donation forms - https://github.com/WordImpress/Give/issues/537
* Fix: Allow for $0 set donations to be saved properly - https://github.com/WordImpress/Give/issues/529
* Fix: Transactions with a "cancelled" status are not shown in the wp-admin Transactions table - thanks @pryley - https://github.com/WordImpress/Give/issues/514
* Fix: Alternative to fopen provided for PDF exports - https://github.com/WordImpress/Give/issues/511

= 1.3.6: Mar 9, 2016 =
* New: Give French translation provided by Laurent. Thanks! - https://github.com/WordImpress/Give/issues/472
* New: Give Spanish translation provided by Javier. Thanks! - https://github.com/WordImpress/Give/issues/501
* New: Minimum custom donation amount feature added; now you customize custom donations to help prevent fraud and further refine giving - https://github.com/WordImpress/Give/issues/390
* New: Added additional filters for the donation form fieldset headings - https://github.com/WordImpress/Give/issues/487
* Tweak: Improved "Offline Donations" gateway admin notification messaging - https://github.com/WordImpress/Give/issues/448
* Tweak: Optimized loading animations and placement - https://github.com/WordImpress/Give/issues/508
* Tweak: Sessions only started on WP frontend - https://github.com/WordImpress/Give/issues/493
* Fixed: Switching levels with set donation doesn't display "Updating Amount..." animation - https://github.com/WordImpress/Give/issues/510
* Fixed: Updated "At a Glance" dashboard widget icon to be Give symbol rather than empty circle - https://github.com/WordImpress/Give/issues/492
* Fixed: Donation total does not show the currency sign when changing custom amount - thanks @pryley - https://github.com/WordImpress/Give/issues/485
* Fixed: Currency output has better support for - https://github.com/WordImpress/Give/issues/468
* Fixed: {receipt_link} now outputs URL if plain-text selected for email format - https://github.com/WordImpress/Give/issues/384
* Fixed: Bug with floating labels functionality and the password field type not hiding labels appropriately - https://github.com/WordImpress/Give/issues/468
* Fixed: Updating the transaction payment date was not working as expected when in "Pending" status - https://github.com/WordImpress/Give/issues/435
* Fixed: PHP Warning with Deprecated wp_new_user_notification when donor creates a new account - https://github.com/WordImpress/Give/issues/474
* Fixed: Required to have value in "Custom Amount Text" for field to display - https://github.com/WordImpress/Give/issues/462
* Fixed: "Generate API Keys" Profile setting not reflecting saved state - https://github.com/WordImpress/Give/issues/440
* Fixed: Offline Donation Emails not using Give_Emails class - https://github.com/WordImpress/Give/issues/447

= 1.3.5: Jan 12, 2016 =
* New: give_settings_array_insert() function to help other Add-ons and plugins insert Give settings at a desired position
* New: give_description settings field type for plugin authors to easily add content to the settings
* New: Add support for TF "Philanthropy" theme - https://github.com/WordImpress/Give/issues/454
* Fixed: Goal progress bar class name needs a prefix to avoid conflicts with Bootstrap - https://github.com/WordImpress/Give/issues/399
* Fixed: Logged in user, different email address, new donor - https://github.com/WordImpress/Give/issues/437
* Fixed: Test email save notification appears three times - https://github.com/WordImpress/Give/issues/364
* Fixed: [give_receipt] not passing Form title properly when "payment_key" option set to true - https://github.com/WordImpress/Give/issues/443
* Fixed: Give Network Activated on WP Multisite Displaying upgrade messages for new sites incorrectly - https://github.com/WordImpress/Give/issues/439
* Fixed: .mo file corruption issue with Brazilian Portuguese translation file - https://github.com/WordImpress/Give/issues/458
* Fixed: Correct for/id relationship in credit card fields #a11y - Thanks @joedolson https://github.com/WordImpress/Give/issues/459

= 1.3.4: Dec 14, 2015 =
* Fixed issue where pending "Offline Donations" payments were inappropriately marked as abandoned - @see: https://github.com/WordImpress/Give/issues/434

= 1.3.3: Dec 13, 2015 =
* Fixed security vulnerability due to WP session IDs

= 1.3.2: Dec 11, 2015 =
* New: German/Deutsch translation for Give provided by Konrad - Thanks! :) - https://github.com/WordImpress/Give/issues/383
* New: Polish/Polski translation provided by Emilia - Thanks! :) - https://github.com/WordImpress/Give/issues/418
* New: Introduced Give_Cron class for scheduling routine events - https://github.com/WordImpress/Give/issues/422
* New: Introduced `give_can_view_receipt` function with `give_user_can_view_receipt_item` - https://github.com/WordImpress/Give/issues/407
* Unit Test: Restructured unit testing #415 - https://github.com/WordImpress/Give/issues/415
* Unit Test: New install unit test that verifies roles, version matches, pages create #222 - https://github.com/WordImpress/Give/issues/222
* Unit Test: Login / Register functionality #342 - https://github.com/WordImpress/Give/issues/342
* Accessibility: Multi-level select field has no label - https://github.com/WordImpress/Give/issues/331
* Accessibility: Multi-level select field has no label - https://github.com/WordImpress/Give/issues/331
* Accessibility: #give-amount ID output multiple times on the page - https://github.com/WordImpress/Give/issues/326
* Accessibility: Login form submit surrounded incorrectly with paragraph tag - https://github.com/WordImpress/Give/issues/332
* Accessibility: .give-amount input didn't have a label associated with it, now it does :) - https://github.com/WordImpress/Give/issues/328
* Fix: Payments that are in "Pending" status for more then 10 days are not automatically set to "Abandoned" status instead of staying in "Pending" status
* Fix: Shortcode builder dialogs do not work when the "SiteOrigin Widgets Bundle" plugin is active - https://github.com/WordImpress/Give/issues/405
* Fix: Missing calculation in give stats earnings - thanks @andrejcremoznik - https://github.com/WordImpress/Give/issues/408
* Fix: Give donation form shortcode not respecting show_goal="false" - https://github.com/WordImpress/Give/issues/360
* Fix: HTML5 required attribute needs to respect give_is_field_required() conditonal - https://github.com/WordImpress/Give/issues/361
* Fix: Custom wrapper added for the popular Avada theme - https://github.com/WordImpress/Give/issues/366
* Fix: Basic CSS style added for .give-btn buttons - https://github.com/WordImpress/Give/issues/234
* Fix: Address field is not editable on Donor information screen - https://github.com/WordImpress/Give/issues/369
* Fix: Optimized conditional check in give_install_roles_on_network - thanks @jimwebb - https://github.com/WordImpress/Give/issues/376
* Fix: Wrong param order for _x() i18n function - thanks @andrejcremoznik - https://github.com/WordImpress/Give/issues/376
* Fix: North/South Korea country codes reversed - https://github.com/WordImpress/Give/issues/382
* Fix: [give_register] shortcode template file missing - https://github.com/WordImpress/Give/issues/393
* Fix: [give_register] and [give_login] shortcodes not properly outputting error notices - https://github.com/WordImpress/Give/issues/394
* Fix: Discrepancies between competing metakeys causing donor details dropdown to not reflect saved value when switching donors; develop accompanying upgrade routine - https://github.com/WordImpress/Give/issues/388
* Fix: Theme compatibility issues with the new twentysixteen WordPress default theme - https://github.com/WordImpress/Give/issues/401
* Fix: Fixed Safari iOS bug with HTML5 required attribute and form reloading - https://github.com/WordImpress/Give/issues/402
* Tweak: Added table_exists method to Give_DB class - https://github.com/WordImpress/Give/pull/404
* Tweak: Change labels to "Donation Form" within admin - https://github.com/WordImpress/Give/issues/303
* Tweak: "Donor" column link under Give > Transactions now goes to donor's page - https://github.com/WordImpress/Give/issues/285
* Tweak: Updated nav-tab wrappers heading tag to h1s for WordPress 4.4s #a11y release - https://github.com/WordImpress/Give/issues/377
* Tweak: Updated how CMB2 is included to prevent conflicts with other themes and/or plugins - https://github.com/WordImpress/Give/issues/389
* Tweak: Add visual line break to Donor card second address line

= 1.3.1.1: Oct 20, 2015 =
* Fix: Multi-level amounts were incorrectly re-saving to the default of 1.00 due to a bug within the recent update

= 1.3.1: Oct 19, 2015 =
* New: `give_form_classes` filter added for give form classes - https://github.com/WordImpress/Give/issues/306
* New: `give_form_level_text` filter added for altering multilevel donation form level text - https://github.com/WordImpress/Give/issues/307
* New: Add-on activation class added - https://github.com/WordImpress/Give/issues/316
* New: Added form name and ID to Donation History export and also removed unnecessary columns - https://github.com/WordImpress/Give/issues/314
* New: Added html5 required attributes to required donation fields like first name, email, and CC fields - https://github.com/WordImpress/Give/issues/346
* Fix: Multiple billing fields being output when multiple forms on a single page - https://github.com/WordImpress/Give/issues/310
* Fix: Assume multiple give dropdown buttons - https://github.com/WordImpress/Give/issues/310
* Fix: Give admin dashicon no longer lights up annoyingly on page load in wp-admin - https://github.com/WordImpress/Give/issues/315
* Fix: Prevent fatal error if user has CMB2 plugin installed - https://github.com/WordImpress/Give/issues/321
* Fix: When you save the Give Global Settings there is now a notice that displays - https://github.com/WordImpress/Give/issues/312
* Fix: PayPal transactions types field label updated to "PayPal Transaction Type" - https://github.com/WordImpress/Give/issues/293
* Fix: Custom Jupiter theme wrapper start and end added to prevent single donation form views from being incorrectly formatted - https://github.com/WordImpress/Give/issues/170
* Fix: [give_receipt] options now work as expected - https://github.com/WordImpress/Give/issues/267
* Fix: give_send_back_to_checkout() now properly sends back to donation form with form ID added as query param - https://github.com/WordImpress/Give/issues/337
* Fix: Server side validation errors now properly reopen a modal or slide down donation forms so the user clearly sees there's an error - https://github.com/WordImpress/Give/issues/264
* Fix: Dynamically generated receipt pages now have no-cache headers - https://github.com/WordImpress/Give/issues/338

= 1.3.0.4: Oct 6, 2015 =
* New: Added new filter for default form amount - https://github.com/WordImpress/Give/issues/301
* Fix: Account for recurring donations in the donation history shortcode
* Fix: Removed anonymous function causing PHP errors for folks using PHP 5.3 and lower - https://github.com/WordImpress/Give/issues/291

= 1.3.0.3: Oct 4, 2015 =
* New: Form Content display option added to new shortcode builder https://github.com/WordImpress/Give/pull/298
* Fix: Form Content not showing on Single Forms https://github.com/WordImpress/Give/issues/294

= 1.3.0.2: Oct 2, 2015 =
* Fix: Removed bracket array declarations usage that only works with PHP 5.4+ - https://github.com/WordImpress/Give/issues/290
* Fix: PHP 5.2 Issue with anonymous function / Closure used in new shortcode generator - https://github.com/WordImpress/Give/issues/291
* Fix: wp_mail function conflict with Mandrill and the new shortcode generator due to too early initialization https://github.com/WordImpress/Give/issues/289

= 1.3.0.1: Oct 1, 2015 =
* Fix: Provided fallback function for array_column function used that's only in PHP 5.5+ - https://github.com/WordImpress/Give/issues/288
* Fix: Removed Bower folder from WordPress.org plugin repo as it shouldn't be there

= 1.3: Sep 30, 2015 =
* Special shout out to a rock star contributor @pryley https://github.com/pryley - v1.3 wouldn't be packed full with all these awesome enhancements without him!
* New: Floating labels functionality! Enable floating labels to provide a cleaner donation interface for your users. Thanks @pryley - https://github.com/WordImpress/Give/pull/231
* New: Shortcode generator for easily adding the various Give shortcodes to your pages and posts. Special thanks to @pryley for all his hard work on this! https://github.com/WordImpress/Give/pull/275
* New: Goal shortcode added to Core so you can now show various donation form goals separately from donation forms - https://github.com/WordImpress/Give/issues/184
* New: Global setting to disable single give forms sidebars added - https://github.com/WordImpress/Give/issues/192
* New: 'give_forms_single_summary_classes' filter added for customizing form wrapper classes
* New: Advanced global setting added for load scripts in the footer - https://github.com/WordImpress/Give/issues/209
* New: Admin - Refresh Reports button added to ensure user can clear transients used to store reporting data - https://github.com/WordImpress/Give/issues/210 and https://github.com/WordImpress/Give/issues/85
* New: Basic table styles for Give tables - https://github.com/WordImpress/Give/issues/232
* New: Custom amount field displays numbers by default on mobile/tablet - https://github.com/WordImpress/Give/issues/233
* New: Bower implemented to manage third-party JS scripts - Thanks @pryley https://github.com/WordImpress/Give/pull/236
* New: Swedish translation files added - Thanks @mepmepmep https://github.com/WordImpress/Give/issues/238
* New: Changed the ajax loader text from "Updating Price" to "Updating Amount" - https://github.com/WordImpress/Give/issues/269
* Fix: Modal close button now displays properly - https://github.com/WordImpress/Give/issues/228
* Fix: [give_login] shortcode now working as expected - also fixed up the logic to output the new [give_goal] shortcode see - https://github.com/WordImpress/Give/issues/279
* Fix: Admin Give menu section called "Donation Forms" rather than just "Forms" thanks @pryley - https://github.com/WordImpress/Give/issues/196
* Fix: Include CMB2CSS in the head to avoid FOUC https://github.com/WordImpress/Give/issues/243
* Fix: Test Mode Active notification displays for editors when inactive https://github.com/WordImpress/Give/issues/242
* Fix: Delete invalid licenses and when a valid license is entered the field is now a password type https://github.com/WordImpress/Give/issues/203
* Fix: When Only a Payment Gateway without CC Fields is Active Fatal JS error https://github.com/WordImpress/Give/issues/253
* Fix: Multiple Give Forms on Single Page Causes CC Validation to Fail https://github.com/WordImpress/Give/issues/254
* Fix: Donation form income totals not properly updated when manually updating amounts or deleting transactions causing goals to not calculate correctly - https://github.com/WordImpress/Give/issues/188
* Fix: Admin Column: If no goal is set for a donation form show "No Goal Set" rather than "0.00" - https://github.com/WordImpress/Give/issues/256
* Fix: Norwegian Kroner currency symbol adjustments - https://github.com/WordImpress/Give/issues/256
* Fix: Salient theme wrapper divs added - https://github.com/WordImpress/Give/issues/280
* Fix: Broken welcome screen content columns - https://github.com/WordImpress/Give/issues/287

= 1.2.1: Sep 2, 2015 =
* Improved: Admin UX/UI - "View Donation Details" button now much easier to navigate into the single transaction view - https://github.com/WordImpress/Give/issues/216
* Fix: Bug introduced preventing modal windows opening on click https://givewp.com/support/ticket/1-2-upgrade-issue-submit-buttons-no-longer-work/
* Fix: Modal content displaying form content other than payment fields - https://github.com/WordImpress/Give/issues/217
* Fix: Bug preventing viewing of single donation history pages https://github.com/WordImpress/Give/issues/226
* Fix: Bug not accounting for new Credit Card masking spaces sending malformed content to PayPal
* Fix: Added fallback redirect to homepage if success page isn't set in settings https://github.com/WordImpress/Give/issues/214

= 1.2: Sep 1, 2015 =
* New: API updated to include fname and lname of forms donor
* New: API updated to support all field donation data (including custom fields)
* New: Credit Card input masking now supported - thanks @pryley https://github.com/WordImpress/Give/issues/76
* Improvement: Ditched maskMoney custom donation amount validator for a better script provided by @helgatheviking - thanks! https://github.com/WordImpress/Give/issues/110
* Improvement: AJAX spinner is now font icon rather than .gif image @see: https://github.com/WordImpress/Give/issues/193
* Fix: Form title and Level Label now displayed correctly on PayPal Standard https://github.com/WordImpress/Give/issues/190
* Fix: Export donors fatal error https://wordpress.org/support/topic/export-donors-in-csv-error?replies=2
* Fix: Addons PHP warning https://github.com/WordImpress/Give/issues/191
* Fix: Goal amount not respecting thousands separator https://github.com/WordImpress/Give/issues/205
* Fix: Added a WordPress filter to allow developers to modify the 'Select Payment Method' legend text. - thanks @cwackerman https://github.com/WordImpress/Give/pull/211
* Fix: Modified existing WordPress filter controlling submit button text so that it passes $form_id to hooks. This allows developers to access form options when generating submit button text. For example, to output default donation amount within submit button text, e.g. "Donate $5.00 Now".  - thanks @cwackerman https://github.com/WordImpress/Give/pull/211
* Fix: GIVE_SLUG define doesn't affect slug https://github.com/WordImpress/Give/issues/199
* Fix: Widget tooltips now display appropriately https://github.com/WordImpress/Give/issues/195
* Fix: https/ssl padlock font now displays correctly https://github.com/WordImpress/Give/issues/220

= 1.1: July 22, 2015 =
* New: A front-facing JSON/XML API that makes it possible to query donation data directly from your WordPress site; this corresponds with the Zapier Add-on for Give: http://givewp.com/addons/zapier/
* New: Added warning to frontend donation forms when test mode is enabled
* Improvement: PalPal Standard now displays the multi-level text within PayPal @see: https://github.com/WordImpress/Give/issues/164
* Tweak: Moved the "Test Mode" option out from General Settings to Payment Gateways > Gateway Settings from better visibility
* Tweak: Removed "Cancelled" and "Pre-Approved" payment statuses; "Failed" and "Pending" statuses should be used in their place.
* Fix: Ensure CMB2 loads text domain properly @see: https://github.com/WebDevStudios/CMB2/issues/400

= 1.0.1: July 14, 2015 =
* Fix: Admin fatal error call to undefined method "get_donors" when it should've actually been "get_customers"

= 1.0: July 14, 2015 =
* New: Donors overview page that provides a searchable list of your donors and relevant information
* New: Initial PHPunit testing in place for post types, script and style loading, and includes
* New: Travis-CI and Scrutinizer added to GitHub repo master branch to improve integrations and code quality @see badges now https://github.com/WordImpress/Give/
* New: Updated CMB2 to latest stable version 2.0.8
* Fix: Microdata added twice to titles https://github.com/WordImpress/Give/issues/154
* Fix: Divi theme compatibility improvements https://github.com/WordImpress/Give/issues/157 and https://github.com/WordImpress/Give/issues/156
* Fix: Login screen refreshes when user logs in during checkout process @see: https://wordpress.org/support/topic/login-on-form?replies=1#post-7060862 and https://github.com/WordImpress/Give/issues/155
* Fix: Translation files need "give-" prepended to them to work properly @see: https://github.com/WordImpress/Give/issues/161
* Fix: Fix PHP notice for Undefined index: _give_price. closes #159 @see: https://github.com/WordImpress/Give/issues/159 - Thanks @helgatheviking!
* Fix: Shortcode now outputs Goals properly @see: https://wordpress.org/support/topic/goal-tracking
* Improvement: All scripts are minified and concatenated into one script.
* Improvement: All CSS styles are minified and concatenated into one stylesheet.
* Improvement: Script loading now properly registers scripts and styles globally using wp_register_style & wp_register_script
* Improvement: Removed numerous uses of the $give_options global - still more cleanup needed
* Improvement: Modal window CSS fixes for login fields: https://github.com/WordImpress/Give/issues/60

= 0.9.5.1 beta =
* Fix: Incorrect usage of edd_get_option rather than give_get_option in recent PayPal Standard updates

= 0.9.5 beta =
* New: [give_profile_editor] shortcode that enables donors to customize their account information on the frontend #130 https://github.com/WordImpress/Give/issues/130
* New: Uninstall.php file which deletes ALL data if the user chooses to do so under Settings > Advanced
* New: composer.json file for developers
* New: Dynamic sidebar for singular Give Donation Forms. The sidebar will appear under Appearances > Widgets if you have not disabled Give's singular post type in Give > Settings > Display Options. You can add widgets of your choosing to this section and they will display to the left of your forms, below the main form featured image.
* New: Offline Donation enhancements including customizable donation instructions email sent to user upon form completion. See: https://github.com/WordImpress/Give/issues/124
* New: Goals for Donation Forms. Thanks @ibndawood https://github.com/ibndawood @see https://github.com/WordImpress/Give/issues/42
* New: Admin CSS improvement - Now conditional fields are indicated with a slight gray background color
* New: Script Optimization - Give now only loads one minified JS script and one CSS file to keep load times fast and minimize footprint
* New: Using Grunt to generate POT file now for much more timely and accurate translations
* New: Give now has Composer support @see: https://packagist.org/packages/wordimpress/give thanks @michaelbeil
* Fix: Admin Logs CSS: https://github.com/WordImpress/Give/issues/127
* Fix: Incorrect amount formatting when currency separators set to "," for both thousands and decimals. @see: https://github.com/WordImpress/Give/issues/150
* Fix: Broken "lock" image that appears above donation fields for SSL sites @see: https://github.com/WordImpress/Give/issues/128
* Fix: Updated Magnific class to prevent conflicts with other Magnific modals

= 0.9 beta =
* New: Global options to disable the form excerpt and featured image found under Give > Settings > Display Options
* New: Enable the billing details section for offline donations. The fieldset will appear above the offline donation instructions. Note: You may customize this option per form as needed. Per request https://github.com/WordImpress/Give/issues/26
* New: Theme template compatibility updates for Flatsome, X Theme, and Avada, Twenty-*
* New: Two new filters introduced give_default_wrapper_start and give_default_wrapper_end to modify template wrappers
* New: PayPal Standard: Allow Option to Switch from Donations to Standard transactions https://github.com/WordImpress/Give/issues/121
* New: Brazilian Portuguese Translation https://github.com/WordImpress/Give/issues/107
* Update: CMB2 updated to latest
* Update: CMB2 moved directories
* Fix: Admin Multi-Level Amount Fields Not Passed through give_format_amount() https://github.com/WordImpress/Give/issues/65
* Fix: Welcome screen CSS issue with WP 4.2+ https://github.com/WordImpress/Give/issues/119
* Fix: Admin Form Creation: Custom Amount Text Field Won't Accept Empty Value https://github.com/WordImpress/Give/issues/72
* Fix: Dollar sign in modal doesn't always work https://github.com/WordImpress/Give/issues/120
* Fix: Reports > Logs > Payment Errors > View Transaction Details now opens properly in Thickbox modal - we weren't properly enqueuing thickbox styles and script in wp-admin
* For complete details of release milestone please visit: https://github.com/WordImpress/Give/issues?q=milestone%3A%220.9+Release%22

= 0.8.6 beta =
* New: Option to "Disable Welcome Screen" added to Settings > Display Options for those users to set if they don't want a welcome screen appearing
* Fix: Updated install process to fix #114 - https://github.com/WordImpress/Give/issues/114 - Thanks @paaljoachim
* Fix: Permissions bug with edit_give_payments within admin/payments/actions.php and within the class-give-roles.php preventing admins of new installs from deleting donations - Thanks @jakestpeter

= 0.8.5 beta =
* Fix: Global vs Form Payment Gateways https://github.com/WordImpress/Give/issues/86
* Fix: Setting Section Title Not Displaying Proper Text https://github.com/WordImpress/Give/issues/87
* Fix: Prefixed "icon" and "icon-question" classes to mitigate conflicts: https://github.com/WordImpress/Give/issues/103
* Fix: {name} isn't correctly rendered in test email: https://github.com/WordImpress/Give/issues/100 - Thanks @sumobi
* Fix: When exporting a report, apostrophe's are not correctly shown: https://github.com/WordImpress/Give/issues/96 - Thanks @sumobi
* Fix: PHP warning when exporting PDF: https://github.com/WordImpress/Give/issues/93 - Thanks @sumobi
* Fix: Property of non-object on Forms Report: https://github.com/WordImpress/Give/issues/91 - Thanks @pippinsplugins
* Fix: PHP Notice: Undefined variable: unlimited: https://github.com/WordImpress/Give/issues/89 - Thanks @sumobi
* Fix: Prefix .icon class to prevent conflicts #103: https://github.com/WordImpress/Give/issues/103 - Thanks @stevengliebe
* Update: Removed unnecessary contextual help files until we decide how we are going to approach this with the plugin
* Update: Inline code comments improved to be more specific to Give - some were incorrectly describing old EDD functionality
* Security: Hardened URLs with esc_url() across the plugin core

= 0.8 beta =

* Initial plugin release. Yippee!
